use std::fmt::Formatter;

use anyhow::Result;

pub const FAST_TRAVEL: [GameDataKv; 864] = [
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_atlashq.fts_atlashq", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_atlashq_sendonly.fts_atlashq_sendonly", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_beach.fts_beach", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_beach_sendonly.fts_beach_sendonly", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_city.fts_city", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_cityboss.fts_cityboss", name: "Forgotten Basilica" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_cityboss_sendonly.fts_cityboss_sendonly", name: "Forgotten Basilica" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_cityvault.fts_cityvault", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_convoy.fts_convoy", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_covslaughter.fts_covslaughter", name: "Slaughter Shaft" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_creatureslaughter.fts_creatureslaughter", name: "Cistern of Slaughter" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_crypt.fts_crypt", name: "Pyre of Stars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_desert1.fts_desert1", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_desert2.fts_desert2", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_desertboss.fts_desertboss", name: "Great Vault" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_desertboss_sendonly.fts_desertboss_sendonly", name: "Great Vault" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_desertvault.fts_desertvault", name: "Cathedral of the Twin Gods" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_desolate2.fts_desolate2", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_desolatedroppod.fts_desolatedroppod", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_finalboss.fts_finalboss", name: "Destroyer's Rift" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_finalboss_sendonly.fts_finalboss_sendonly", name: "Destroyer's Rift" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_finalbossportal.fts_finalbossportal", name: "Destroyer's Rift" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_mansion.fts_mansion", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_marshfields.fts_marshfields", name: "Ambermire" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_marshfields_sendonly.fts_marshfields_sendonly", name: "Ambermire" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_marshfieldsship.fts_marshfieldsship", name: "Ambermire" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_mine.fts_mine", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_monastery.fts_monastery", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_monastery_sendonly.fts_monastery_sendonly", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_monasterydroppod.fts_monasterydroppod", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_motorcade.fts_motorcade", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_motorcade2.fts_motorcade2", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_motorcadefestival.fts_motorcadefestival", name: "Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_motorcadeinterior.fts_motorcadeinterior", name: "Guts of Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_motorcadeinterior_sendonly.fts_motorcadeinterior_sendonly", name: "Guts of Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_orbitalplatform.fts_orbitalplatform", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_orbitalplatform_sendonly.fts_orbitalplatform_sendonly", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_orbitalshuttle.fts_orbitalshuttle", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_outskirts.fts_outskirts", name: "Meridian Outskirts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_outskirtsdroppod.fts_outskirtsdroppod", name: "Meridian Outskirts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_prison.fts_prison", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_prison_sendonly.fts_prison_sendonly", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_prologue.fts_prologue", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_prologue2.fts_prologue2", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds01.fts_provinggrounds01", name: "Gradient of Dawn (Survival)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds01_droppod.fts_provinggrounds01_droppod", name: "Gradient of Dawn (Survival)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds01_oneway.fts_provinggrounds01_oneway", name: "Gradient of Dawn (Survival)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds04.fts_provinggrounds04", name: "Skydrowned Pulpit (Fervor)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds04_droppod.fts_provinggrounds04_droppod", name: "Skydrowned Pulpit (Fervor)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds04_oneway.fts_provinggrounds04_oneway", name: "Skydrowned Pulpit (Fervor)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds05.fts_provinggrounds05", name: "Ghostlight Beacon (Cunning)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds05_droppod.fts_provinggrounds05_droppod", name: "Ghostlight Beacon (Cunning)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds05_oneway.fts_provinggrounds05_oneway", name: "Ghostlight Beacon (Cunning)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds06.fts_provinggrounds06", name: "Hall Obsidian (Supremacy)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds06_droppod.fts_provinggrounds06_droppod", name: "Hall Obsidian (Supremacy)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds06_oneway.fts_provinggrounds06_oneway", name: "Hall Obsidian (Supremacy)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds07.fts_provinggrounds07", name: "Precipice Anchor (Discipline)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds07_droppod.fts_provinggrounds07_droppod", name: "Precipice Anchor (Discipline)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds07_oneway.fts_provinggrounds07_oneway", name: "Precipice Anchor (Discipline)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds08.fts_provinggrounds08", name: "Wayward Tether (Instinct)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds08_droppod.fts_provinggrounds08_droppod", name: "Wayward Tether (Instinct)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_provinggrounds08_oneway.fts_provinggrounds08_oneway", name: "Wayward Tether (Instinct)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_raid.fts_raid", name: "Midnight's Cairn (Maliwan Takedown)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_recruitment.fts_recruitment", name: "Covenant Pass" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_sacrifice.fts_sacrifice", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_sanctuary.fts_sanctuary", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_sanctuarybridge.fts_sanctuarybridge", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_techslaughter.fts_techslaughter", name: "Slaughterstar 3000" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_techslaughterdroppod.fts_techslaughterdroppod", name: "Slaughterstar 3000" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_towers.fts_towers", name: "Lectra City" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_watership.fts_watership", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_watership_sendonly.fts_watership_sendonly", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_wetlands1.fts_wetlands1", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_wetlands2.fts_wetlands2", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_wetlandsboss.fts_wetlandsboss", name: "Floating Tomb" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_wetlandsboss_sendonly.fts_wetlandsboss_sendonly", name: "Floating Tomb" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_wetlandsdroppod.fts_wetlandsdroppod", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/fts_wetlandsvault.fts_wetlandsvault", name: "Blackbarrel Cellars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_atlashq_city.lts_atlashq_city", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_atlashqside_city.lts_atlashqside_city", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_beach_desolate.lts_beach_desolate", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_beach_vaultinterior.lts_beach_vaultinterior", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_city_atlashq.lts_city_atlashq", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_city_atlashqside.lts_city_atlashqside", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_city_cityvault.lts_city_cityvault", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_city_creatureslaughter.lts_city_creatureslaughter", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_city_orbitalplatform.lts_city_orbitalplatform", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_city_outskirts1.lts_city_outskirts1", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_city_outskirts2.lts_city_outskirts2", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_city_sanctuary3.lts_city_sanctuary3", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_city_towers.lts_city_towers", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_cityboss_cityvault.lts_cityboss_cityvault", name: "Forgotten Basilica" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_cityboss_vaultinterior.lts_cityboss_vaultinterior", name: "Forgotten Basilica" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_cityvault_city.lts_cityvault_city", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_cityvault_cityboss.lts_cityvault_cityboss", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_convoy_desert.lts_convoy_desert", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_convoy_mine.lts_convoy_mine", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_covslaughter_mine.lts_covslaughter_mine", name: "Slaughter Shaft" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_creatureslaughter_city.lts_creatureslaughter_city", name: "Cistern of Slaughter" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_creatureslaughter_sanctuary3.lts_creatureslaughter_sanctuary3", name: "Cistern of Slaughter" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_crypt_desolate.lts_crypt_desolate", name: "Pyre of Stars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_crypt_finalboss.lts_crypt_finalboss", name: "Pyre of Stars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desert2_mine2.lts_desert2_mine2", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desert_convoy.lts_desert_convoy", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desert_desertvault.lts_desert_desertvault", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desert_grotto.lts_desert_grotto", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desert_mine.lts_desert_mine", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desert_motorcade.lts_desert_motorcade", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desert_prologue.lts_desert_prologue", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desertboss_desertvault.lts_desertboss_desertvault", name: "Great Vault" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desertboss_vaultinterior.lts_desertboss_vaultinterior", name: "Great Vault" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desertvault_desert.lts_desertvault_desert", name: "Cathedral of the Twin Gods" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desertvault_desertboss.lts_desertvault_desertboss", name: "Cathedral of the Twin Gods" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desolate_beach.lts_desolate_beach", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desolate_crypt.lts_desolate_crypt", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desolate_sanctuary3.lts_desolate_sanctuary3", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_desolate_techslaughter.lts_desolate_techslaughter", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_finalboss_crypt.lts_finalboss_crypt", name: "Destroyer's Rift" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_finalboss_prologue.lts_finalboss_prologue", name: "Destroyer's Rift" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_finalboss_vaultinterior.lts_finalboss_vaultinterior", name: "Destroyer's Rift" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_mansion_wetlands.lts_mansion_wetlands", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_marshfields_wetlands.lts_marshfields_wetlands", name: "Ambermire" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_mine2_desert2.lts_mine2_desert2", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_mine_convoy.lts_mine_convoy", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_mine_covslaughter.lts_mine_covslaughter", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_mine_desert.lts_mine_desert", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_monastery_sanctuary3.lts_monastery_sanctuary3", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_motorcade_desert.lts_motorcade_desert", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_motorcade_motorcadefestival.lts_motorcade_motorcadefestival", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_motorcadefestival_motorcadeinterior.lts_motorcadefestival_motorcadeinterior", name: "Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_motorcadefestival_motorcademain.lts_motorcadefestival_motorcademain", name: "Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_motorcadeinterior_motorcadefestival.lts_motorcadeinterior_motorcadefestival", name: "Guts of Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_orbitalplatform_city.lts_orbitalplatform_city", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_outskirts_city1.lts_outskirts_city1", name: "Meridian Outskirts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_outskirts_city2.lts_outskirts_city2", name: "Meridian Outskirts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_prison_wetlands.lts_prison_wetlands", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_prologue_desert.lts_prologue_desert", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_prologue_finalboss.lts_prologue_finalboss", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_prologue_recruitment.lts_prologue_recruitment", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_prologue_sacrifice.lts_prologue_sacrifice", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_prologue_sanctuary3.lts_prologue_sanctuary3", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_provingground1_sanctuary3.lts_provingground1_sanctuary3", name: "Gradient of Dawn (Survival)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_provingground4_sanctuary3.lts_provingground4_sanctuary3", name: "Skydrowned Pulpit (Fervor)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_provingground5_sanctuary3.lts_provingground5_sanctuary3", name: "Ghostlight Beacon (Cunning)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_provingground6_sanctuary3.lts_provingground6_sanctuary3", name: "Hall Obsidian (Supremacy)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_provingground7_sanctuary3.lts_provingground7_sanctuary3", name: "Precipice Anchor (Discipline)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_provingground8_sanctuary3.lts_provingground8_sanctuary3", name: "Wayward Tether (Instinct)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_recruitment_prologue.lts_recruitment_prologue", name: "Covenant Pass" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sacrifice_prologue.lts_sacrifice_prologue", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sactuary3_provingground1.lts_sactuary3_provingground1", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_creatureslaughter.lts_sanctuary3_creatureslaughter", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_desolate.lts_sanctuary3_desolate", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_grotto.lts_sanctuary3_grotto", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_monastery.lts_sanctuary3_monastery", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_outskirts.lts_sanctuary3_outskirts", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_prologue.lts_sanctuary3_prologue", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_provingground2.lts_sanctuary3_provingground2", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_provingground4.lts_sanctuary3_provingground4", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_provingground5.lts_sanctuary3_provingground5", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_provingground6.lts_sanctuary3_provingground6", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_provingground7.lts_sanctuary3_provingground7", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_provingground8.lts_sanctuary3_provingground8", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_techslaughter.lts_sanctuary3_techslaughter", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_sanctuary3_wetlands.lts_sanctuary3_wetlands", name: "Sanctuary" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_techslaughter_desolate.lts_techslaughter_desolate", name: "Slaughterstar 3000" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_techslaughter_sanctuary3.lts_techslaughter_sanctuary3", name: "Slaughterstar 3000" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_towers_city.lts_towers_city", name: "Lectra City" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_vaultinterior_beach.lts_vaultinterior_beach", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_vaultinterior_cityboss.lts_vaultinterior_cityboss", name: "Forgotten Basilica" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_vaultinterior_desertboss.lts_vaultinterior_desertboss", name: "Great Vault" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_vaultinterior_finalboss.lts_vaultinterior_finalboss", name: "Destroyer's Rift" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_vaultinterior_wetlandsboss.lts_vaultinterior_wetlandsboss", name: "Floating Tomb" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_watership_wetlands.lts_watership_wetlands", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_wetlands_mansion.lts_wetlands_mansion", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_wetlands_marshfields.lts_wetlands_marshfields", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_wetlands_prison.lts_wetlands_prison", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_wetlands_sanctuary3.lts_wetlands_sanctuary3", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_wetlands_watership.lts_wetlands_watership", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_wetlands_wetlandsvault.lts_wetlands_wetlandsvault", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_wetlandsboss_vaultinterior.lts_wetlandsboss_vaultinterior", name: "Floating Tomb" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_wetlandsboss_wetlandsvault.lts_wetlandsboss_wetlandsvault", name: "Floating Tomb" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_wetlandsvault_wetlands.lts_wetlandsvault_wetlands", name: "Blackbarrel Cellars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/leveltravelstations/lts_wetlandsvault_wetlandsboss.lts_wetlandsvault_wetlandsboss", name: "Blackbarrel Cellars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/atlashq/rts_atlashq_controlroom01.rts_atlashq_controlroom01", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/atlashq/rts_atlashq_controlroom02.rts_atlashq_controlroom02", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/atlashq/rts_atlashq_lounge.rts_atlashq_lounge", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/atlashq/rts_atlashq_maintenance.rts_atlashq_maintenance", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/atlashq/rts_atlashq_office.rts_atlashq_office", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_atlashq_courtyard_dynamic_checkpoint_controlroomone.rts_atlashq_courtyard_dynamic_checkpoint_controlroomone", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_atlashq_courtyard_dynamic_checkpoint_controlroomtwo.rts_atlashq_courtyard_dynamic_checkpoint_controlroomtwo", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_atlashq_courtyard_dynamic_checkpoint_lounge.rts_atlashq_courtyard_dynamic_checkpoint_lounge", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_atlashq_courtyard_dynamic_checkpoint_maintenance.rts_atlashq_courtyard_dynamic_checkpoint_maintenance", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_atlashq_courtyard_dynamic_checkpoint_office.rts_atlashq_courtyard_dynamic_checkpoint_office", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_atlashq_labs_2.rts_atlashq_labs_2", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_atlashq_p_2.rts_atlashq_p_2", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_autogen_checkpoint_controlroomone.rts_autogen_checkpoint_controlroomone", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_autogen_checkpoint_controlroomtwo.rts_autogen_checkpoint_controlroomtwo", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_autogen_checkpoint_lounge.rts_autogen_checkpoint_lounge", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_autogen_checkpoint_maintenance.rts_autogen_checkpoint_maintenance", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_autogen_checkpoint_office.rts_autogen_checkpoint_office", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/atlashq/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Atlas HQ" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_autogen_resurrecttravelstationobject_159.rts_autogen_resurrecttravelstationobject_159", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_autogen_resurrecttravelstationobject_3.rts_autogen_resurrecttravelstationobject_3", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_autogen_resurrecttravelstationobject_5.rts_autogen_resurrecttravelstationobject_5", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_autogen_resurrecttravelstationobject_6.rts_autogen_resurrecttravelstationobject_6", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_autogen_resurrecttravelstationobject_7.rts_autogen_resurrecttravelstationobject_7", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_beach_p_2.rts_beach_p_2", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_beach_p_3.rts_beach_p_3", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_beach_p_5.rts_beach_p_5", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_beach_p_6.rts_beach_p_6", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_beach_p_7.rts_beach_p_7", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/beach/rts_beach_plot_m_159.rts_beach_plot_m_159", name: "Tazendeer Ruins" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_autogen_resurrecttravelstationobject_0.rts_autogen_resurrecttravelstationobject_0", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_autogen_resurrecttravelstationobject_1.rts_autogen_resurrecttravelstationobject_1", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_autogen_resurrecttravelstationobject_34437.rts_autogen_resurrecttravelstationobject_34437", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_autogen_resurrecttravelstationobject_36177.rts_autogen_resurrecttravelstationobject_36177", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_autogen_resurrecttravelstationobject_38715.rts_autogen_resurrecttravelstationobject_38715", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_autogen_resurrecttravelstationobject_44109.rts_autogen_resurrecttravelstationobject_44109", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_autogen_resurrecttravelstationobject_49115.rts_autogen_resurrecttravelstationobject_49115", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_city_boss_gigamind_38715.rts_city_boss_gigamind_38715", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_city_dynamic_0.rts_city_dynamic_0", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_city_dynamic_1.rts_city_dynamic_1", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_city_dynamic_2.rts_city_dynamic_2", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_city_dynamic_34437.rts_city_dynamic_34437", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_city_dynamic_36177.rts_city_dynamic_36177", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_city_dynamic_38715.rts_city_dynamic_38715", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_city_dynamic_44109.rts_city_dynamic_44109", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_city_dynamic_49115.rts_city_dynamic_49115", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/city/rts_city_hub_49115.rts_city_hub_49115", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_autogen_resurrecttravelstationobject.rts_autogen_resurrecttravelstationobject", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_autogen_resurrecttravelstationobject_14.rts_autogen_resurrecttravelstationobject_14", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_autogen_resurrecttravelstationobject_28.rts_autogen_resurrecttravelstationobject_28", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_autogen_resurrecttravelstationobject_afterdriving.rts_autogen_resurrecttravelstationobject_afterdriving", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_autogen_resurrecttravelstationobject_chkpt.rts_autogen_resurrecttravelstationobject_chkpt", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_autogen_resurrecttravelstationobject_chkpt_0.rts_autogen_resurrecttravelstationobject_chkpt_0", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_autogen_resurrecttravelstationobject_chkpt_1.rts_autogen_resurrecttravelstationobject_chkpt_1", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_autogen_resurrecttravelstationobject_chkpt_2.rts_autogen_resurrecttravelstationobject_chkpt_2", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_cityvault_m_laststop_0.rts_cityvault_m_laststop_0", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_cityvault_m_laststop_28.rts_cityvault_m_laststop_28", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_cityvault_m_laststop_afterdriving.rts_cityvault_m_laststop_afterdriving", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_cityvault_m_laststop_chkpt.rts_cityvault_m_laststop_chkpt", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_cityvault_m_laststop_chkpt_0.rts_cityvault_m_laststop_chkpt_0", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_cityvault_m_laststop_chkpt_1.rts_cityvault_m_laststop_chkpt_1", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_cityvault_m_laststop_chkpt_2.rts_cityvault_m_laststop_chkpt_2", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/cityvault/rts_cityvault_m_laststop_resurrecttravelstationobject.rts_cityvault_m_laststop_resurrecttravelstationobject", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/convoy/rts_autogen_resurrecttravelstation.rts_autogen_resurrecttravelstation", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/convoy/rts_autogen_resurrecttravelstation_31032.rts_autogen_resurrecttravelstation_31032", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/convoy/rts_autogen_resurrecttravelstation_36.rts_autogen_resurrecttravelstation_36", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/convoy/rts_autogen_resurrecttravelstation_37.rts_autogen_resurrecttravelstation_37", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/convoy/rts_autogen_resurrecttravelstation_54.rts_autogen_resurrecttravelstation_54", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/convoy/rts_convoy_p_resurrecttravelstation.rts_convoy_p_resurrecttravelstation", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/convoy/rts_convoy_p_resurrecttravelstation_31032.rts_convoy_p_resurrecttravelstation_31032", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/convoy/rts_convoy_p_resurrecttravelstation_36.rts_convoy_p_resurrecttravelstation_36", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/convoy/rts_convoy_p_resurrecttravelstation_37.rts_convoy_p_resurrecttravelstation_37", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/convoy/rts_convoy_p_resurrecttravelstation_54.rts_convoy_p_resurrecttravelstation_54", name: "Sandblast Scar" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/creatureslaughter/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Cistern of Slaughter" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/crypt/rts_autogen_resurrecttravelstationobject.rts_autogen_resurrecttravelstationobject", name: "Pyre of Stars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/crypt/rts_autogen_resurrecttravelstationobject3.rts_autogen_resurrecttravelstationobject3", name: "Pyre of Stars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/crypt/rts_autogen_resurrecttravelstationobject4.rts_autogen_resurrecttravelstationobject4", name: "Pyre of Stars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/crypt/rts_crypt_p_0.rts_crypt_p_0", name: "Pyre of Stars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/crypt/rts_crypt_p_resurrecttravelstationobject.rts_crypt_p_resurrecttravelstationobject", name: "Pyre of Stars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/crypt/rts_crypt_p_resurrecttravelstationobject3.rts_crypt_p_resurrecttravelstationobject3", name: "Pyre of Stars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/crypt/rts_crypt_p_resurrecttravelstationobject4.rts_crypt_p_resurrecttravelstationobject4", name: "Pyre of Stars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_autogen_resurrecttravelstationobject11.rts_autogen_resurrecttravelstationobject11", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_autogen_resurrecttravelstationobject_84.rts_autogen_resurrecttravelstationobject_84", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_autogen_resurrecttravelstationobject_85.rts_autogen_resurrecttravelstationobject_85", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_autogen_resurrecttravelstationobject_86.rts_autogen_resurrecttravelstationobject_86", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_autogen_resurrecttravelstationobject_87.rts_autogen_resurrecttravelstationobject_87", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_autogen_resurrecttravelstationobject_89.rts_autogen_resurrecttravelstationobject_89", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_desert_p_84.rts_desert_p_84", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_desert_p_85.rts_desert_p_85", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_desert_p_86.rts_desert_p_86", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_desert_p_87.rts_desert_p_87", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_desert_p_89.rts_desert_p_89", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_desert_poi_babydancer_84.rts_desert_poi_babydancer_84", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desert/rts_desert_poi_echonet_resurrecttravelstationobject11.rts_desert_poi_echonet_resurrecttravelstationobject11", name: "Devil's Razor" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desertvault/rts_autogen_resurrecttravelstationobject_0.rts_autogen_resurrecttravelstationobject_0", name: "Cathedral of the Twin Gods" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desertvault/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Cathedral of the Twin Gods" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_autogen_resurrecttravelstationobject_0.rts_autogen_resurrecttravelstationobject_0", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_autogen_resurrecttravelstationobject_13.rts_autogen_resurrecttravelstationobject_13", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_autogen_resurrecttravelstationobject_14.rts_autogen_resurrecttravelstationobject_14", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_autogen_resurrecttravelstationobject_3.rts_autogen_resurrecttravelstationobject_3", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_autogen_resurrecttravelstationobject_4.rts_autogen_resurrecttravelstationobject_4", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_autogen_resurrecttravelstationobject_5.rts_autogen_resurrecttravelstationobject_5", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_autogen_resurrecttravelstationobject_6.rts_autogen_resurrecttravelstationobject_6", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_autogen_resurrecttravelstationobject_7.rts_autogen_resurrecttravelstationobject_7", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_autogen_resurrecttravelstationobject_8.rts_autogen_resurrecttravelstationobject_8", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_autogen_resurrecttravelstationobject_9.rts_autogen_resurrecttravelstationobject_9", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_desolate_gameplay_asylum.rts_desolate_gameplay_asylum", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_desolate_gameplay_beforerepaircamp.rts_desolate_gameplay_beforerepaircamp", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_desolate_gameplay_beforetrauntarena.rts_desolate_gameplay_beforetrauntarena", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_desolate_gameplay_eastmarsh.rts_desolate_gameplay_eastmarsh", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_desolate_gameplay_finaleentrance.rts_desolate_gameplay_finaleentrance", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_desolate_gameplay_maliwancampentrance.rts_desolate_gameplay_maliwancampentrance", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_desolate_gameplay_maliwancampexit.rts_desolate_gameplay_maliwancampexit", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_desolate_gameplay_northswampentrance.rts_desolate_gameplay_northswampentrance", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_desolate_gameplay_northtemplebelow.rts_desolate_gameplay_northtemplebelow", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_desolate_gameplay_northtempleentrance.rts_desolate_gameplay_northtempleentrance", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/desolate/rts_desolate_gameplay_typhoncampoutside.rts_desolate_gameplay_typhoncampoutside", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/finalboss/rts_autogen_resurrecttravelstationobject_5082.rts_autogen_resurrecttravelstationobject_5082", name: "Destroyer's Rift" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_autogen_resurrecttravelstationobject.rts_autogen_resurrecttravelstationobject", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_autogen_resurrecttravelstationobject_0.rts_autogen_resurrecttravelstationobject_0", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_autogen_resurrecttravelstationobject_1404.rts_autogen_resurrecttravelstationobject_1404", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_autogen_resurrecttravelstationobject_18.rts_autogen_resurrecttravelstationobject_18", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_autogen_resurrecttravelstationobject_48.rts_autogen_resurrecttravelstationobject_48", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_mansion_dynamic_48.rts_mansion_dynamic_48", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_mansion_exterior_0.rts_mansion_exterior_0", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_mansion_exterior_1.rts_mansion_exterior_1", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_mansion_exterior_1404.rts_mansion_exterior_1404", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_mansion_exterior_18.rts_mansion_exterior_18", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_mansion_exterior_48.rts_mansion_exterior_48", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mansion/rts_mansion_theater_resurrecttravelstationobject.rts_mansion_theater_resurrecttravelstationobject", name: "Jakobs Estate" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/marshfields/rts_autogen_resurrecttravelstationobject_0.rts_autogen_resurrecttravelstationobject_0", name: "Ambermire" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/marshfields/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Ambermire" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/marshfields/rts_autogen_resurrecttravelstationobject_3.rts_autogen_resurrecttravelstationobject_3", name: "Ambermire" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/marshfields/rts_autogen_resurrecttravelstationobject_54.rts_autogen_resurrecttravelstationobject_54", name: "Ambermire" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/marshfields/rts_autogen_resurrecttravelstationobject_72.rts_autogen_resurrecttravelstationobject_72", name: "Ambermire" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/marshfields/rts_autogen_resurrecttravelstationobject_90.rts_autogen_resurrecttravelstationobject_90", name: "Ambermire" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/marshfields/rts_autogen_resurrecttravelstationobject_956.rts_autogen_resurrecttravelstationobject_956", name: "Ambermire" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mine/rts_autogen_resurrecttravelstationobject_0.rts_autogen_resurrecttravelstationobject_0", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mine/rts_autogen_resurrecttravelstationobject_28.rts_autogen_resurrecttravelstationobject_28", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mine/rts_autogen_resurrecttravelstationobject_29.rts_autogen_resurrecttravelstationobject_29", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mine/rts_autogen_resurrecttravelstationobject_36.rts_autogen_resurrecttravelstationobject_36", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mine/rts_autogen_resurrecttravelstationobject_54.rts_autogen_resurrecttravelstationobject_54", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mine/rts_mine_m_bridgeinthedark_0.rts_mine_m_bridgeinthedark_0", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mine/rts_mine_p_0.rts_mine_p_0", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mine/rts_mine_p_28.rts_mine_p_28", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mine/rts_mine_p_29.rts_mine_p_29", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mine/rts_mine_p_54.rts_mine_p_54", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/mine/rts_mine_section2_lobby_36.rts_mine_section2_lobby_36", name: "Konrad's Hold" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/monastery/rts_autogen_resurrecttravelstationobject10.rts_autogen_resurrecttravelstationobject10", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/monastery/rts_autogen_resurrecttravelstationobject9.rts_autogen_resurrecttravelstationobject9", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/monastery/rts_autogen_resurrecttravelstationobject_0.rts_autogen_resurrecttravelstationobject_0", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/monastery/rts_autogen_resurrecttravelstationobject_240.rts_autogen_resurrecttravelstationobject_240", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/monastery/rts_autogen_resurrecttravelstationobject_84.rts_autogen_resurrecttravelstationobject_84", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/monastery/rts_autogen_resurrecttravelstationobject_87.rts_autogen_resurrecttravelstationobject_87", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcade/rts_autogen_resurrecttravelstationobject_chopchop.rts_autogen_resurrecttravelstationobject_chopchop", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcade/rts_autogen_resurrecttravelstationobject_desert.rts_autogen_resurrecttravelstationobject_desert", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcade/rts_autogen_resurrecttravelstationobject_greaseland_4071.rts_autogen_resurrecttravelstationobject_greaseland_4071", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcade/rts_autogen_resurrecttravelstationobject_homestead.rts_autogen_resurrecttravelstationobject_homestead", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcade/rts_autogen_resurrecttravelstationobject_homestead_16407.rts_autogen_resurrecttravelstationobject_homestead_16407", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcade/rts_autogen_resurrecttravelstationobject_orphanage.rts_autogen_resurrecttravelstationobject_orphanage", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcade/rts_autogen_resurrecttravelstationobject_radiostation.rts_autogen_resurrecttravelstationobject_radiostation", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcade/rts_autogen_resurrecttravelstationobject_ravecave.rts_autogen_resurrecttravelstationobject_ravecave", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcade/rts_autogen_resurrecttravelstationobject_rollercoaster.rts_autogen_resurrecttravelstationobject_rollercoaster", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcade/rts_autogen_resurrecttravelstationobject_spiderantcave.rts_autogen_resurrecttravelstationobject_spiderantcave", name: "Splinterlands" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcadefestival/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcadefestival/rts_autogen_resurrecttravelstationobject_3245.rts_autogen_resurrecttravelstationobject_3245", name: "Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcadefestival/rts_autogen_resurrecttravelstationobject_668.rts_autogen_resurrecttravelstationobject_668", name: "Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcadeinterior/rts_autogen_resurrecttravelstationobject5.rts_autogen_resurrecttravelstationobject5", name: "Guts of Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcadeinterior/rts_autogen_resurrecttravelstationobject_42.rts_autogen_resurrecttravelstationobject_42", name: "Guts of Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcadeinterior/rts_autogen_resurrecttravelstationobject_43.rts_autogen_resurrecttravelstationobject_43", name: "Guts of Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcadeinterior/rts_autogen_resurrecttravelstationobject_44.rts_autogen_resurrecttravelstationobject_44", name: "Guts of Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcadeinterior/rts_motorcadeinterior_catwalks_resurrecttravelstationobject5.rts_motorcadeinterior_catwalks_resurrecttravelstationobject5", name: "Guts of Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcadeinterior/rts_motorcadeinterior_engine_43.rts_motorcadeinterior_engine_43", name: "Guts of Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcadeinterior/rts_motorcadeinterior_plot_44.rts_motorcadeinterior_plot_44", name: "Guts of Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/motorcadeinterior/rts_motorcadeinterior_top_42.rts_motorcadeinterior_top_42", name: "Guts of Carnivora" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_autogen_resurrecttravelstationobject_0.rts_autogen_resurrecttravelstationobject_0", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_autogen_resurrecttravelstationobject_1.rts_autogen_resurrecttravelstationobject_1", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_autogen_resurrecttravelstationobject_28.rts_autogen_resurrecttravelstationobject_28", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_autogen_resurrecttravelstationobject_3.rts_autogen_resurrecttravelstationobject_3", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_autogen_resurrecttravelstationobject_4.rts_autogen_resurrecttravelstationobject_4", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_autogen_resurrecttravelstationobject_5.rts_autogen_resurrecttravelstationobject_5", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_orbitalplatform_combat_0.rts_orbitalplatform_combat_0", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_orbitalplatform_combat_1.rts_orbitalplatform_combat_1", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_orbitalplatform_combat_2.rts_orbitalplatform_combat_2", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_orbitalplatform_combat_28.rts_orbitalplatform_combat_28", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_orbitalplatform_combat_3.rts_orbitalplatform_combat_3", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_orbitalplatform_combat_4.rts_orbitalplatform_combat_4", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_orbitalplatform_combat_5.rts_orbitalplatform_combat_5", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_orbitalplatform_m_oppresearch_2.rts_orbitalplatform_m_oppresearch_2", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/orbitalplatform/rts_orbitalplatform_mission_0.rts_orbitalplatform_mission_0", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/outskirts/rts_autogen_resurrecttravelstationobject_14447.rts_autogen_resurrecttravelstationobject_14447", name: "Meridian Outskirts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/outskirts/rts_autogen_resurrecttravelstationobject_16242.rts_autogen_resurrecttravelstationobject_16242", name: "Meridian Outskirts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/outskirts/rts_autogen_resurrecttravelstationobject_19620.rts_autogen_resurrecttravelstationobject_19620", name: "Meridian Outskirts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/outskirts/rts_autogen_resurrecttravelstationobject_786.rts_autogen_resurrecttravelstationobject_786", name: "Meridian Outskirts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prison/rts_autogen_resurrecttravelstationobject_1243.rts_autogen_resurrecttravelstationobject_1243", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prison/rts_autogen_resurrecttravelstationobject_2268.rts_autogen_resurrecttravelstationobject_2268", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prison/rts_autogen_resurrecttravelstationobject_3114.rts_autogen_resurrecttravelstationobject_3114", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prison/rts_autogen_resurrecttravelstationobject_3242.rts_autogen_resurrecttravelstationobject_3242", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prison/rts_autogen_resurrecttravelstationobject_3964.rts_autogen_resurrecttravelstationobject_3964", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prison/rts_autogen_resurrecttravelstationobject_594.rts_autogen_resurrecttravelstationobject_594", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prison/rts_autogen_resurrecttravelstationobject_6231.rts_autogen_resurrecttravelstationobject_6231", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prison/rts_autogen_resurrecttravelstationobject_648.rts_autogen_resurrecttravelstationobject_648", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prison/rts_autogen_resurrecttravelstationobject_74.rts_autogen_resurrecttravelstationobject_74", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prison/rts_autogen_resurrecttravelstationobject_8752.rts_autogen_resurrecttravelstationobject_8752", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prison/rts_autogen_resurrecttravelstationobject_884.rts_autogen_resurrecttravelstationobject_884", name: "Anvil" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_autogen_resurrecttravelstationobject_0.rts_autogen_resurrecttravelstationobject_0", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_autogen_resurrecttravelstationobject_12.rts_autogen_resurrecttravelstationobject_12", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_autogen_resurrecttravelstationobject_13.rts_autogen_resurrecttravelstationobject_13", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_autogen_resurrecttravelstationobject_2220.rts_autogen_resurrecttravelstationobject_2220", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_autogen_resurrecttravelstationobject_2846.rts_autogen_resurrecttravelstationobject_2846", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_autogen_resurrecttravelstationobject_3.rts_autogen_resurrecttravelstationobject_3", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_autogen_resurrecttravelstationobject_5.rts_autogen_resurrecttravelstationobject_5", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_autogen_resurrecttravelstationobject_6.rts_autogen_resurrecttravelstationobject_6", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_autogen_resurrecttravelstationobject_8159.rts_autogen_resurrecttravelstationobject_8159", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_autogen_resurrecttravelstationobject_pastbarricade.rts_autogen_resurrecttravelstationobject_pastbarricade", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_combat_2.rts_prologue_combat_2", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_combat_6.rts_prologue_combat_6", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_dynamic_0.rts_prologue_dynamic_0", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_dynamic_12.rts_prologue_dynamic_12", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_dynamic_13.rts_prologue_dynamic_13", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_dynamic_2.rts_prologue_dynamic_2", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_dynamic_2220.rts_prologue_dynamic_2220", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_dynamic_2846.rts_prologue_dynamic_2846", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_dynamic_3.rts_prologue_dynamic_3", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_dynamic_5.rts_prologue_dynamic_5", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_dynamic_6.rts_prologue_dynamic_6", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_dynamic_8159.rts_prologue_dynamic_8159", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/prologue/rts_prologue_dynamic_pastbarricade.rts_prologue_dynamic_pastbarricade", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial1/rts_autogen_resurrecttravelstationobject.rts_autogen_resurrecttravelstationobject", name: "Gradient of Dawn (Survival)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial1/rts_autogen_resurrecttravelstationobject_180.rts_autogen_resurrecttravelstationobject_180", name: "Gradient of Dawn (Survival)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial1/rts_autogen_resurrecttravelstationobject_730.rts_autogen_resurrecttravelstationobject_730", name: "Gradient of Dawn (Survival)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial4/rts_autogen_resurrecttravelstationobject_1896.rts_autogen_resurrecttravelstationobject_1896", name: "Skydrowned Pulpit (Fervor)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial4/rts_autogen_resurrecttravelstationobject_3373.rts_autogen_resurrecttravelstationobject_3373", name: "Skydrowned Pulpit (Fervor)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial4/rts_autogen_resurrecttravelstationobject_3614.rts_autogen_resurrecttravelstationobject_3614", name: "Skydrowned Pulpit (Fervor)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial5/rts_autogen_resurrecttravelstationobject_13277.rts_autogen_resurrecttravelstationobject_13277", name: "Ghostlight Beacon (Cunning)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial5/rts_autogen_resurrecttravelstationobject_3614.rts_autogen_resurrecttravelstationobject_3614", name: "Ghostlight Beacon (Cunning)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial5/rts_autogen_resurrecttravelstationobject_3962.rts_autogen_resurrecttravelstationobject_3962", name: "Ghostlight Beacon (Cunning)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial6/rts_autogen_resurrecttravelstationobject_0.rts_autogen_resurrecttravelstationobject_0", name: "Hall Obsidian (Supremacy)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial6/rts_autogen_resurrecttravelstationobject_1502.rts_autogen_resurrecttravelstationobject_1502", name: "Hall Obsidian (Supremacy)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial6/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Hall Obsidian (Supremacy)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial7/rts_autogen_resurrecttravelstationobject_afterencounter.rts_autogen_resurrecttravelstationobject_afterencounter", name: "Precipice Anchor (Discipline)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial7/rts_autogen_resurrecttravelstationobject_afterencounter_7403.rts_autogen_resurrecttravelstationobject_afterencounter_7403", name: "Precipice Anchor (Discipline)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial7/rts_autogen_resurrecttravelstationobject_afterencounter_7440.rts_autogen_resurrecttravelstationobject_afterencounter_7440", name: "Precipice Anchor (Discipline)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial8/rts_autogen_resurrecttravelstationobject_afterencounter.rts_autogen_resurrecttravelstationobject_afterencounter", name: "Wayward Tether (Instinct)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial8/rts_autogen_resurrecttravelstationobject_afterencounter_1801.rts_autogen_resurrecttravelstationobject_afterencounter_1801", name: "Wayward Tether (Instinct)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/provinggrounds_trial8/rts_autogen_resurrecttravelstationobject_afterencounter_24.rts_autogen_resurrecttravelstationobject_afterencounter_24", name: "Wayward Tether (Instinct)" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/recruitment/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Covenant Pass" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/recruitment/rts_autogen_resurrecttravelstationobject_covcamp.rts_autogen_resurrecttravelstationobject_covcamp", name: "Covenant Pass" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/sacrifice/rts_autogen_resurrecttravelstationobject_13.rts_autogen_resurrecttravelstationobject_13", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/sacrifice/rts_autogen_resurrecttravelstationobject_16.rts_autogen_resurrecttravelstationobject_16", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/sacrifice/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/sacrifice/rts_autogen_resurrecttravelstationobject_2828.rts_autogen_resurrecttravelstationobject_2828", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/sacrifice/rts_autogen_resurrecttravelstationobject_6.rts_autogen_resurrecttravelstationobject_6", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/sacrifice/rts_autogen_resurrecttravelstationobject_7547.rts_autogen_resurrecttravelstationobject_7547", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/techslaughter/rts_autogen_resurrecttravelstationobject_2.rts_autogen_resurrecttravelstationobject_2", name: "Slaughterstar 3000" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/towers/rts_autogen_resurrecttravelstationobject_1136.rts_autogen_resurrecttravelstationobject_1136", name: "Lectra City" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/towers/rts_autogen_resurrecttravelstationobject_14.rts_autogen_resurrecttravelstationobject_14", name: "Lectra City" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/towers/rts_autogen_resurrecttravelstationobject_660.rts_autogen_resurrecttravelstationobject_660", name: "Lectra City" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/towers/rts_autogen_resurrecttravelstationobject_772.rts_autogen_resurrecttravelstationobject_772", name: "Lectra City" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/towers/rts_autogen_resurrecttravelstationobject_84.rts_autogen_resurrecttravelstationobject_84", name: "Lectra City" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/towers/rts_autogen_resurrecttravelstationobject_85.rts_autogen_resurrecttravelstationobject_85", name: "Lectra City" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/towers/rts_autogen_resurrecttravelstationobject_86.rts_autogen_resurrecttravelstationobject_86", name: "Lectra City" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/towers/rts_autogen_resurrecttravelstationobject_87.rts_autogen_resurrecttravelstationobject_87", name: "Lectra City" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_autogen_resurrecttravelstationobject.rts_autogen_resurrecttravelstationobject", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_autogen_resurrecttravelstationobject4.rts_autogen_resurrecttravelstationobject4", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_autogen_resurrecttravelstationobject8.rts_autogen_resurrecttravelstationobject8", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_autogen_resurrecttravelstationobject9.rts_autogen_resurrecttravelstationobject9", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_autogen_resurrecttravelstationobject_18.rts_autogen_resurrecttravelstationobject_18", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_autogen_resurrecttravelstationobject_4123.rts_autogen_resurrecttravelstationobject_4123", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_autogen_resurrecttravelstationobject_6904.rts_autogen_resurrecttravelstationobject_6904", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_watership_combat_resurrecttravelstationobject.rts_watership_combat_resurrecttravelstationobject", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_watership_leadup_geo_6904.rts_watership_leadup_geo_6904", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_watership_mission_0.rts_watership_mission_0", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_watership_mission_1.rts_watership_mission_1", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_watership_mission_resurrecttravelstationobject.rts_watership_mission_resurrecttravelstationobject", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_watership_p_resurrecttravelstationobject4.rts_watership_p_resurrecttravelstationobject4", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_watership_p_resurrecttravelstationobject8.rts_watership_p_resurrecttravelstationobject8", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_watership_sidemission_0.rts_watership_sidemission_0", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_watership_sidemission_4123.rts_watership_sidemission_4123", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/watership/rts_watership_sidemission_resurrecttravelstationobject.rts_watership_sidemission_resurrecttravelstationobject", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_autogen_resurrecttravelstationobject_1046.rts_autogen_resurrecttravelstationobject_1046", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_autogen_resurrecttravelstationobject_1190.rts_autogen_resurrecttravelstationobject_1190", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_autogen_resurrecttravelstationobject_36.rts_autogen_resurrecttravelstationobject_36", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_autogen_resurrecttravelstationobject_4761.rts_autogen_resurrecttravelstationobject_4761", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_autogen_resurrecttravelstationobject_4791.rts_autogen_resurrecttravelstationobject_4791", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_autogen_resurrecttravelstationobject_48.rts_autogen_resurrecttravelstationobject_48", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_autogen_resurrecttravelstationobject_5977.rts_autogen_resurrecttravelstationobject_5977", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_autogen_resurrecttravelstationobject_7157.rts_autogen_resurrecttravelstationobject_7157", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_autogen_resurrecttravelstationobject_9177.rts_autogen_resurrecttravelstationobject_9177", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_autogen_resurrecttravelstationobject_920.rts_autogen_resurrecttravelstationobject_920", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_wetlands_combat_1046.rts_wetlands_combat_1046", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_wetlands_combat_1190.rts_wetlands_combat_1190", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_wetlands_combat_36.rts_wetlands_combat_36", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_wetlands_combat_4761.rts_wetlands_combat_4761", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_wetlands_combat_4791.rts_wetlands_combat_4791", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_wetlands_combat_48.rts_wetlands_combat_48", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_wetlands_combat_5977.rts_wetlands_combat_5977", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_wetlands_combat_7157.rts_wetlands_combat_7157", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_wetlands_combat_9177.rts_wetlands_combat_9177", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlands/rts_wetlands_combat_920.rts_wetlands_combat_920", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlandsvault/rts_autogen_resurrecttravelstationobject_108.rts_autogen_resurrecttravelstationobject_108", name: "Blackbarrel Cellars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlandsvault/rts_autogen_resurrecttravelstationobject_144.rts_autogen_resurrecttravelstationobject_144", name: "Blackbarrel Cellars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlandsvault/rts_autogen_resurrecttravelstationobject_54.rts_autogen_resurrecttravelstationobject_54", name: "Blackbarrel Cellars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlandsvault/rts_wetlandsvault_combat_144.rts_wetlandsvault_combat_144", name: "Blackbarrel Cellars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlandsvault/rts_wetlandsvault_p_108.rts_wetlandsvault_p_108", name: "Blackbarrel Cellars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlandsvault/rts_wetlandsvault_p_144.rts_wetlandsvault_p_144", name: "Blackbarrel Cellars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/autogen/wetlandsvault/rts_wetlandsvault_p_54.rts_wetlandsvault_p_54", name: "Blackbarrel Cellars" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/city/rts_city_airport.rts_city_airport", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/city/rts_city_atlashqgates.rts_city_atlashqgates", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/city/rts_city_cvgate.rts_city_cvgate", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/city/rts_city_maintexit.rts_city_maintexit", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/city/rts_city_mallentrance.rts_city_mallentrance", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/cityvault/rts_cityvault_cave.rts_cityvault_cave", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/cityvault/rts_cityvault_phonebank.rts_cityvault_phonebank", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/cityvault/rts_cityvault_stationentrance.rts_cityvault_stationentrance", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/cityvault/rts_cityvault_vehiclepit1.rts_cityvault_vehiclepit1", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/cityvault/rts_cityvault_vehiclepit2.rts_cityvault_vehiclepit2", name: "Neon Arterial" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/monastery/rts_monastery_bosscourtyard.rts_monastery_bosscourtyard", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/monastery/rts_monastery_bridge.rts_monastery_bridge", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/monastery/rts_monastery_cemetery.rts_monastery_cemetery", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/monastery/rts_monastery_cliffpath.rts_monastery_cliffpath", name: "Athenas" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/orbital/rts_orbitalplatform_ballpit.rts_orbitalplatform_ballpit", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/orbital/rts_orbitalplatform_cargobay.rts_orbitalplatform_cargobay", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/orbital/rts_orbitalplatform_commandcenter.rts_orbitalplatform_commandcenter", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/orbital/rts_orbitalplatform_maintenance.rts_orbitalplatform_maintenance", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/orbital/rts_orbitalplatform_thruster.rts_orbitalplatform_thruster", name: "Skywell-27" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/prologue/rts_prologue_desertgate.rts_prologue_desertgate", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/prologue/rts_prologue_ellies.rts_prologue_ellies", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/prologue/rts_prologue_gatecamp.rts_prologue_gatecamp", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/prologue/rts_prologue_launchpad.rts_prologue_launchpad", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/prologue/rts_prologue_lilithbase.rts_prologue_lilithbase", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/prologue/rts_prologue_navcamp.rts_prologue_navcamp", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/prologue/rts_prologue_sacrificegate.rts_prologue_sacrificegate", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/prologue/rts_prologue_vehiclecamp.rts_prologue_vehiclecamp", name: "Droughts" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/recruitment/rts_recruitment_entrance.rts_recruitment_entrance", name: "Covenant Pass" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/sacrifice/rts_sacrifice_holybroadgate.rts_sacrifice_holybroadgate", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/sacrifice/rts_sacrifice_holybroadlobby.rts_sacrifice_holybroadlobby", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/sacrifice/rts_sacrifice_mouthpiece.rts_sacrifice_mouthpiece", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/sacrifice/rts_sacrifice_prologuegate.rts_sacrifice_prologuegate", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/gamedata/fasttravel/resurrecttravelstations/wetlands/rts_wetlands_mansion.rts_wetlands_mansion", name: "Floodmoor Basin" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/fts_ali_anger.fts_ali_anger", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/fts_ali_anger_boss.fts_ali_anger_boss", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/fts_ali_anger_castle.fts_ali_anger_castle", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/fts_ali_chase.fts_ali_chase", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/fts_ali_chase_boss.fts_ali_chase_boss", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/fts_ali_eldorado.fts_ali_eldorado", name: "Vaulthalla" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/fts_ali_eldorado_boss.fts_ali_eldorado_boss", name: "Vaulthalla" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/fts_ali_experiment.fts_ali_experiment", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/fts_ali_experiment_boss.fts_ali_experiment_boss", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/fts_ali_sanctum.fts_ali_sanctum", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/fts_ali_sanctum_droppod.fts_ali_sanctum_droppod", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_anger_sanctum.lts_ali_anger_sanctum", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_anger_whitedoor_back.lts_ali_anger_whitedoor_back", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_anger_whitedoor_in.lts_ali_anger_whitedoor_in", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_angerboss_sanctum.lts_ali_angerboss_sanctum", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_chase_sanctum.lts_ali_chase_sanctum", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_chase_whitedoor_back.lts_ali_chase_whitedoor_back", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_chase_whitedoor_in.lts_ali_chase_whitedoor_in", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_chaseboss_sanctum.lts_ali_chaseboss_sanctum", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_eldorado_sanctum.lts_ali_eldorado_sanctum", name: "Vaulthalla" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_eldorado_whitedoor_back.lts_ali_eldorado_whitedoor_back", name: "Vaulthalla" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_eldorado_whitedoor_in.lts_ali_eldorado_whitedoor_in", name: "Vaulthalla" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_eldoradoboss_sanctum.lts_ali_eldoradoboss_sanctum", name: "Vaulthalla" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_experiment_sanctum.lts_ali_experiment_sanctum", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_experiment_whitedoor_back.lts_ali_experiment_whitedoor_back", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_experiment_whitedoor_in.lts_ali_experiment_whitedoor_in", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_experimentboss_sanctum.lts_ali_experimentboss_sanctum", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_sanctum_anger.lts_ali_sanctum_anger", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_sanctum_angerboss_unusable.lts_ali_sanctum_angerboss_unusable", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_sanctum_chase.lts_ali_sanctum_chase", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_sanctum_chaseboss_unusable.lts_ali_sanctum_chaseboss_unusable", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_sanctum_eldorado.lts_ali_sanctum_eldorado", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_sanctum_eldoradoboss_unusable.lts_ali_sanctum_eldoradoboss_unusable", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_sanctum_experiment.lts_ali_sanctum_experiment", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_sanctum_experimentboss_unusable.lts_ali_sanctum_experimentboss_unusable", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_whitedoor_back.lts_ali_whitedoor_back", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/leveltravelstations/lts_ali_whitedoor_in.lts_ali_whitedoor_in", name: "The Psychoscape" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/patchedleveltraveldata/lts_sanctuary3_ali.lts_sanctuary3_ali", name: "Sanctuary" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/anger/rts_anger_travel_rs__ascen.rts_anger_travel_rs__ascen", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/anger/rts_anger_travel_rs__gate.rts_anger_travel_rs__gate", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/anger/rts_anger_travel_rs__main.rts_anger_travel_rs__main", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/anger/rts_anger_travel_rs__meata.rts_anger_travel_rs__meata", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/anger/rts_anger_travel_rs__meatb.rts_anger_travel_rs__meatb", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/anger/rts_anger_travel_rs__outposta.rts_anger_travel_rs__outposta", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/anger/rts_anger_travel_rs__outpostb.rts_anger_travel_rs__outpostb", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/anger/rts_anger_travel_rs__outpostc.rts_anger_travel_rs__outpostc", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/anger/rts_anger_travel_rs__side.rts_anger_travel_rs__side", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/anger/rts_anger_travel_rs__skag.rts_anger_travel_rs__skag", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/anger/rts_anger_travel_rs__stronghold.rts_anger_travel_rs__stronghold", name: "Castle Crimson" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/chase/rts_chase_travel_rs__anoa.rts_chase_travel_rs__anoa", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/chase/rts_chase_travel_rs__anob.rts_chase_travel_rs__anob", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/chase/rts_chase_travel_rs__bridgea.rts_chase_travel_rs__bridgea", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/chase/rts_chase_travel_rs__bridgeb.rts_chase_travel_rs__bridgeb", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/chase/rts_chase_travel_rs__chess.rts_chase_travel_rs__chess", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/chase/rts_chase_travel_rs__lair.rts_chase_travel_rs__lair", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/chase/rts_chase_travel_rs__minea.rts_chase_travel_rs__minea", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/chase/rts_chase_travel_rs__mineb.rts_chase_travel_rs__mineb", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/chase/rts_chase_travel_rs__minec.rts_chase_travel_rs__minec", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/chase/rts_chase_travel_rs__stationa.rts_chase_travel_rs__stationa", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/chase/rts_chase_travel_rs__stationb.rts_chase_travel_rs__stationb", name: "Sapphire's Run" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/eldorado/rts_eldorado_travel_rs__drop.rts_eldorado_travel_rs__drop", name: "Vaulthalla" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/eldorado/rts_eldorado_travel_rs__loot.rts_eldorado_travel_rs__loot", name: "Vaulthalla" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/experiment/rts_experiment_travel_rs__boss.rts_experiment_travel_rs__boss", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/experiment/rts_experiment_travel_rs__courta.rts_experiment_travel_rs__courta", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/experiment/rts_experiment_travel_rs__courtb.rts_experiment_travel_rs__courtb", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/experiment/rts_experiment_travel_rs__lab.rts_experiment_travel_rs__lab", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/experiment/rts_experiment_travel_rs__land.rts_experiment_travel_rs__land", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/experiment/rts_experiment_travel_rs__pipe.rts_experiment_travel_rs__pipe", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/experiment/rts_experiment_travel_rs__secret.rts_experiment_travel_rs__secret", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/experiment/rts_experiment_travel_rs__twist.rts_experiment_travel_rs__twist", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/experiment/rts_experiment_travel_rt__lane.rts_experiment_travel_rt__lane", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/alisma/gamedata/fasttravel/resurrecttravelstations/autogen/experiment/rts_experiment_travel_rt__ward.rts_experiment_travel_rt__ward", name: "Benediction of Pain" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gamedata/fasttravel/leveltraveldata/fts_bloodyharvest.fts_bloodyharvest", name: "Heck Hole" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gamedata/fasttravel/leveltraveldata/lts_bloodyharvest_exit_sanctuary3.lts_bloodyharvest_exit_sanctuary3", name: "Heck Hole" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gamedata/fasttravel/leveltraveldata/lts_bloodyharvest_sanctuary3.lts_bloodyharvest_sanctuary3", name: "Heck Hole" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gamedata/fasttravel/leveltraveldata/lts_sanctuary3_bloodyharvest.lts_sanctuary3_bloodyharvest", name: "Sanctuary" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gamedata/fasttravel/leveltraveldata/lts_sanctuary3_bloodyharvest_exit.lts_sanctuary3_bloodyharvest_exit", name: "Sanctuary" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gamedata/fasttravel/resurrecttravelstations/autogen/bloodyharvest/rts_bloodyharvest_boss_2.rts_bloodyharvest_boss_2", name: "Heck Hole" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gamedata/fasttravel/resurrecttravelstations/autogen/bloodyharvest/rts_bloodyharvest_combat_0.rts_bloodyharvest_combat_0", name: "Heck Hole" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gamedata/fasttravel/resurrecttravelstations/autogen/bloodyharvest/rts_bloodyharvest_combat_2.rts_bloodyharvest_combat_2", name: "Heck Hole" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gamedata/fasttravel/resurrecttravelstations/autogen/bloodyharvest/rts_bloodyharvest_p_2.rts_bloodyharvest_p_2", name: "Heck Hole" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_casinointro_dlc1_pod.fts_casinointro_dlc1_pod", name: "Grand Opening" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_core_dlc1.fts_core_dlc1", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_core_dlc1_boss.fts_core_dlc1_boss", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_impound_dlc1.fts_impound_dlc1", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_impound_dlc1_exit.fts_impound_dlc1_exit", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_impound_dlc1_lowgrav.fts_impound_dlc1_lowgrav", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_strip_dlc1_entrance.fts_strip_dlc1_entrance", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_strip_dlc1_hideout.fts_strip_dlc1_hideout", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_strip_dlc1_market.fts_strip_dlc1_market", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_strip_dlc1_tricksynickarea.fts_strip_dlc1_tricksynickarea", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_strip_dlc1_vice.fts_strip_dlc1_vice", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_towerlair_dlc1_lobby.fts_towerlair_dlc1_lobby", name: "VIP Tower" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_towerlair_dlc1_scrooge.fts_towerlair_dlc1_scrooge", name: "VIP Tower" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_trashtown_dlc1.fts_trashtown_dlc1", name: "Compactor" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/fts_trashtown_dlc1_town.fts_trashtown_dlc1_town", name: "Compactor" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/leveltravelstations/lts_casinointro_strip.lts_casinointro_strip", name: "Grand Opening" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/leveltravelstations/lts_core_strip.lts_core_strip", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/leveltravelstations/lts_impound_strip.lts_impound_strip", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/leveltravelstations/lts_strip_casinointro.lts_strip_casinointro", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/leveltravelstations/lts_strip_core.lts_strip_core", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/leveltravelstations/lts_strip_impound.lts_strip_impound", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/leveltravelstations/lts_strip_towerlair.lts_strip_towerlair", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/leveltravelstations/lts_strip_trashtown.lts_strip_trashtown", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/leveltravelstations/lts_towerlair_strip.lts_towerlair_strip", name: "VIP Tower" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/leveltravelstations/lts_trashtown_strip.lts_trashtown_strip", name: "Compactor" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/lts_sanctuary3_dlc1.lts_sanctuary3_dlc1", name: "Sanctuary" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/casinointro/rts_casino_travel_011.rts_casino_travel_011", name: "Grand Opening" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/casinointro/rts_casino_travel_211.rts_casino_travel_211", name: "Grand Opening" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/casinointro/rts_casino_travel_311.rts_casino_travel_311", name: "Grand Opening" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/casinointro/rts_casino_travel_611.rts_casino_travel_611", name: "Grand Opening" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/casinointro/rts_casino_travel_711.rts_casino_travel_711", name: "Grand Opening" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/core/rts_core_travel_00.rts_core_travel_00", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/core/rts_core_travel_01.rts_core_travel_01", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/core/rts_core_travel_02.rts_core_travel_02", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/core/rts_core_travel_03.rts_core_travel_03", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/core/rts_core_travel_04.rts_core_travel_04", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/core/rts_core_travel_05.rts_core_travel_05", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/core/rts_core_travel_06.rts_core_travel_06", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/core/rts_core_travel_07.rts_core_travel_07", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/core/rts_core_travel_10.rts_core_travel_10", name: "Jack's Secret" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/impound/rts_impound_travel_01.rts_impound_travel_01", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/impound/rts_impound_travel_02.rts_impound_travel_02", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/impound/rts_impound_travel_03.rts_impound_travel_03", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/impound/rts_impound_travel_04.rts_impound_travel_04", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/impound/rts_impound_travel_05.rts_impound_travel_05", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/impound/rts_impound_travel_06.rts_impound_travel_06", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/impound/rts_impound_travel_08.rts_impound_travel_08", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/impound/rts_impound_travel_09.rts_impound_travel_09", name: "Impound Deluxe" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/strip/rts_strip_travel_resurrecttravel_compound.rts_strip_travel_resurrecttravel_compound", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/strip/rts_strip_travel_resurrecttravel_deathtowers.rts_strip_travel_resurrecttravel_deathtowers", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/strip/rts_strip_travel_resurrecttravel_fightpit.rts_strip_travel_resurrecttravel_fightpit", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/strip/rts_strip_travel_resurrecttravel_market.rts_strip_travel_resurrecttravel_market", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/strip/rts_strip_travel_resurrecttravel_spa.rts_strip_travel_resurrecttravel_spa", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/strip/rts_strip_travel_resurrecttravel_square.rts_strip_travel_resurrecttravel_square", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/strip/rts_strip_travel_resurrecttravel_suit.rts_strip_travel_resurrecttravel_suit", name: "Spendopticon" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/towerlair/rts_towerlair_travel_1.rts_towerlair_travel_1", name: "VIP Tower" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/trashtown/rts_trashtown_travel_2.rts_trashtown_travel_2", name: "Compactor" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/trashtown/rts_trashtown_travel_3.rts_trashtown_travel_3", name: "Compactor" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/trashtown/rts_trashtown_travel_claptrapcave.rts_trashtown_travel_claptrapcave", name: "Compactor" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/trashtown/rts_trashtown_travel_claptraptoescort.rts_trashtown_travel_claptraptoescort", name: "Compactor" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/trashtown/rts_trashtown_travel_escortstart.rts_trashtown_travel_escortstart", name: "Compactor" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/trashtown/rts_trashtown_travel_outsidetrashtown.rts_trashtown_travel_outsidetrashtown", name: "Compactor" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/trashtown/rts_trashtown_travel_pretrashtown.rts_trashtown_travel_pretrashtown", name: "Compactor" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gamedata/fasttravel/resurrecttravelstations/autogen/trashtown/rts_trashtown_travel_underbeam.rts_trashtown_travel_underbeam", name: "Compactor" },
    GameDataKv { ident: "/game/patchdlc/event2/gamedata/fasttravel/leveltraveldata/fts_cartelhideout.fts_cartelhideout", name: "Villa Ultraviolet" },
    GameDataKv { ident: "/game/patchdlc/event2/gamedata/fasttravel/leveltraveldata/lts_cartelhideout_exit_sanct.lts_cartelhideout_exit_sanct", name: "Villa Ultraviolet" },
    GameDataKv { ident: "/game/patchdlc/event2/gamedata/fasttravel/leveltraveldata/lts_cartelhideout_sanct3.lts_cartelhideout_sanct3", name: "Villa Ultraviolet" },
    GameDataKv { ident: "/game/patchdlc/event2/gamedata/fasttravel/leveltraveldata/lts_sanct3_cartelhideout.lts_sanct3_cartelhideout", name: "Sanctuary" },
    GameDataKv { ident: "/game/patchdlc/event2/gamedata/fasttravel/leveltraveldata/lts_sanct3_cartelhideout_exit.lts_sanct3_cartelhideout_exit", name: "Sanctuary" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_craterboss_dlc3.fts_craterboss_dlc3", name: "Crater's Edge" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_craterboss_dlc3_boss.fts_craterboss_dlc3_boss", name: "Crater's Edge" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_facility_dlc3.fts_facility_dlc3", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_facility_dlc3_mid.fts_facility_dlc3_mid", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_facility_dlc3_sendonly.fts_facility_dlc3_sendonly", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_forest_dlc3.fts_forest_dlc3", name: "Obsidian Forest" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_forest_dlc3_mid.fts_forest_dlc3_mid", name: "Obsidian Forest" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_frontier_dlc3_fort.fts_frontier_dlc3_fort", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_frontier_dlc3_garage.fts_frontier_dlc3_garage", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_frontier_dlc3_gasstation.fts_frontier_dlc3_gasstation", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_lodge_dlc3.fts_lodge_dlc3", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_lodge_dlc3_boss.fts_lodge_dlc3_boss", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_lodge_dlc3_mid.fts_lodge_dlc3_mid", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_town_dlc3.fts_town_dlc3", name: "Vestige" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/fts_town_dlc3_pod.fts_town_dlc3_pod", name: "Vestige" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/leveltravelstations/lts_craterboss_frontier.lts_craterboss_frontier", name: "Crater's Edge" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/leveltravelstations/lts_facility_frontier.lts_facility_frontier", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/leveltravelstations/lts_forest_frontier.lts_forest_frontier", name: "Obsidian Forest" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/leveltravelstations/lts_frontier_craterboss.lts_frontier_craterboss", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/leveltravelstations/lts_frontier_facility.lts_frontier_facility", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/leveltravelstations/lts_frontier_forest.lts_frontier_forest", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/leveltravelstations/lts_frontier_lodge.lts_frontier_lodge", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/leveltravelstations/lts_frontier_town.lts_frontier_town", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/leveltravelstations/lts_lodge_frontier.lts_lodge_frontier", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/leveltravelstations/lts_town_frontier.lts_town_frontier", name: "Vestige" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/lts_sanctuary3_dlc3.lts_sanctuary3_dlc3", name: "Sanctuary" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/craterboss/rts_craterboss_01_entrance.rts_craterboss_01_entrance", name: "Crater's Edge" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/craterboss/rts_craterboss_02_boss.rts_craterboss_02_boss", name: "Crater's Edge" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_01_bridge.rts_facility_01_bridge", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_02_meatman.rts_facility_02_meatman", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_03_meatman_02.rts_facility_03_meatman_02", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_04_entrance.rts_facility_04_entrance", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_05_lobby.rts_facility_05_lobby", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_06_elevator.rts_facility_06_elevator", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_07_train.rts_facility_07_train", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_08_lovebarsnone.rts_facility_08_lovebarsnone", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_09_lovebarsnone_02.rts_facility_09_lovebarsnone_02", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_10_lovebarsnone_03.rts_facility_10_lovebarsnone_03", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_11_revolver.rts_facility_11_revolver", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_12_rosebridge.rts_facility_12_rosebridge", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_13_tunnel.rts_facility_13_tunnel", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/facility/rts_facility_14_boss.rts_facility_14_boss", name: "Bloodsun Canyon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/forest/rts_forest_01_grannyreveal.rts_forest_01_grannyreveal", name: "Obsidian Forest" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/forest/rts_forest_02_bloodandbeans.rts_forest_02_bloodandbeans", name: "Obsidian Forest" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/forest/rts_forest_03_trainstation.rts_forest_03_trainstation", name: "Obsidian Forest" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/forest/rts_forest_04_biobetsy.rts_forest_04_biobetsy", name: "Obsidian Forest" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/forest/rts_forest_05_mine.rts_forest_05_mine", name: "Obsidian Forest" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/forest/rts_forest_06_bridge.rts_forest_06_bridge", name: "Obsidian Forest" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/forest/rts_forest_07_boss.rts_forest_07_boss", name: "Obsidian Forest" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/frontier/rts_frontier_01_ranch.rts_frontier_01_ranch", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/frontier/rts_frontier_02_dealer.rts_frontier_02_dealer", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/frontier/rts_frontier_03_craterentrance.rts_frontier_03_craterentrance", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/frontier/rts_frontier_04_oilrigs.rts_frontier_04_oilrigs", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/frontier/rts_frontier_05_moneybackentrance.rts_frontier_05_moneybackentrance", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/frontier/rts_frontier_06_cavern.rts_frontier_06_cavern", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/frontier/rts_frontier_07_upperarea.rts_frontier_07_upperarea", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/frontier/rts_frontier_08_woodbuilding.rts_frontier_08_woodbuilding", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/frontier/rts_frontier_09_middle.rts_frontier_09_middle", name: "The Blastplains" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_01_waterfall.rts_lodge_01_waterfall", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_02_corecave.rts_lodge_02_corecave", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_03_island.rts_lodge_03_island", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_04_titus.rts_lodge_04_titus", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_05_market.rts_lodge_05_market", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_06_mcsmugger_01.rts_lodge_06_mcsmugger_01", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_07_mcsmugger_02.rts_lodge_07_mcsmugger_02", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_08_mcsmugger_03.rts_lodge_08_mcsmugger_03", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_09_mcsmugger_04.rts_lodge_09_mcsmugger_04", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_10_mcsmugger_05.rts_lodge_10_mcsmugger_05", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_11_lodgeext.rts_lodge_11_lodgeext", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_12_spa.rts_lodge_12_spa", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_13_dirtydeeds.rts_lodge_13_dirtydeeds", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_14_bathhouse.rts_lodge_14_bathhouse", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/lodge/rts_lodge_15_boss.rts_lodge_15_boss", name: "Ashfall Peaks" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/town/rts_town_01_rose.rts_town_01_rose", name: "Vestige" },
    GameDataKv { ident: "/game/patchdlc/geranium/gamedata/fasttravel/resurrecttravelstations/town/rts_town_02_bridge.rts_town_02_bridge", name: "Vestige" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_archive.fts_dlc2_archive", name: "Dustbound Archives" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_archives_oneway.fts_dlc2_archives_oneway", name: "Dustbound Archives" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_bar.fts_dlc2_bar", name: "Lodge" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_camp.fts_dlc2_camp", name: "Negul Neshai" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_camp_oneway.fts_dlc2_camp_oneway", name: "Negul Neshai" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_lake_amourette.fts_dlc2_lake_amourette", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_lake_droppod.fts_dlc2_lake_droppod", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_lake_excavation.fts_dlc2_lake_excavation", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_lake_gondola.fts_dlc2_lake_gondola", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_venue.fts_dlc2_venue", name: "Heart's Desire" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_venue_mapstart.fts_dlc2_venue_mapstart", name: "Heart's Desire" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_venue_oneway.fts_dlc2_venue_oneway", name: "Heart's Desire" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_village_neararchives.fts_dlc2_village_neararchives", name: "Cursehaven" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_village_nearbar.fts_dlc2_village_nearbar", name: "Cursehaven" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_villagedistrict.fts_dlc2_villagedistrict", name: "Cursehaven" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_villagegardens.fts_dlc2_villagegardens", name: "Cursehaven" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/fts_dlc2_woods.fts_dlc2_woods", name: "Cankerwood" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_archive_village.lts_dlc2_archive_village", name: "Dustbound Archives" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_bar_lake.lts_dlc2_bar_lake", name: "Lodge" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_bar_village.lts_dlc2_bar_village", name: "Lodge" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_camp_lake.lts_dlc2_camp_lake", name: "Negul Neshai" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_lake_bar.lts_dlc2_lake_bar", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_lake_camp.lts_dlc2_lake_camp", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_lake_woods.lts_dlc2_lake_woods", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_memories_woods.lts_dlc2_memories_woods", name: "Cankerwood" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_venue_village.lts_dlc2_venue_village", name: "Heart's Desire" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_village_archive.lts_dlc2_village_archive", name: "Cursehaven" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_village_bar.lts_dlc2_village_bar", name: "Cursehaven" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_village_venue.lts_dlc2_village_venue", name: "Cursehaven" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_woods_lake.lts_dlc2_woods_lake", name: "Cankerwood" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/leveltravelstations/lts_dlc2_woods_memories.lts_dlc2_woods_memories", name: "Cankerwood" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/patchedleveltraveldata/lts_sanctuary3_dlc2.lts_sanctuary3_dlc2", name: "Sanctuary" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/archives/rts_archive_1.rts_archive_1", name: "Dustbound Archives" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/archives/rts_archive_2.rts_archive_2", name: "Dustbound Archives" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/archives/rts_archive_3.rts_archive_3", name: "Dustbound Archives" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/archives/rts_archive_4.rts_archive_4", name: "Dustbound Archives" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/archives/rts_archive_5.rts_archive_5", name: "Dustbound Archives" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/camp/rts_camp_1.rts_camp_1", name: "Negul Neshai" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/camp/rts_camp_2.rts_camp_2", name: "Negul Neshai" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/camp/rts_camp_3.rts_camp_3", name: "Negul Neshai" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/camp/rts_camp_4.rts_camp_4", name: "Negul Neshai" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/camp/rts_camp_5.rts_camp_5", name: "Negul Neshai" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/camp/rts_camp_6.rts_camp_6", name: "Negul Neshai" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/camp/rts_camp_7.rts_camp_7", name: "Negul Neshai" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/lake/rts_lake_1.rts_lake_1", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/lake/rts_lake_2.rts_lake_2", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/lake/rts_lake_3.rts_lake_3", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/lake/rts_lake_4.rts_lake_4", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/lake/rts_lake_5.rts_lake_5", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/lake/rts_lake_6.rts_lake_6", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/lake/rts_lake_7.rts_lake_7", name: "Skittermaw Basin" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/venue/rts_venue_1.rts_venue_1", name: "Heart's Desire" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/venue/rts_venue_2.rts_venue_2", name: "Heart's Desire" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/venue/rts_venue_3.rts_venue_3", name: "Heart's Desire" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/venue/rts_venue_4.rts_venue_4", name: "Heart's Desire" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/venue/rts_venue_5.rts_venue_5", name: "Heart's Desire" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/village/rts_village_1.rts_village_1", name: "Cursehaven" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/village/rts_village_2.rts_village_2", name: "Cursehaven" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/woods/rts_woods_1.rts_woods_1", name: "Cankerwood" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/woods/rts_woods_2.rts_woods_2", name: "Cankerwood" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/woods/rts_woods_3.rts_woods_3", name: "Cankerwood" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/woods/rts_woods_4.rts_woods_4", name: "Cankerwood" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gamedata/fasttravel/resurrect/autogen/woods/rts_woods_5.rts_woods_5", name: "Cankerwood" },
    GameDataKv { ident: "/game/patchdlc/ixora/gamedata/fasttravel/leveltravel/fts_gearupmap.fts_gearupmap", name: "Stormblind Complex" },
    GameDataKv { ident: "/game/patchdlc/ixora/gamedata/fasttravel/leveltravel/fts_gearupmap_sendonly.fts_gearupmap_sendonly", name: "Stormblind Complex" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/fts_ixora2_eden6mystery.fts_ixora2_eden6mystery", name: "Enoch's Grove" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/fts_ixora2_nekromystery.fts_ixora2_nekromystery", name: "Scryer's Crypt" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/fts_ixora2_nekromystery_oneway.fts_ixora2_nekromystery_oneway", name: "Scryer's Crypt" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/fts_ixora2_pandoramystery.fts_ixora2_pandoramystery", name: "Karass Canyon" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/fts_ixora2_promethea_oneway.fts_ixora2_promethea_oneway", name: "Eschaton Row" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/fts_ixora2_prometheamystery.fts_ixora2_prometheamystery", name: "Eschaton Row" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/fts_ixora2_sacrificeboss.fts_ixora2_sacrificeboss", name: "Darkthirst Dominion" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/fts_ixora2_sacrificeboss_one.fts_ixora2_sacrificeboss_one", name: "Darkthirst Dominion" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/fts_ixora2_sacrificeboss_oneway.fts_ixora2_sacrificeboss_oneway", name: "Karass Canyon" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_city_prometheamystery.lts_ixora2_city_prometheamystery", name: "Meridian Metroplex" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_desert_pandoramystery.lts_ixora2_desert_pandoramystery", name: "Devil's Razor" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_desolate_nekromystery.lts_ixora2_desolate_nekromystery", name: "Desolation's Edge" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_eden6_oneway.lts_ixora2_eden6_oneway", name: "Enoch's Grove" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_edenmystery_watership.lts_ixora2_edenmystery_watership", name: "Enoch's Grove" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_nekromystery_desolate.lts_ixora2_nekromystery_desolate", name: "Scryer's Crypt" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_nekromysteryboss_sanctuary.lts_ixora2_nekromysteryboss_sanctuary", name: "Scryer's Crypt" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_pandoramystery_desert.lts_ixora2_pandoramystery_desert", name: "Karass Canyon" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_prometheamystery_city.lts_ixora2_prometheamystery_city", name: "Eschaton Row" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_sacrifice_sacrificeboss.lts_ixora2_sacrifice_sacrificeboss", name: "Ascension Bluff" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_sacrificeboss_sacrifice.lts_ixora2_sacrificeboss_sacrifice", name: "Darkthirst Dominion" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/leveltravel/lts_ixora2_watership_edenmystery.lts_ixora2_watership_edenmystery", name: "Voracious Canopy" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/patchedleveltraveldata/lts_sanctuary3_ixora2.lts_sanctuary3_ixora2", name: "Sanctuary" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_cabin_huntingcabin_geo_2.rts_cabin_huntingcabin_geo_2", name: "Enoch's Grove" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_cabin_interior_geo_2.rts_cabin_interior_geo_2", name: "Enoch's Grove" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_cabin_p_2.rts_cabin_p_2", name: "Enoch's Grove" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_nekromystery_gameplay_10.rts_nekromystery_gameplay_10", name: "Scryer's Crypt" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_nekromystery_gameplay_14.rts_nekromystery_gameplay_14", name: "Scryer's Crypt" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_nekromystery_gameplay_18.rts_nekromystery_gameplay_18", name: "Scryer's Crypt" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_nekromystery_gameplay_2.rts_nekromystery_gameplay_2", name: "Scryer's Crypt" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_nekromystery_gameplay_6.rts_nekromystery_gameplay_6", name: "Scryer's Crypt" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_noir_p_0.rts_noir_p_0", name: "Eschaton Row" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_noir_p_1.rts_noir_p_1", name: "Eschaton Row" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_noir_p_2.rts_noir_p_2", name: "Eschaton Row" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_noir_p_3.rts_noir_p_3", name: "Eschaton Row" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_noir_p_4.rts_noir_p_4", name: "Eschaton Row" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_pandoramystery_travel_2.rts_pandoramystery_travel_2", name: "Karass Canyon" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_pandoramystery_travel_6.rts_pandoramystery_travel_6", name: "Karass Canyon" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_pandoramystery_travel_asilo.rts_pandoramystery_travel_asilo", name: "Karass Canyon" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gamedata/fasttravel/resurrecttravelstations/rts_pandoramystery_travel_bsilo.rts_pandoramystery_travel_bsilo", name: "Karass Canyon" },
    GameDataKv { ident: "/game/patchdlc/raid1/gamedata/fasttravel/leveltraveldata/fts_maliwantd_sendonly.fts_maliwantd_sendonly", name: "Midnight's Cairn (Maliwan Takedown)" },
    GameDataKv { ident: "/game/patchdlc/raid1/gamedata/fasttravel/leveltraveldata/fts_raid1.fts_raid1", name: "Midnight's Cairn (Maliwan Takedown)" },
    GameDataKv { ident: "/game/patchdlc/raid1/gamedata/fasttravel/leveltraveldata/fts_raid1droppod.fts_raid1droppod", name: "Midnight's Cairn (Maliwan Takedown)" },
    GameDataKv { ident: "/game/patchdlc/raid1/gamedata/fasttravel/leveltraveldata/lts_sanctuary3_raid1.lts_sanctuary3_raid1", name: "Sanctuary" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gamedata/leveltravel/fts_guardiantd_sendonly_2.fts_guardiantd_sendonly_2", name: "Minos Prime / The Shattered Tribunal" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gamedata/leveltravel/fts_td2.fts_td2", name: "Minos Prime / The Shattered Tribunal" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gamedata/leveltravel/fts_td2droppod1.fts_td2droppod1", name: "Minos Prime / The Shattered Tribunal" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gamedata/leveltravel/lts_sanctuary3_td2.lts_sanctuary3_td2", name: "Sanctuary" },
];

pub const MISSION: [GameDataKv; 208] = [
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep01_ChildrenOfTheVault", name: "Children of the Vault" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep02_Sacrifice", name: "From the Ground Up" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep03_GetVaultMap", name: "Cult Following" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep04_EarnSpaceship", name: "Taking Flight" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep05_OvercomeHQBlockade", name: "Hostile Takeover" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep05_Sanctuary", name: "Sanctuary" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep06_MeetMaya", name: "The Impending Storm" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep08_OrbitalPlatform", name: "Space-Laser Tag" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep09_AtlasHQ", name: "Atlas, At Last" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep10_CityVault", name: "Beneath the Meridian" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep11_PrisonBreak", name: "Hammerlocked" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep12_GrandTour", name: "Lair of the Harpy" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep13_JakobsRebellion", name: "The Guns of Reliance" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep13_Watership", name: "The Family Jewel" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep15_MarshFields", name: "Going Rogue" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep16_DesertVault", name: "The Great Vault" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep16_SiblingRivalry", name: "Cold as the Grave" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep17_BigChase", name: "Blood Drive" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep19_MinerDetails", name: "Angels and Speed Demons" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep20_FirstVaultHunter", name: "The First Vault Hunter" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep21_Beachhead", name: "Footsteps of Giants" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep22_TheMachine", name: "In the Shadow of Starlight" },
    GameDataKv { ident: "/Game/Missions/Plot/Mission_Ep23_TyreenFinalBoss", name: "Divine Retribution" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds1/Mission_ProvingGrounds_Mission01", name: "Trial of Survival" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds1/Mission_ProvingGroundsDiscovery_Mission01", name: "Discover the Trial of Survival" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds4/Mission_ProvingGrounds_Mission04", name: "Trial of Fervor" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds4/Mission_ProvingGroundsDiscovery_Mission04", name: "Discover the Trial of Fervor" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds5/Mission_ProvingGrounds_Mission05", name: "Trial of Cunning" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds5/Mission_ProvingGroundsDiscovery_Mission05", name: "Discover the Trial of Cunning" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds6/Mission_ProvingGrounds_Mission06", name: "Trial of Supremacy" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds6/Mission_ProvingGroundsDiscovery_Mission06", name: "Discover the Trial of Supremacy" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds7/Mission_ProvingGrounds_Mission07", name: "Trial of Discipline" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds7/Mission_ProvingGroundsDiscovery_Mission07", name: "Discover the Trial of Discipline" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds8/Mission_ProvingGrounds_Mission08", name: "Trial of Instinct" },
    GameDataKv { ident: "/Game/Missions/Side/ProvingGrounds/ProvingGrounds8/Mission_ProvingGroundsDiscovery_Mission08", name: "Discover the Trial of Instinct" },
    GameDataKv { ident: "/Game/Missions/Side/Raid/Raid/Mission_RaidOnMaliwan", name: "Raid On Maliwan" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_BormanNates", name: "Kill Borman Nates" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_CaptainThunkAndSloth", name: "Kill Captain Thunk and Sloth" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_DemoSkag", name: "Kill Demoskaggon" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_Dinklebot", name: "Kill Dinklebot" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_ElDragonJr", name: "Kill El Dragón Jr" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_EnforcerUrist", name: "Kill Urist McEnforcer" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_IndoTyrant", name: "Kill IndoTyrant" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_Maxitrillion", name: "Kill Maxitrillion" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_PowerTroopers", name: "Kill the Power Troopers" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_Rakkman", name: "Kill Rakkman" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_RedJabber", name: "Kill Red Jabber" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_RoadDog", name: "Kill Road Dog" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_Tarantella", name: "Kill Tarantella" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_TheUnstoppable", name: "Kill The Unstoppable" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_ThreeDragons", name: "Kill the Grogans and Their Mother" },
    GameDataKv { ident: "/Game/Missions/Side/RareSpawn/Mission_Async_VicAndWarty", name: "Kill Wick and Warty" },
    GameDataKv { ident: "/Game/Missions/Side/Sanctuary3/Mission_Infestation", name: "The Kevin Konundrum" },
    GameDataKv { ident: "/Game/Missions/Side/Sanctuary3/Mission_JustAPrick", name: "Just A Prick" },
    GameDataKv { ident: "/Game/Missions/Side/Slaughters/CoVSlaughter/Mission_COVSlaughter1", name: "The Slaughter Shaft" },
    GameDataKv { ident: "/Game/Missions/Side/Slaughters/CreatureSlaughter/Mission_CreatureSlaughter", name: "Cistern of Slaughter" },
    GameDataKv { ident: "/Game/Missions/Side/Slaughters/TechSlaughter/Mission_TechSlaughter1", name: "Tech Slaughter" },
    GameDataKv { ident: "/Game/Missions/Side/Slaughters/TechSlaughter/Mission_TechSlaughterDiscovery", name: "Welcome to Slaughterstar 3000" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_0/Prologue/Mission_BadReception", name: "Bad Reception" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_0/Prologue/Mission_FineDining", name: "Skag Dog Days" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_0/Prologue/Mission_Scoopers_Bully", name: "Dump on Dumptruck" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_0/Prologue/Mission_UnderwearTink", name: "Under Taker" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_0/Prologue/Mission_VendingMachineRepair", name: "Powerful Connections" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_0/Sacrifice/Mission_GoldenCalves", name: "Golden Calves" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_0/Sacrifice/Mission_HeadCase", name: "Head Case" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_0/Sacrifice/Mission_PandorasNextTopMouthpiece", name: "Pandora's Next Top Mouthpiece" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/Athenas/Mission_InvasionOfPrivacy", name: "Invasion of Privacy" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/Athenas/Mission_MonkMission", name: "Holy Spirits" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/AtlasHQ/Mission_RatchetItUp", name: "Ratch'd Up" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/City/Mission_BitterPillToSwallow", name: "Healers and Dealers" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/City/Mission_DynastyDiner", name: "Dynasty Diner" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/City/Mission_PissingContest", name: "Maliwannabees" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/City/Mission_RiseAndGrind", name: "Rise and Grind" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/City/Mission_WizardOfNogs", name: "Technical NOGout" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/OrbitalPlatform/OppositionResearch/Mission_OppResearch", name: "Opposition Research" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/Towers/Mission_KillKillavolt", name: "Kill Killavolt" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/Towers/Mission_LastKatagawa", name: "Proof of Wife" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_1/Towers/Mission_Porta-Prison", name: "Porta Prison" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Mansion/Mission_AureliasSkeletons", name: "Sacked" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Mansion/Mission_WitchesBrew", name: "Witch's Brew" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/MarshFields/Mission_RockOnPandora", name: "Raiders of the Lost Rock" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/MarshFields/Mission_SuckerPunch", name: "Sell Out" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Prison/Mission_FreeHugs", name: "On the Blood Path" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Prison/Mission_MalevolentPractice", name: "Malevolent Practice" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Watership/Mission_RumbleJungle", name: "Rumble In The Jungle" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Wetlands/Mission_DriveAwayThePain", name: "Get Quick, Slick" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Wetlands/Mission_DudeBro", name: "Swamp Bro" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Wetlands/Mission_DynastyDash_Wetlands", name: "Dynasty Dash: Eden-6" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Wetlands/Mission_DynastyDash_Wetlands_Repeatable", name: "Dynasty Dash: Floodmoor Basin" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Wetlands/Mission_SpecialDelivery", name: "Capture the Frag" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Wetlands/Mission_TheHangover", name: "Irregular Customers" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_2/Wetlands/Mission_TortureTruck", name: "Don't Truck with Eden-6" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Desert/Mission_BabyDancer", name: "Baby Dancer" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Desert/Mission_BirthdaySurprise", name: "Life of the Party" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Desert/Mission_BuffFilmBuff", name: "Buff Film Buff" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Desert/Mission_CaringForElderly", name: "The Feeble and the Furious" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Desert/Mission_ChangeOfHeart", name: "Sheega's All That" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Desert/Mission_DynastyDash_Desert", name: "Dynasty Dash: Pandora" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Desert/Mission_DynastyDash_Desert_Repeatable", name: "Dynasty Dash: Devil's Razor" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Desert/Mission_EchoNetNeutrality", name: "ECHOnet Neutrality" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Desert/Mission_ItsComplicated", name: "Boom Boom Boomtown" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Mine/Mission_BridgeInTheDark", name: "The Demon in the Dark" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Mine/Mission_GrowingPains", name: "Childhood's End" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Mine/Mission_WildlifeConservation", name: "Wildlife Conservation" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Motorcade/Mission_Gameshow", name: "Let's Get It Vaughn" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Motorcade/Mission_Homestead_Part1", name: "The Homestead" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Motorcade/Mission_Homestead_Part2", name: "The Homestead (Part 2)" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Motorcade/Mission_Homestead_Part3", name: "The Homestead (Part 3)" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_3/Motorcade/Mission_Just_Desserts", name: "Just Desserts" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_4/Desolate/Mission_BetterTimes", name: "Fire in the Sky" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_4/Desolate/Mission_BoneDeep", name: "Bad Vibrations" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_4/Desolate/Mission_Canonization", name: "Cannonization" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_4/Desolate/Mission_DestroyerOfWorlds", name: "Transaction-Packed" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_4/Desolate/Mission_Homeopathological", name: "Homeopathological" },
    GameDataKv { ident: "/Game/Missions/Side/Zone_4/Desolate/Mission_ItsAlive2", name: "It's Alive" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Plot/ALI_EP01", name: "Enter the Psychoscape" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Plot/ALI_EP02", name: "Siege of Castle Crimson" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Plot/ALI_EP03", name: "What Love Remains" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Plot/ALI_EP04", name: "Inhuman Trials" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Plot/ALI_EP05", name: "Locus of Rage" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_AllShapesAndCalibers", name: "A Good Egg" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_BlastRequests", name: "Blast Requests" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_ChecksAndBalances", name: "Check, Please" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_ExposureTherapy", name: "Remodel Behavior" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_GoodbyeOldFriend", name: "Laid to Rust" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_HotNBothered", name: "Hot and Unbothered" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_InkBlots", name: "Don't Call it a Rorschach" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_ParadeHarpoon", name: "Krieg's on Parade" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_ShadesOfTruth", name: "It's an Allegory" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_SpineTingler", name: "Scratch, Don't Sniff" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_StrongBones", name: "Does a Body Good" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_ThatRingsABell", name: "That Rings a Something" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Missions/Side/ALI_SM_WhenItRains", name: "Brainstorm" },
    GameDataKv { ident: "/Game/PatchDLC/BloodyHarvest/Missions/Side/Seasonal/Mission_Season_01_Intro", name: "Bloody Harvest: Descent into Heck" },
    GameDataKv { ident: "/Game/PatchDLC/BloodyHarvest/Missions/Side/Seasonal/Mission_Season_01_Repeatable", name: "Bloody Harvest: The Rebloodening" },
    GameDataKv { ident: "/Game/PatchDLC/CitizenScience/Missions/Mission_CitizenScience_Intro", name: "Borderlands Science!" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Plot/Mission_DLC1_Ep01_MeetTimothy", name: "The Handsome Jackpot" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Plot/Mission_DLC1_Ep02_MeetCrad", name: "Playing with Fire" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Plot/Mission_DLC1_Ep03_Impound", name: "Winners and Losers" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Plot/Mission_DLC1_Ep04_Trashtown", name: "One Man's Treasure" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Plot/Mission_DLC1_Ep05_ThePlan", name: "The Plan" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Plot/Mission_DLC1_Ep06_TheCore", name: "Jack's Wild" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Plot/Mission_DLC1_Ep07_TheHeist", name: "All Bets Off" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Side/Mission_DLC1_Side_AcidTrip", name: "Acid Trip" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Side/Mission_DLC1_Side_BrotherlyLove", name: "Sisterly Love" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Side/Mission_DLC1_Side_DoItForDigby_Part1", name: "Do it for Digby - Part 1" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Side/Mission_DLC1_Side_DoItForDigby_Part2", name: "Do it for Digby - Part 2" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Side/Mission_DLC1_Side_DoItForDigby_Part3", name: "Do it for Digby - Part 3" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Side/Mission_DLC1_Side_DoubleDown", name: "Double Down" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Side/Mission_DLC1_Side_GreatEscape", name: "The Great Escape" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Side/Mission_DLC1_Side_HeartOfGold", name: "Heart of Gold" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Side/Mission_DLC1_Side_RagingBot", name: "Raging Bot" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Side/Mission_DLC1_Side_RegainingOnesFeet", name: "Regaining One's Feet" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Missions/Side/Mission_DLC1_Side_TooMuchOfAGoodThing", name: "Too Much Of A Good Thing" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/Missions/Side/MauriceSide/Mission_Maurice", name: "Claw and Order" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/Missions/Side/Seasonal/Mission_Season_02_Intro", name: "Revenge of the Cartels: Ultraviolet Nights" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/Missions/Side/Seasonal/Mission_Season_02_Repeatable", name: "Revenge of the Cartels II: The Revengening" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Plot/Mission_Ep01_WestlandWelcome", name: "Blood From A Stone" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Plot/Mission_Ep02_Bathhouse", name: "The Name of the Law" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Plot/Mission_Ep03_ObsidianForest", name: "Off the Rails" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Plot/Mission_Ep04_Facility", name: "Where It All Started" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Plot/Mission_Ep05_Crater", name: "Riding to Ruin" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Side/Mission_AnimalControl", name: "Lost and Found" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Side/Mission_BloodAndBeans", name: "Of Blood and Beans" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Side/Mission_DirtyDeeds", name: "Dirty Deeds" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Side/Mission_Dueling", name: "The Quick and the Quickerer" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Side/Mission_GhostStories", name: "The Meatman Prophecy" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Side/Mission_LoveBarsNone", name: "The Dandy and Damsel" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Side/Mission_MoneyBackGuarantee", name: "Money Back Guarantee" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Side/Mission_RustlerBaby", name: "Devil Rustlers" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Side/Mission_SaurdewValley", name: "Saurdew Valley" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Side/Mission_SnakeOil", name: "Miracle Elixir Fixer" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Missions/Side/Mission_TheLegendOfMcSmugger", name: "The Legend of McSmugger" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Plot/EP01_DLC2", name: "The Party Out of Space" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Plot/EP02_DLC2", name: "The Shadow Over Cursehaven" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Plot/EP03_DLC2", name: "The Case of Wainwright Jakobs" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Plot/EP04_DLC2", name: "The Horror in the Woods" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Plot/EP05_DLC2", name: "On the Mountain of Mayhem" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Plot/EP06_DLC2", name: "The Call of Gythian" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/RareSpawn/Mission_Async_FrostbiteDragon", name: "Kill Shiverous the Unscathed" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/RareSpawn/Mission_Async_MushroomGiant", name: "Kill Fungal Gorger" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/RareSpawn/Mission_Async_Shocker", name: "Kill Voltborn" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/RareSpawn/Mission_Async_ZealotPilfer", name: "Kill Amach" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_Bounty_BusinessAsUsual", name: "The Proprietor: Rare Vintage" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_Bounty_DebtCollector", name: "The Proprietor: Empty Bottles" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_HappilyEverAfter", name: "Happily Ever After" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_IntoTheDeep", name: "The Madness Beneath" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_Necrocookmicon", name: "The Nibblenomicon" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_PrivateEyePart1", name: "Cold Case: Buried Questions" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_PrivateEyePart2", name: "Cold Case: Restless Memories" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_PrivateEyePart3", name: "Cold Case: Forgotten Answers" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_ReturnOfMaxSky", name: "The Great Escape (Part 2)" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_SinisterSounds", name: "Sinister Sounds" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_WeSlassPart1", name: "We Slass!" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_WeSlassPart2", name: "We Slass! (Part 2)" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_WeSlassPart3", name: "We Slass! (Part 3)" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Missions/Side/SideMission_DLC2_WhereIBelong", name: "Call of the Deep" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora/Missions/Side/Mission_GearUp", name: "Arms Race" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora/Missions/Side/Mission_GearUp_Intro", name: "Arms Race: Introduction" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora2/Missions/Side/Mission_Ixora_Main01", name: "Mysteriouslier: Murder on Eschaton Row" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora2/Missions/Side/Mission_Ixora_Main02", name: "Mysteriouslier: The Vanishing of Hizzen Mays" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora2/Missions/Side/Mission_Ixora_Main03", name: "Mysteriouslier: Ghosts of Karass Canyon" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora2/Missions/Side/Mission_Ixora_Main04", name: "Mysteriouslier: Horror at Scryer's Crypt" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora2/Missions/Side/Mission_Ixora_VarkidBoss", name: "You. Will. Die. (Over and Over.)" },
    GameDataKv { ident: "/Game/PatchDLC/Raid1/Missions/Mission_Raid1", name: "Takedown at the Maliwan Blacksite" },
    GameDataKv { ident: "/Game/PatchDLC/Raid1/Missions/Mission_Raid1Intro", name: "Discovery: Takedown at the Maliwan Blacksite" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/Missions/Side/Mission_Takedown2", name: "Takedown at the Guardian Breach" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/Missions/Side/Mission_Takedown2_Intro", name: "Discovery: Takedown at the Guardian Breach" },
];

pub const PROFILE_ROOM_DECORATIONS: [GameDataKv; 99] = [
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_34.RoomDecoration_34", name: "5KAGB8" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_35.RoomDecoration_35", name: "5P8NKM3" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_4.RoomDecoration_4", name: "Bandit Tire" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/RoomDeco/RoomDecoration_Geranium_2.RoomDecoration_Geranium_2", name: "Bellik Trophy" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/RoomDeco/RoomDecoration_VC1_3.RoomDecoration_VC1_3", name: "Bloodwing Statue" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_12.RoomDecoration_12", name: "Bug Zapper" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_13.RoomDecoration_13", name: "Buzzsaw Blade" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_46.RoomDecoration_46", name: "COV Bat" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_50.RoomDecoration_50", name: "COV Buzzaxe" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_49.RoomDecoration_49", name: "COV Cleaver" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_51.RoomDecoration_51", name: "COV Engine Club" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_48.RoomDecoration_48", name: "COV Hammer" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_56.RoomDecoration_56", name: "COV Sword" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_57.RoomDecoration_57", name: "COV Wrench" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Customizations/RoomDeco/RoomDeco_DLC1_2.RoomDeco_DLC1_2", name: "Casino Banner" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/RoomDeco/RoomDecoration_Geranium_IO_2.RoomDecoration_Geranium_IO_2", name: "Chemistry Set" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/RoomDeco/RoomDecoration_Geranium_IO_3.RoomDecoration_Geranium_IO_3", name: "Core Lamp" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/RoomDeco/RoomDecoration_VC2_1.RoomDecoration_VC2_1", name: "Dead Fish" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_29.RoomDecoration_29", name: "Decorative Bomb" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Customizations/RoomDeco/RoomDeco_DLC2_5.RoomDeco_DLC2_5", name: "Dahl Bonded Blueprints" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_43.RoomDecoration_43", name: "Dip Road" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_9.RoomDecoration_9", name: "Dynasty Diner" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_62.RoomDecoration_62", name: "Framed Duchess" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/Pickups/RoomDecoration/RoomDecoration_Event2_3.RoomDecoration_Event2_3", name: "Framed Firewall" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_61.RoomDecoration_61", name: "Framed Landsape" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Customizations/RoomDeco/RoomDeco_DLC2_8.RoomDeco_DLC2_8", name: "Framed Portal" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/Pickups/RoomDecoration/RoomDecoration_Event2_2.RoomDecoration_Event2_2", name: "Framed Tenderizer" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/RoomDeco/RoomDecoration_VC2_2.RoomDecoration_VC2_2", name: "Fyrestone" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/RoomDeco/RoomDeco_DLC4_03_Axe.RoomDeco_DLC4_03_Axe", name: "Golden Buzz-axe" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_31.RoomDecoration_31", name: "Hand Clock" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Customizations/RoomDeco/RoomDeco_DLC1_3.RoomDeco_DLC1_3", name: "Handsome Jackpot" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_42.RoomDecoration_42", name: "Hard Hat" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_20.RoomDecoration_20", name: "HBC Poster 1" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_21.RoomDecoration_21", name: "HBC Poster 2" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_22.RoomDecoration_22", name: "HBC Poster 3" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_23.RoomDecoration_23", name: "HBC Poster 4" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_24.RoomDecoration_24", name: "HBC Poster 5" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_25.RoomDecoration_25", name: "HBC Poster 6" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/RoomDeco/RoomDecoration_Geranium_3.RoomDecoration_Geranium_3", name: "High Noon Clock" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_19.RoomDecoration_19", name: "Holy" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Customizations/RoomDeco/RoomDeco_DLC1_6.RoomDeco_DLC1_6", name: "Jack Hologram" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_30.RoomDecoration_30", name: "Jack Mask" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Customizations/RoomDeco/RoomDeco_DLC1_5.RoomDeco_DLC1_5", name: "Jack Plaque" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_15.RoomDecoration_15", name: "Jakobs Poster" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Customizations/RoomDeco/RoomDeco_DLC2_4.RoomDeco_DLC2_4", name: "Just Married Poster" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/RoomDeco/RoomDecoration_KeyToCity.RoomDecoration_KeyToCity", name: "Key to the City" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_60.RoomDecoration_60", name: "Killavolt's Shield" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/RoomDeco/RoomDeco_DLC4_05_Mask.RoomDeco_DLC4_05_Mask", name: "Krieg's Mask" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/RoomDeco/RoomDeco_DLC4_04_Moon.RoomDeco_DLC4_04_Moon", name: "Krieg's Moon" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_11.RoomDecoration_11", name: "Life Preserver" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_27.RoomDecoration_27", name: "Live Streaming" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Customizations/RoomDeco/RoomDeco_DLC2_1.RoomDeco_DLC2_1", name: "Lunatic Shield" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/RoomDeco/RoomDecoration_VC1_2.RoomDecoration_VC1_2", name: "Maya's Book" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/RoomDeco/RoomDeco_DLC4_01_Orbs.RoomDeco_DLC4_01_Orbs", name: "Memory Orbs" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_16.RoomDecoration_16", name: "Methane Monitor" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_37.RoomDecoration_37", name: "Mounted Ratch" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_38.RoomDecoration_38", name: "Mounted Skag" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_39.RoomDecoration_39", name: "Mounted Spiderant" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_58.RoomDecoration_58", name: "Mouthpiece Mask" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_44.RoomDecoration_44", name: "Mouthpiece Speaker" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_5.RoomDecoration_5", name: "Moxxxi's Bar" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_52.RoomDecoration_52", name: "Neon Heart" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_55.RoomDecoration_55", name: "Neon Lips" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Customizations/RoomDeco/RoomDeco_DLC1_1.RoomDeco_DLC1_1", name: "Neon Peach" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/RoomDeco/RoomDecoration_Geranium_IO_1.RoomDecoration_Geranium_IO_1", name: "Old Guitar" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_6.RoomDecoration_6", name: "Pandoracorn" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Customizations/RoomDeco/RoomDeco_DLC2_2.RoomDeco_DLC2_2", name: "Private Eye" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/RoomDeco/RoomDeco_DLC4_02_Trophy.RoomDeco_DLC4_02_Trophy", name: "Psychoreaver Trophy" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_47.RoomDecoration_47", name: "Psycho Mask" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/RoomDeco/RoomDecoration_Geranium_6.RoomDecoration_Geranium_6", name: "Rampage of the Gorgonoth Poster" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_33.RoomDecoration_33", name: "R0ADK1L" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_45.RoomDecoration_45", name: "Rocketeer Mask" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/RoomDeco/RoomDecoration_VC1_1.RoomDecoration_VC1_1", name: "Roland and Tina Photo" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/RoomDeco/RoomDecoration_Geranium_5.RoomDecoration_Geranium_5", name: "Ruiner Tapestry" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_41.RoomDecoration_41", name: "Safety First" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/RoomDeco/RoomDecoration_Geranium_4.RoomDecoration_Geranium_4", name: "Saloon Sign" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_18.RoomDecoration_18", name: "Salvation" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Customizations/RoomDeco/RoomDeco_DLC1_4.RoomDeco_DLC1_4", name: "Saxophone" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_40.RoomDecoration_40", name: "Service Bot Console" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/RoomDeco/RoomDecoration_Geranium_7.RoomDecoration_Geranium_7", name: "Seven Smugglers Poster" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_36.RoomDecoration_36", name: "Skag Attack" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_10.RoomDecoration_10", name: "Skag Skull" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_28.RoomDecoration_28", name: "Storm Brewin'" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Customizations/RoomDeco/RoomDeco_DLC2_6.RoomDeco_DLC2_6", name: "Talking Fish" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_65.RoomDecoration_65", name: "The Big 3" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Customizations/RoomDeco/RoomDeco_DLC2_3.RoomDeco_DLC2_3", name: "The Lodge Poster" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/InteractiveObjects/PlayerQuarters/RoomDeco_Takedown2.RoomDeco_Takedown2", name: "The Martyr's Head" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_32.RoomDecoration_32", name: "Three Fingers" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_66.RoomDecoration_66", name: "Trooper Disc" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_64.RoomDecoration_64", name: "Trooper Shield" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_17.RoomDecoration_17", name: "Trophy Fish" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_7.RoomDecoration_7", name: "Troy Graffiti" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_8.RoomDecoration_8", name: "Tyreen Graffiti" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_67.RoomDecoration_67", name: "Use Protection" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_26.RoomDecoration_26", name: "Vegan" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Customizations/RoomDeco/RoomDeco_DLC2_7.RoomDeco_DLC2_7", name: "Warrior Horn" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_59.RoomDecoration_59", name: "Western Portrait 1" },
    GameDataKv { ident: "/Game/Pickups/RoomDecoration/RoomDecoration_63.RoomDecoration_63", name: "Western Portrait 2" },
    GameDataKv { ident: "/Game/PatchDLC/Raid1/Customizations/RoomDeco/RoomDeco_Raid1_1.RoomDeco_Raid1_1", name: "Wotan's Head" },
];

pub const PROFILE_WEAPON_SKINS: [GameDataKv; 29] = [
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_15.WeaponSkin_15", name: "Black Dragon" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_20.WeaponSkin_20", name: "Blueberry Limeade" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_1.WeaponSkin_1", name: "Burnished Steele" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_13.WeaponSkin_13", name: "Crepuscule" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_17.WeaponSkin_17", name: "Dandy Lion" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_5.WeaponSkin_5", name: "Dead Set" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_4.WeaponSkin_4", name: "Deep Nebula" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/Gear/_Design/WeaponSkins/WeaponSkin_Event2_2.WeaponSkin_Event2_2", name: "Digital Horizons" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/WeaponSkin/WeaponSkin_DLC3_1.WeaponSkin_DLC3_1", name: "DLC3 WeaponSkin" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_16.WeaponSkin_16", name: "Extraspectral" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_19.WeaponSkin_19", name: "Fire and Ash" },
    GameDataKv { ident: "/Game/PatchDLC/BloodyHarvest/Gear/Weapons/WeaponSkins/WeaponSkin_BloodyHarvest_01.WeaponSkin_BloodyHarvest_01", name: "Ghoul Metal Grey" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_8.WeaponSkin_8", name: "Gun-fetti" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Gear/_Design/WeaponSkins/WeaponSkin_VC2_1.WeaponSkin_VC2_1", name: "Homecoming" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_6.WeaponSkin_6", name: "Hot Blooded" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_10.WeaponSkin_10", name: "Ink and Kill" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_11.WeaponSkin_11", name: "It's Poop!" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_9.WeaponSkin_9", name: "Leather and Regret" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_18.WeaponSkin_18", name: "Maliwannabe" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_12.WeaponSkin_12", name: "Painbow" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/WeaponSkin/WeaponSkin_VC1_1.WeaponSkin_VC1_1", name: "Phaselocked and Loaded" },
    GameDataKv { ident: "/Game/PatchDLC/BloodyHarvest/Gear/Weapons/WeaponSkins/WeaponSkin_BloodyHarvest_02.WeaponSkin_BloodyHarvest_02", name: "Porphyrophobia" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_3.WeaponSkin_3", name: "Psychodelic" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_7.WeaponSkin_7", name: "Red Sands" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/WeaponSkin/WeaponSkin_VC1_3.WeaponSkin_VC1_3", name: "Runic Relic" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/WeaponSkin/WeaponSkin_VC1_2.WeaponSkin_VC1_2", name: "Scoot and Loot" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_14.WeaponSkin_14", name: "Skelebones" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_25.WeaponSkin_25", name: "Super Oaker" },
    GameDataKv { ident: "/Game/Gear/WeaponSkins/_Design/SkinParts/WeaponSkin_2.WeaponSkin_2", name: "Thunderhead" },
];

pub const PROFILE_WEAPON_TRINKETS: [GameDataKv; 76] = [
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Gear/WeaponTrinkets/_Shared/Trinket_League_BloodyHarvest_2020.Trinket_League_BloodyHarvest_2020", name: "A Shrinking Feeling" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_8.WeaponTrinket_8", name: "Action Axton" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_50.WeaponTrinket_50", name: "Adapt and Overcome" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_15.WeaponTrinket_15", name: "AnarChic" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Gear/WeaponTrinkets/_Design/WeaponTrinket_VC1_1.WeaponTrinket_VC1_1", name: "Ascension" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/WeaponTrinket/WeaponTrinket_DLC3_2.WeaponTrinket_DLC3_2", name: "Battle Driver" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_14.WeaponTrinket_14", name: "Beast Bowl" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_6.WeaponTrinket_6", name: "Book of the Storm" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_26.WeaponTrinket_26", name: "Born to Kill" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_29.WeaponTrinket_29", name: "Buckle Up" },
    GameDataKv { ident: "/Game/PatchDLC/Customizations/Gear/Weapons/WeaponTrinkets/WeaponTrinket_59.WeaponTrinket_59", name: "Caster Blaster" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_18.WeaponTrinket_18", name: "Cloak and Swagger" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/Gear/Weapon/WeaponTrinkets/_Shared/Trinket_League_VDay_1.Trinket_League_VDay_1", name: "Cosmic Romance" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Gear/WeaponTrinkets/_Design/WeaponTrinket_VC1_4.WeaponTrinket_VC1_4", name: "De Leon's Lash" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_25.WeaponTrinket_25", name: "Deadeye Decal" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_24.WeaponTrinket_24", name: "Dedication to Capitalism" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Gear/WeaponTrinkets/_Design/WeaponTrinket_VC1_3.WeaponTrinket_VC1_3", name: "Deploy and Destroy" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/WeaponTrinket/WeaponTrinket_DLC3_1.WeaponTrinket_DLC3_1", name: "Devil Tooth" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Gear/WeaponTrinkets/Trinket_DLC4_Trinket_01.Trinket_DLC4_Trinket_01", name: "Divergent Thinking" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_22.WeaponTrinket_22", name: "Drop It" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Gear/WeaponTrinkets/_Design/WeaponTrinket_VC2_5.WeaponTrinket_VC2_5", name: "Dry Heat" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_4.WeaponTrinket_4", name: "Earn Your Stripes" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_12.WeaponTrinket_12", name: "Ellie's Power Flower" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_44.WeaponTrinket_44", name: "Explosives Enthusiast" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_35.WeaponTrinket_35", name: "Frakkin' Toaster" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_37.WeaponTrinket_37", name: "God-King's Bling" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_5.WeaponTrinket_5", name: "Goodnight Kiss" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_16.WeaponTrinket_16", name: "Guardian's Lament" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_17.WeaponTrinket_17", name: "H Marks the Spot" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_2.WeaponTrinket_2", name: "Hat Trick" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_9.WeaponTrinket_9", name: "Hoops Dreams" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_38.WeaponTrinket_38", name: "Hunter's Patch" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_28.WeaponTrinket_28", name: "Itsy Bitsy Rakky Hive" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_19.WeaponTrinket_19", name: "Jack's Off" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_33.WeaponTrinket_33", name: "Just In Case" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_34.WeaponTrinket_34", name: "Kaboom Bunny" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_11.WeaponTrinket_11", name: "Keep Your Eye Out" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/Gear/WeaponTrinkets/Trinket_DLC4_Trinket_02.Trinket_DLC4_Trinket_02", name: "King's Knight" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_31.WeaponTrinket_31", name: "Last Ride" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_32.WeaponTrinket_32", name: "Lil' Chomper" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Gear/WeaponTrinkets/_Shared/Trinket_MercenaryDay_01_CandyCane.Trinket_MercenaryDay_01_CandyCane", name: "Mercenary Day Ornament" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Gear/WeaponTrinkets/_Shared/Trinket_Hibiscus_02_Necrocookmicon.Trinket_Hibiscus_02_Necrocookmicon", name: "Nibblenomicon" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_27.WeaponTrinket_27", name: "No, You're Crazy" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Gear/WeaponTrinkets/_Shared/Trinket_Dandelion_01_JackGoldenMask.Trinket_Dandelion_01_JackGoldenMask", name: "Nothing Gold Can Stay" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_41.WeaponTrinket_41", name: "Null and V0id" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_39.WeaponTrinket_39", name: "On the Hunt" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_42.WeaponTrinket_42", name: "One Army" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_48.WeaponTrinket_48", name: "One Shot" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/Gear/Weapon/WeaponTrinkets/_Shared/Trinket_Twitch.Trinket_Twitch", name: "Pain Freeze" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/Gear/_Design/WeaponTrinkets/WeaponTrinket_Cartels_2021.WeaponTrinket_Cartels_2021", name: "Pandora Sunset" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_3.WeaponTrinket_3", name: "Queen of Hearts" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Gear/WeaponTrinkets/_Design/WeaponTrinket_VC2_3.WeaponTrinket_VC2_3", name: "Relaxtrap" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/Gear/_Design/WeaponTrinkets/WeaponTrinket_Cartels_1.WeaponTrinket_Cartels_1", name: "Retro Outrunner" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_30.WeaponTrinket_30", name: "Rhys's Piece" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Gear/WeaponTrinkets/_Design/WeaponTrinket_VC2_2.WeaponTrinket_VC2_2", name: "Shooter's Shuttle" },
    GameDataKv { ident: "/Game/PatchDLC/BloodyHarvest/Gear/Weapons/WeaponTrinkets/_Shared/Trinket_League_BloodyHarvest_1.Trinket_League_BloodyHarvest_1", name: "Shrunk 'n Dead" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_13.WeaponTrinket_13", name: "Sign of the Hawk" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_21.WeaponTrinket_21", name: "Siren's Mark" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/Gear/WeaponTrinkets/_Shared/Trinket_Dandelion_02_Mimic.Trinket_Dandelion_02_Mimic", name: "Slot Shot" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_7.WeaponTrinket_7", name: "Splorghuld, the Flesh-Slayer" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_20.WeaponTrinket_20", name: "Stink Eye" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_10.WeaponTrinket_10", name: "Super General Claptrap" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_47.WeaponTrinket_47", name: "Switch Hitter" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/Gear/WeaponTrinkets/_Shared/Trinket_Hibiscus_01_Squidly.Trinket_Hibiscus_01_Squidly", name: "Tactical Tentacle" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Gear/WeaponTrinkets/_Design/WeaponTrinket_VC2_1.WeaponTrinket_VC2_1", name: "Tchotchkey" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/Gear/Weapon/WeaponTrinkets/_Shared/Trinket_League_VDay_2.Trinket_League_VDay_2", name: "Tentacle Ventricles" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Gear/WeaponTrinkets/_Design/WeaponTrinket_VC1_2.WeaponTrinket_VC1_2", name: "Tinker's Trinket" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Gear/WeaponTrinkets/_Design/WeaponTrinket_VC2_4.WeaponTrinket_VC2_4", name: "Tiny Vault" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_49.WeaponTrinket_49", name: "Track and Destroy" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_46.WeaponTrinket_46", name: "Turtle Up" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_57.WeaponTrinket_57", name: "Vault Insider VIP" },
    GameDataKv { ident: "/Game/PatchDLC/Steam/Gear/WeaponTrinkets/WeaponTrinket_SteamPunk.WeaponTrinket_SteamPunk", name: "Vapor Hoodlum" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Gear/WeaponTrinkets/_Design/WeaponTrinket_VC2_6.WeaponTrinket_VC2_6", name: "Warm Welcome" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_45.WeaponTrinket_45", name: "When In Doubt, Chuck It" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_43.WeaponTrinket_43", name: "Who Needs Gods?" },
    GameDataKv { ident: "/Game/Gear/WeaponTrinkets/_Design/TrinketParts/WeaponTrinket_40.WeaponTrinket_40", name: "Wittle Warrior" },
];

pub const PROFILE_ECHO_THEMES: [GameDataKv; 66] = [
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/EchoDevice/ECHOTheme_VC2_4.ECHOTheme_VC2_4", name: "Advanced Alien Technology" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/ECHODevice/EchoTheme_Valentines_02.EchoTheme_Valentines_02", name: "Affection Connection" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_35.ECHOTheme_35", name: "AMD Red Chipper" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_08.ECHOTheme_08", name: "AR-gyle Experience" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_19.ECHOTheme_19", name: "Antique Chic" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_31.ECHOTheme_31", name: "Birthday Dawg" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/EchoDevice/ECHOTheme_VC1_2.ECHOTheme_VC1_2", name: "Call A Ride" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_64.ECHOTheme_64", name: "Candy Cane" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_18.ECHOTheme_18", name: "Chocolate Bubblegum" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_21.ECHOTheme_21", name: "Clear Plastic (Cherry)" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_24.ECHOTheme_24", name: "Clear Plastic (Dozer)" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_20.ECHOTheme_20", name: "Clear Plastic (Ice)" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_22.ECHOTheme_22", name: "Clear Plastic (Jungle)" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_23.ECHOTheme_23", name: "Clear Plastic (Steel)" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_16.ECHOTheme_16", name: "Comics Master" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_17.ECHOTheme_17", name: "Convention Hero" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/PlayerCharacters/_Customizations/EchoDevice/EchoTheme_Takedown2.EchoTheme_Takedown2", name: "Cosmic Communicator" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_40.ECHOTheme_40", name: "Cosmic Ring" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/EchoDevice/ECHOTheme_VC1_1.ECHOTheme_VC1_1", name: "Crimson Blood Cell" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_26.ECHOTheme_26", name: "Crimson Graffiti" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_28.ECHOTheme_28", name: "Dahl Kidz" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/EchoDevice/ECHOTheme_VC1_3.ECHOTheme_VC1_3", name: "ECHO From Beyond" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/ECHODevice/EchoTheme_Valentines_01.EchoTheme_Valentines_01", name: "ECHOcardiogram" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_DLC4_03.ECHOTheme_DLC4_03", name: "Electric Cell" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_15.ECHOTheme_15", name: "Electronics Master" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_36.ECHOTheme_36", name: "Executive Line" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_DLC2_02.ECHOTheme_DLC2_02", name: "Eye Balls" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_07.ECHOTheme_07", name: "Eye Pad" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Shared/ECHODevice/ECHOTheme_46.ECHOTheme_46", name: "Field Trip" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/EchoDevice/ECHOTheme_VC2_1.ECHOTheme_VC2_1", name: "Final Destination" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_DLC2_03.ECHOTheme_DLC2_03", name: "Fleshy" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_34.ECHOTheme_34", name: "Game Comrade" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/EchoDevice/ECHOTheme_VC1_4.ECHOTheme_VC1_4", name: "Glyphed Up the Receiver" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_06.ECHOTheme_06", name: "Gold as the Grave" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_DLC4_01.ECHOTheme_DLC4_01", name: "Grapevine Hotline" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_27.ECHOTheme_27", name: "Guac Shock" },
    GameDataKv { ident: "/Game/PatchDLC/BloodyHarvest/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_11.ECHOTheme_11", name: "HECKO-3" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_10.ECHOTheme_10", name: "Handheld Hunter" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_DLC4_04.ECHOTheme_DLC4_04", name: "Hot and Cold Call" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_DLC4_02.ECHOTheme_DLC4_02", name: "Hotwire Handheld" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_33.ECHOTheme_33", name: "Industrial Chic" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_05.ECHOTheme_05", name: "Loaded Sprinkles" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/EchoTheme/ECHOTheme_76.ECHOTheme_76", name: "Local Service" },
    GameDataKv { ident: "/Game/PatchDLC/Raid1/Customizations/EchoDevice/ECHOTheme_38.ECHOTheme_38", name: "Maliwalkie-Talkie" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_79.ECHOTheme_79", name: "Message from Beyond" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_DLC2_01.ECHOTheme_DLC2_01", name: "Occult Glow" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_04.ECHOTheme_04", name: "Paging Dr. Zed" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_32.ECHOTheme_32", name: "Pepperoni Dream" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_01.ECHOTheme_01", name: "Potato Phone" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_02.ECHOTheme_02", name: "Power Surge" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_03.ECHOTheme_03", name: "Psychodelic" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_65.ECHOTheme_65", name: "Reinskag" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/EchoDevice/ECHOTheme_VC2_5.ECHOTheme_VC2_5", name: "Rockie Talkie" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/EchoTheme/ECHOTheme_74.ECHOTheme_74", name: "Rocky Talkie" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/EchoTheme/ECHOTheme_73.ECHOTheme_73", name: "Ruination" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/EchoDevice/ECHOTheme_VC2_2.ECHOTheme_VC2_2", name: "Sand Line" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_66.ECHOTheme_66", name: "Snowglobe" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_30.ECHOTheme_30", name: "Space Catz" },
    GameDataKv { ident: "/Game/PatchDLC/Customizations/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_37.ECHOTheme_37", name: "Stream DECH" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/EchoTheme/ECHOTheme_75.ECHOTheme_75", name: "Tattoo Transmitter" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_DLC2_04.ECHOTheme_DLC2_04", name: "Tentacular" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/EchoDevice/ECHOTheme_VC2_3.ECHOTheme_VC2_3", name: "The Gortys Connection" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_09.ECHOTheme_09", name: "Titan Up the Graphics" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_29.ECHOTheme_29", name: "Tropical" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_44.ECHOTheme_44", name: "VECH-tor Graphics" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_14.ECHOTheme_14", name: "VIP Status" },
];

pub const PROFILE_ECHO_THEMES_DEFAULTS: [GameDataKv; 1] = [GameDataKv {
    ident: "/Game/PlayerCharacters/_Customizations/EchoDevice/ECHOTheme_Default.ECHOTheme_Default",
    name: "ECHO-3 Classic",
}];

pub const PROFILE_EMOTES: [GameDataKv; 72] = [
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Emotes/CustomEmote_Beastmaster_11_Chicken_Dance.CustomEmote_Beastmaster_11_Chicken_Dance", name: "Chicken Dance" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerEmote/CustomEmote_Beastmaster_DLC3_1.CustomEmote_Beastmaster_DLC3_1", name: "Crossed Arms" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Emotes/CustomEmote_Beastmaster_12_Death.CustomEmote_Beastmaster_12_Death", name: "Death" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Emotes/CustomEmote_Beastmaster_06_FingerGuns.CustomEmote_Beastmaster_06_FingerGuns", name: "Finger Guns" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/Emotes/Beastmaster/CustomEmote_Beastmaster_VC2_1.CustomEmote_Beastmaster_VC2_1", name: "Guns Blazing" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/Emotes/Beastmaster/CustomEmote_Beastmaster_VC1_1.CustomEmote_Beastmaster_VC1_1", name: "Happy Dance" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Emotes/CustomEmote_Beastmaster_05_Heart.CustomEmote_Beastmaster_05_Heart", name: "Heart" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/Emotes/Beastmaster/CustomEmote_Beastmaster_VC1_2.CustomEmote_Beastmaster_VC1_2", name: "Inflatable Dance" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Emotes/CustomEmote_Beastmaster_10_KickDance.CustomEmote_Beastmaster_10_KickDance", name: "Kick Dance" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/Emotes/Beastmaster/CustomEmote_Beastmaster_14_MakeItRain.CustomEmote_Beastmaster_14_MakeItRain", name: "Make It Rain" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/Emotes/Beastmaster/CustomEmote_Beastmaster_15.CustomEmote_Beastmaster_15", name: "Marry Me" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/Emotes/Beastmaster/CustomEmote_Beastmaster_DLC4_02.CustomEmote_Beastmaster_DLC4_02", name: "Mindblowing" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/Emotes/Beastmaster/CustomEmote_Beastmaster_16.CustomEmote_Beastmaster_16", name: "Portal" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/Emotes/Beastmaster/CustomEmote_Beastmaster_DLC4_01.CustomEmote_Beastmaster_DLC4_01", name: "Rage" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Emotes/CustomEmote_Beastmaster_09_RobotDance.CustomEmote_Beastmaster_09_RobotDance", name: "Robot Dance" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/Emotes/Beastmaster/CustomEmote_Beastmaster_VC2_2.CustomEmote_Beastmaster_VC2_2", name: "The Claw" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/Emotes/Beastmaster/CustomEmote_Beastmaster_13_HandsomeJack.CustomEmote_Beastmaster_13_HandsomeJack", name: "The Handsome" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerEmote/CustomEmote_Beastmaster_DLC3_2.CustomEmote_Beastmaster_DLC3_2", name: "The Worm" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Emotes/CustomEmote_Gunner_11_ChickenDance.CustomEmote_Gunner_11_ChickenDance", name: "Chicken Dance" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerEmote/CustomEmote_Gunner_DLC3_1.CustomEmote_Gunner_DLC3_1", name: "Crossed Arms" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Emotes/CustomEmote_Gunner_12_Death.CustomEmote_Gunner_12_Death", name: "Death" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Emotes/CustomEmote_Gunner_06_FingerGuns.CustomEmote_Gunner_06_FingerGuns", name: "Finger Guns" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/Emotes/Gunner/CustomEmote_Gunner_VC2_1.CustomEmote_Gunner_VC2_1", name: "Guns Blazing" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/Emotes/Gunner/CustomEmote_Gunner_VC1_1.CustomEmote_Gunner_VC1_1", name: "Happy Dance" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Emotes/CustomEmote_Gunner_05_Heart.CustomEmote_Gunner_05_Heart", name: "Heart" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/Emotes/Gunner/CustomEmote_Gunner_VC1_2.CustomEmote_Gunner_VC1_2", name: "Inflatable Dance" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Emotes/CustomEmote_Gunner_10_KickDance.CustomEmote_Gunner_10_KickDance", name: "Kick Dance" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/Emotes/Gunner/CustomEmote_Gunner_14_MakeItRain.CustomEmote_Gunner_14_MakeItRain", name: "Make It Rain" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/Emotes/Gunner/CustomEmote_Gunner_15.CustomEmote_Gunner_15", name: "Marry Me" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/Emotes/Gunner/CustomEmote_Gunner_DLC4_02.CustomEmote_Gunner_DLC4_02", name: "Mindblowing" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/Emotes/Gunner/CustomEmote_Gunner_16.CustomEmote_Gunner_16", name: "Portal" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/Emotes/Gunner/CustomEmote_Gunner_DLC4_01.CustomEmote_Gunner_DLC4_01", name: "Rage" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Emotes/CustomEmote_Gunner_09_RobotDance.CustomEmote_Gunner_09_RobotDance", name: "Robot Dance" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/Emotes/Gunner/CustomEmote_Gunner_VC2_2.CustomEmote_Gunner_VC2_2", name: "The Claw" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/Emotes/Gunner/CustomEmote_Gunner_13_Handsome_Jack.CustomEmote_Gunner_13_Handsome_Jack", name: "The Handsome" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerEmote/CustomEmote_Gunner_DLC3_2.CustomEmote_Gunner_DLC3_2", name: "The Worm" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Emotes/CustomEmote_Operative_11_ChickenDance.CustomEmote_Operative_11_ChickenDance", name: "Chicken Dance" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerEmote/CustomEmote_Operative_DLC3_1.CustomEmote_Operative_DLC3_1", name: "Crossed Arms" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Emotes/CustomEmote_Operative_12_Death.CustomEmote_Operative_12_Death", name: "Death" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Emotes/CustomEmote_Operative_06_FingerGuns.CustomEmote_Operative_06_FingerGuns", name: "Finger Guns" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/Emotes/Operative/CustomEmote_Operative_VC2_1.CustomEmote_Operative_VC2_1", name: "Guns Blazing" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/Emotes/Operative/CustomEmote_Operative_VC1_1.CustomEmote_Operative_VC1_1", name: "Happy Dance" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Emotes/CustomEmote_Operative_05_Heart.CustomEmote_Operative_05_Heart", name: "Heart" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/Emotes/Operative/CustomEmote_Operative_VC1_2.CustomEmote_Operative_VC1_2", name: "Inflatable Dance" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Emotes/CustomEmote_Operative_10_KickDance.CustomEmote_Operative_10_KickDance", name: "Kick Dance" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/Emotes/Operative/CustomEmote_Operative_14_MakeItRain.CustomEmote_Operative_14_MakeItRain", name: "Make It Rain" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/Emotes/Operative/CustomEmote_Operative_15.CustomEmote_Operative_15", name: "Marry Me" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/Emotes/Operative/CustomEmote_Operative_DLC4_02.CustomEmote_Operative_DLC4_02", name: "Mindblowing" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/Emotes/Operative/CustomEmote_Operative_16.CustomEmote_Operative_16", name: "Portal" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/Emotes/Operative/CustomEmote_Operative_DLC4_01.CustomEmote_Operative_DLC4_01", name: "Rage" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Emotes/CustomEmote_Operative_09_RobotDance.CustomEmote_Operative_09_RobotDance", name: "Robot Dance" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/Emotes/Operative/CustomEmote_Operative_VC2_2.CustomEmote_Operative_VC2_2", name: "The Claw" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/Emotes/Operative/CustomEmote_Operative_13_HandsomeJack.CustomEmote_Operative_13_HandsomeJack", name: "The Handsome" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerEmote/CustomEmote_Operative_DLC3_2.CustomEmote_Operative_DLC3_2", name: "The Worm" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Emotes/CustomEmote_Siren_11_ChickenDance.CustomEmote_Siren_11_ChickenDance", name: "Chicken Dance" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerEmote/CustomEmote_Siren_DLC3_1.CustomEmote_Siren_DLC3_1", name: "Crossed Arms" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Emotes/CustomEmote_Siren_12_Death.CustomEmote_Siren_12_Death", name: "Death" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Emotes/CustomEmote_Siren_06_FingerGuns.CustomEmote_Siren_06_FingerGuns", name: "Finger Guns" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/Emotes/Siren/CustomEmote_Siren_VC2_1.CustomEmote_Siren_VC2_1", name: "Guns Blazing" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/Emotes/SirenBrawler/CustomEmote_Siren_VC1_1.CustomEmote_Siren_VC1_1", name: "Happy Dance" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Emotes/CustomEmote_Siren_05_Heart.CustomEmote_Siren_05_Heart", name: "Heart" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/Customizations/Emotes/SirenBrawler/CustomEmote_Siren_VC1_2.CustomEmote_Siren_VC1_2", name: "Inflatable Dance" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Emotes/CustomEmote_Siren_10_KickDance.CustomEmote_Siren_10_KickDance", name: "Kick Dance" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/Emotes/SirenBrawler/CustomEmote_Siren_14_MakeItRain.CustomEmote_Siren_14_MakeItRain", name: "Make It Rain" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/Emotes/SirenBrawler/CustomEmote_Siren_15.CustomEmote_Siren_15", name: "Marry Me" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/Emotes/SirenBrawler/CustomEmote_Siren_DLC4_02.CustomEmote_Siren_DLC4_02", name: "Mindblowing" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/Emotes/SirenBrawler/CustomEmote_Siren_16.CustomEmote_Siren_16", name: "Portal" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/Emotes/SirenBrawler/CustomEmote_Siren_DLC4_01.CustomEmote_Siren_DLC4_01", name: "Rage" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Emotes/CustomEmote_Siren_09_RobotDance.CustomEmote_Siren_09_RobotDance", name: "Robot Dance" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/Customizations/Emotes/Siren/CustomEmote_Siren_VC2_2.CustomEmote_Siren_VC2_2", name: "The Claw" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/Emotes/SirenBrawler/CustomEmote_Siren_13_HandsomeJack.CustomEmote_Siren_13_HandsomeJack", name: "The Handsome" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerEmote/CustomEmote_Siren_DLC3_2.CustomEmote_Siren_DLC3_2", name: "The Worm" },
];

pub const PROFILE_EMOTES_DEFAULTS: [GameDataKv; 16] = [
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Emotes/CustomEmote_Beastmaster_01_Wave.CustomEmote_Beastmaster_01_Wave", name: "Wave" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Emotes/CustomEmote_Beastmaster_02_Cheer.CustomEmote_Beastmaster_02_Cheer", name: "Cheer" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Emotes/CustomEmote_Beastmaster_03_Point.CustomEmote_Beastmaster_03_Point", name: "Point" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Emotes/CustomEmote_Beastmaster_04_Laugh.CustomEmote_Beastmaster_04_Laugh", name: "Laugh" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Emotes/CustomEmote_Gunner_01_Wave.CustomEmote_Gunner_01_Wave", name: "Wave" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Emotes/CustomEmote_Gunner_02_Cheer.CustomEmote_Gunner_02_Cheer", name: "Cheer" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Emotes/CustomEmote_Gunner_03_Point.CustomEmote_Gunner_03_Point", name: "Point" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Emotes/CustomEmote_Gunner_04_Laugh.CustomEmote_Gunner_04_Laugh", name: "Laugh" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Emotes/CustomEmote_Operative_01_Wave.CustomEmote_Operative_01_Wave", name: "Wave" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Emotes/CustomEmote_Operative_02_Cheer.CustomEmote_Operative_02_Cheer", name: "Cheer" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Emotes/CustomEmote_Operative_03_Point.CustomEmote_Operative_03_Point", name: "Point" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Emotes/CustomEmote_Operative_04_Laugh.CustomEmote_Operative_04_Laugh", name: "Laugh" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Emotes/CustomEmote_Siren_01_Wave.CustomEmote_Siren_01_Wave", name: "Wave" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Emotes/CustomEmote_Siren_02_Cheer.CustomEmote_Siren_02_Cheer", name: "Cheer" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Emotes/CustomEmote_Siren_03_Point.CustomEmote_Siren_03_Point", name: "Point" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Emotes/CustomEmote_Siren_04_Laugh.CustomEmote_Siren_04_Laugh", name: "Laugh" },
];

pub const PROFILE_HEADS: [GameDataKv; 164] = [
    GameDataKv { ident: "/Game/PatchDLC/Customizations/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_27.CustomHead_Beastmaster_27", name: "4NU Bust" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_4.CustomHead_Beastmaster_4", name: "4ction Figure" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/_Shared/CustomHead_Beastmaster_DLC2_01.CustomHead_Beastmaster_DLC2_01", name: "Abyss4l" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_8.CustomHead_Beastmaster_8", name: "Anim4tronic" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/PlayerCharacters/_Customizations/CustomHeads/CustomHead46/CustomHead_Beastmaster_46.CustomHead_Beastmaster_46", name: "Antisoci4l" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_17.CustomHead_Beastmaster_17", name: "Bird Collar" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_16.CustomHead_Beastmaster_16", name: "Bully for You" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomHeads/CustomHead47/CustomHead_Beastmaster_47.CustomHead_Beastmaster_47", name: "C4tch A Ride" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_26.CustomHead_Beastmaster_26", name: "Camoufl4ge" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_9.CustomHead_Beastmaster_9", name: "Cr4cked" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_7.CustomHead_Beastmaster_7", name: "De4thless" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_24.CustomHead_Beastmaster_24", name: "Der4nged Ranger" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_20.CustomHead_Beastmaster_20", name: "Desperado" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_6.CustomHead_Beastmaster_6", name: "Dre4dful Visage" },
    GameDataKv { ident: "/Game/PatchDLC/Customizations/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_25.CustomHead_Beastmaster_25", name: "FL4Kenstein's Monster" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/Beastmaster/Heads/DA_BMHead03.DA_BMHead03", name: "Fr4kkin' Toaster" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora/PlayerCharacters/Beastmaster/Heads/DA_BMHead39.DA_BMHead39", name: "Grand Archivist" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_5.CustomHead_Beastmaster_5", name: "He4d in the Cloud" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_34.CustomHead_Beastmaster_34", name: "Hotline Pandora" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_14.CustomHead_Beastmaster_14", name: "Immort4l" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_13.CustomHead_Beastmaster_13", name: "Inh4ler" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_23.CustomHead_Beastmaster_23", name: "Lance Helmet" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/_Shared/CustomHead_Beastmaster_DLC4_01.CustomHead_Beastmaster_DLC4_01", name: "Lumin4ry" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_11.CustomHead_Beastmaster_11", name: "M4nta Ray" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_21.CustomHead_Beastmaster_21", name: "Marcus Bobble" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerHead/CustomHead38/CustomHead_Beastmaster_38.CustomHead_Beastmaster_38", name: "Mendic4nt" },
    GameDataKv { ident: "/Game/PatchDLC/CitizenScience/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_CS.CustomHead_Beastmaster_CS", name: "Neon Predator" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_22.CustomHead_Beastmaster_22", name: "NOG Mask" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_19.CustomHead_Beastmaster_19", name: "Pony Up" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Beastmaster/Heads/DA_BMHead33.DA_BMHead33", name: "Ratch Rider" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomHead_BeastMaster_Twitch.CustomHead_BeastMaster_Twitch", name: "Roll Player" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomHead_Beastmaster_30.CustomHead_Beastmaster_30", name: "Roy4lty" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Beastmaster/Heads/DA_BMHead35.DA_BMHead35", name: "Saurian Synth" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_10.CustomHead_Beastmaster_10", name: "Sh4man" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_1.CustomHead_Beastmaster_1", name: "Simul4crum" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Beastmaster/Heads/DA_BMHead36.DA_BMHead36", name: "Skagwave" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_12.CustomHead_Beastmaster_12", name: "Skull Pl4te" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Beastmaster/Heads/DA_BMHead37.DA_BMHead37", name: "Spiderpunk" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomHeads/CustomHead_Beastmaster_49.CustomHead_Beastmaster_49", name: "Str4nger" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_18.CustomHead_Beastmaster_18", name: "Tough Scruff" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_15.CustomHead_Beastmaster_15", name: "Yok4i" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/PlayerCharacters/_Customizations/CustomHeads/CustomHead46/CustomHead_Gunner_46.CustomHead_Gunner_46", name: "Antisocial" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_17.CustomHead_Gunner_17", name: "Bird Collar" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_15.CustomHead_Gunner_15", name: "Black Eye" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_8.CustomHead_Gunner_8", name: "Bull Mozer" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_16.CustomHead_Gunner_16", name: "Bully for You" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora/PlayerCharacters/Gunner/Heads/DA_GNRHead39.DA_GNRHead39", name: "Commissar Andreyevna" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_12.CustomHead_Gunner_12", name: "Conqueror" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_7.CustomHead_Gunner_7", name: "Cy-Ops" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_20.CustomHead_Gunner_20", name: "Desperado" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/Gunner/Heads/DA_GNRHead03.DA_GNRHead03", name: "Diesel Punk" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_11.CustomHead_Gunner_11", name: "Disengaged" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_4.CustomHead_Gunner_4", name: "Eyes on Target" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_1.CustomHead_Gunner_1", name: "Fresh to Death" },
    GameDataKv { ident: "/Game/PatchDLC/Customizations/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_27.CustomHead_Gunner_27", name: "Fuel Metal" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_34.CustomHead_Gunner_34", name: "Hotline Pandora" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_5.CustomHead_Gunner_5", name: "Insulation" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_9.CustomHead_Gunner_9", name: "Iron Baron" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_13.CustomHead_Gunner_13", name: "Knight Watch" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_23.CustomHead_Gunner_23", name: "Lance Helmet" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_24.CustomHead_Gunner_24", name: "Mad Moze" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_21.CustomHead_Gunner_21", name: "Marcus Bobble" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_26.CustomHead_Gunner_26", name: "Meowze" },
    GameDataKv { ident: "/Game/PatchDLC/Customizations/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_25.CustomHead_Gunner_25", name: "Mozo" },
    GameDataKv { ident: "/Game/PatchDLC/CitizenScience/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_CS.CustomHead_Gunner_CS", name: "Neon Charger" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_22.CustomHead_Gunner_22", name: "NOG Mask" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerHead/CustomHead38/CustomHead_Gunner_38.CustomHead_Gunner_38", name: "Outlaw" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_19.CustomHead_Gunner_19", name: "Pony Up" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Gunner/Heads/DA_GNRHead33.DA_GNRHead33", name: "Ratch Rider" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomHead_Gunner_Twitch.CustomHead_Gunner_Twitch", name: "Roll Player" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Gunner/Heads/DA_GNRHead35.DA_GNRHead35", name: "Saurian Synth" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_10.CustomHead_Gunner_10", name: "Shark Tank" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Gunner/Heads/DA_GNRHead36.DA_GNRHead36", name: "Skagwave" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/_Shared/CustomHead_Gunner_DLC4_01.CustomHead_Gunner_DLC4_01", name: "Spark of Genius" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Gunner/Heads/DA_GNRHead37.DA_GNRHead37", name: "Spiderpunk" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/_Shared/CustomHead_Gunner_DLC2_01.CustomHead_Gunner_DLC2_01", name: "Strange Angles" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_14.CustomHead_Gunner_14", name: "Swooper Trooper" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomHeads/CustomHead_Gunner_49.CustomHead_Gunner_49", name: "The Garish Gunner" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_18.CustomHead_Gunner_18", name: "Tough Scruff" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_6.CustomHead_Gunner_6", name: "Toxic Behavior" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomHeads/CustomHead47/CustomHead_Gunner_47.CustomHead_Gunner_47", name: "Typhon's Legacy" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomHead_Gunner_30.CustomHead_Gunner_30", name: "Weapons Haute" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_11.CustomHead_Operative_11", name: "Antihero" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/PlayerCharacters/_Customizations/CustomHeads/CustomHead46/CustomHead_Operative_46.CustomHead_Operative_46", name: "Antisocial" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora/PlayerCharacters/Operative/Heads/DA_OPHead39.DA_OPHead39", name: "Assassin One" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_17.CustomHead_Operative_17", name: "Bird Collar" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_16.CustomHead_Operative_16", name: "Bully for You" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/_Shared/CustomHead_Operative_DLC2_01.CustomHead_Operative_DLC2_01", name: "Chaotic Hood" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomHeads/CustomHead47/CustomHead_Operative_47.CustomHead_Operative_47", name: "Crimson Operator" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomHead_Operative_30.CustomHead_Operative_30", name: "Crownin' Around" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_13.CustomHead_Operative_13", name: "Daredevil" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_6.CustomHead_Operative_6", name: "Demon Could Weep" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_20.CustomHead_Operative_20", name: "Desperado" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerHead/CustomHead38/CustomHead_Operative_38.CustomHead_Operative_38", name: "Devilish Rogue" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_12.CustomHead_Operative_12", name: "Hard Bop" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_15.CustomHead_Operative_15", name: "Hombre" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_34.CustomHead_Operative_34", name: "Hotline Pandora" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_24.CustomHead_Operative_24", name: "Inzanity" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_8.CustomHead_Operative_8", name: "Jawperative" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_23.CustomHead_Operative_23", name: "Lance Helmet" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_21.CustomHead_Operative_21", name: "Marcus Bobble" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_14.CustomHead_Operative_14", name: "Mythic" },
    GameDataKv { ident: "/Game/PatchDLC/CitizenScience/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_CS.CustomHead_Operative_CS", name: "Neon Mullet" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_22.CustomHead_Operative_22", name: "NOG Mask" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_4.CustomHead_Operative_4", name: "One Last Job" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_26.CustomHead_Operative_26", name: "Oni" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_19.CustomHead_Operative_19", name: "Pony Up" },
    GameDataKv { ident: "/Game/PatchDLC/Customizations/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_27.CustomHead_Operative_27", name: "Regent" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Operative/Heads/DA_OPHead33.DA_OPHead33", name: "Ratch Rider" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/Operative/Heads/DA_OPHead03.DA_OPHead03", name: "Riizento" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomHead_Operative_Twitch.CustomHead_Operative_Twitch", name: "Roll Player" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_1.CustomHead_Operative_1", name: "Ronin" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Operative/Heads/DA_OPHead35.DA_OPHead35", name: "Saurian Synth" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomHeads/CustomHead_Operative_49.CustomHead_Operative_49", name: "Shady Character" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Operative/Heads/DA_OPHead36.DA_OPHead36", name: "Skagwave" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Operative/Heads/DA_OPHead37.DA_OPHead37", name: "Spiderpunk" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_9.CustomHead_Operative_9", name: "Suction Filter" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/_Shared/CustomHead_Operative_DLC4_01.CustomHead_Operative_DLC4_01", name: "Thinking Clearly" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_18.CustomHead_Operative_18", name: "Tough Scruff" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_7.CustomHead_Operative_7", name: "Tusk Raider" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_5.CustomHead_Operative_5", name: "Wanderer" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_10.CustomHead_Operative_10", name: "Weathered" },
    GameDataKv { ident: "/Game/PatchDLC/Customizations/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_25.CustomHead_Operative_25", name: "Wolfin' Shine" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_5.CustomHead_Siren_5", name: "A Few Scrapes" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/PlayerCharacters/_Customizations/CustomHeads/CustomHead46/CustomHead_Siren_46.CustomHead_Siren_46", name: "Antisocial" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomHead_Siren_30.CustomHead_Siren_30", name: "Astral Empress" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_17.CustomHead_Siren_17", name: "Bird Collar" },
    GameDataKv { ident: "/Game/PatchDLC/Customizations/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_25.CustomHead_Siren_25", name: "Bonedana" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_26.CustomHead_Siren_26", name: "Brick Top" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_16.CustomHead_Siren_16", name: "Bully for You" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_12.CustomHead_Siren_12", name: "Cat's Unforsaken Roar" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_8.CustomHead_Siren_8", name: "Chokella" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomHeads/CustomHead_Siren_49.CustomHead_Siren_49", name: "Con Martial Artist" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_1.CustomHead_Siren_1", name: "Cry Havoc" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_10.CustomHead_Siren_10", name: "Cyber Hawk" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_20.CustomHead_Siren_20", name: "Desperado" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_14.CustomHead_Siren_14", name: "Full Coverage" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_34.CustomHead_Siren_34", name: "Hotline Pandora" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_9.CustomHead_Siren_9", name: "Jawbreaker" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerHead/CustomHead38/CustomHead_Siren_38.CustomHead_Siren_38", name: "Killer Kitsune" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_23.CustomHead_Siren_23", name: "Lance Helmet" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_15.CustomHead_Siren_15", name: "Mane Event" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_21.CustomHead_Siren_21", name: "Marcus Bobble" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/_Shared/CustomHead_Siren_DLC2_01.CustomHead_Siren_DLC2_01", name: "Mind Slayer" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_4.CustomHead_Siren_4", name: "Motosaurus" },
    GameDataKv { ident: "/Game/PatchDLC/CitizenScience/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_CS.CustomHead_Siren_CS", name: "Neon Diva" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_22.CustomHead_Siren_22", name: "NOG Mask" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora/PlayerCharacters/SirenBrawler/Heads/DA_SRNHead39.DA_SRNHead39", name: "Partali Renegade" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_19.CustomHead_Siren_19", name: "Pony Up" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_24.CustomHead_Siren_24", name: "Psyren" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_11.CustomHead_Siren_11", name: "Pucker Up" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Siren/Heads/DA_SRNHead33.DA_SRNHead33", name: "Ratch Rider" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomHead_Siren_Twitch.CustomHead_Siren_Twitch", name: "Roll Player" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Siren/Heads/DA_SRNHead35.DA_SRNHead35", name: "Saurian Synth" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomHeads/CustomHead47/CustomHead_Siren_47.CustomHead_Siren_47", name: "Siren's Cowl" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Siren/Heads/DA_SRNHead36.DA_SRNHead36", name: "Skagwave" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Siren/Heads/DA_SRNHead37.DA_SRNHead37", name: "Spiderpunk" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_6.CustomHead_Siren_6", name: "Starry Eyed" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_13.CustomHead_Siren_13", name: "Streamlined" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/SirenBrawler/Heads/DA_SRNHead03.DA_SRNHead03", name: "Streetwise" },
    GameDataKv { ident: "/Game/PatchDLC/Customizations/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_27.CustomHead_Siren_27", name: "Tiger of Spartali" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_18.CustomHead_Siren_18", name: "Tough Scruff" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_7.CustomHead_Siren_7", name: "Transmission Vector" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/_Shared/CustomHead_Siren_DLC4_01.CustomHead_Siren_DLC4_01", name: "Wired Science" },
];

pub const PROFILE_HEADS_DEFAULTS: [GameDataKv; 4] = [
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Heads/CustomHead_Beastmaster_Default.CustomHead_Beastmaster_Default", name: "FL4K" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Heads/CustomHead_Gunner_Default.CustomHead_Gunner_Default", name: "Moze" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Heads/CustomHead_Operative_Default.CustomHead_Operative_Default", name: "Zane" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Heads/CustomHead_Siren_Default.CustomHead_Siren_Default", name: "Amara" },
];

pub const PROFILE_SKINS: [GameDataKv; 248] = [
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_5.CustomSkin_Beastmaster_5", name: "Amp Stamp" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_7.CustomSkin_Beastmaster_7", name: "Anshin Wash Only" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_30.CustomSkin_Beastmaster_30", name: "Atlas Classic" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/PlayerCharacters/_Customizations/PlayerSkins/CustomSkin_Beastmaster_52.CustomSkin_Beastmaster_52", name: "Bad Astra" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_39.CustomSkin_Beastmaster_39", name: "Bubblegum Bum" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_17.CustomSkin_Beastmaster_17", name: "Burning Bright" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_23.CustomSkin_Beastmaster_23", name: "Candy Raver" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_29.CustomSkin_Beastmaster_29", name: "Caustic Bloom" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_9.CustomSkin_Beastmaster_9", name: "Clothed Circuit" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_41.CustomSkin_Beastmaster_41", name: "Conventional Reppin'" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_25.CustomSkin_Beastmaster_25", name: "Creature of the Night" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_37.CustomSkin_Beastmaster_37", name: "Crimson Raiment" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Beastmaster_75.CustomSkin_Beastmaster_75", name: "Crook Look" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_47.CustomSkin_Beastmaster_47", name: "Death by Filigrees" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Beastmaster_78.CustomSkin_Beastmaster_78", name: "Derringer Duds" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerSkin/CustomSkin_Beastmaster_DLC3_1.CustomSkin_Beastmaster_DLC3_1", name: "Devil Raider" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_19.CustomSkin_Beastmaster_19", name: "Ectoplasmic" },
    GameDataKv { ident: "/Game/PatchDLC/CitizenScience/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_CS.CustomSkin_Beastmaster_CS", name: "Electric Avenue" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_4.CustomSkin_Beastmaster_4", name: "Extreme Caution" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomSkin_Beastmaster_46.CustomSkin_Beastmaster_46", name: "Festive Vestments" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_13.CustomSkin_Beastmaster_13", name: "Freedom Fashion" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_10.CustomSkin_Beastmaster_10", name: "Funk Off" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_31.CustomSkin_Beastmaster_31", name: "Gilded Rage" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora/PlayerCharacters/_Customizations/PlayerSkins/Skin51/CustomSkin_Beastmaster_51.CustomSkin_Beastmaster_51", name: "Grand Archivist" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_48.CustomSkin_Beastmaster_48", name: "Grid Runner" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_63.CustomSkin_Beastmaster_63", name: "Haunted Look" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_18.CustomSkin_Beastmaster_18", name: "Hear Me Roar" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomSkin_Beastmaster_65.CustomSkin_Beastmaster_65", name: "Heart Attacker" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomSkin_Beastmaster_50.CustomSkin_Beastmaster_50", name: "Heartbreaker" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_16.CustomSkin_Beastmaster_16", name: "Hex Bolts" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_15.CustomSkin_Beastmaster_15", name: "Hot Rod" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_14.CustomSkin_Beastmaster_14", name: "Hunting Season" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_21.CustomSkin_Beastmaster_21", name: "Hyperion Beast" },
    GameDataKv { ident: "/Game/PatchDLC/BloodyHarvest/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_40.CustomSkin_Beastmaster_40", name: "If Spooks Could Kill" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_1.CustomSkin_Beastmaster_1", name: "Jungle Jams" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_2.CustomSkin_Beastmaster_2", name: "Labradortilla" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Beastmaster_68.CustomSkin_Beastmaster_68", name: "Le Chandail de Roland" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomSkin_Beastmaster_44.CustomSkin_Beastmaster_44", name: "Like a Million Bucks" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_42.CustomSkin_Beastmaster_42", name: "Like, Follow, Obey" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_22.CustomSkin_Beastmaster_22", name: "Maliwan Mood" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_26.CustomSkin_Beastmaster_26", name: "Moist the Flag" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_36.CustomSkin_Beastmaster_36", name: "Muddy Slaughters" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_11.CustomSkin_Beastmaster_11", name: "Neon Dreams" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Beastmaster_76.CustomSkin_Beastmaster_76", name: "Oasis Chic" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_8.CustomSkin_Beastmaster_8", name: "Pimp My Raider" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_61.CustomSkin_Beastmaster_61", name: "Popsychle" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_28.CustomSkin_Beastmaster_28", name: "Ravenous" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Beastmaster_67.CustomSkin_Beastmaster_67", name: "Runekeeper" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Beastmaster_69.CustomSkin_Beastmaster_69", name: "Serene Siren" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_43.CustomSkin_Beastmaster_43", name: "Ship It" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_32.CustomSkin_Beastmaster_32", name: "Signature Style" },
    GameDataKv { ident: "/Game/PatchDLC/Raid1/PlayerCharacters/_Customizations/Beastmaster/CustomSkin_Beastmaster_45.CustomSkin_Beastmaster_45", name: "Spec'd Out" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/_Shared/CustomSkin_Beastmaster_DLC4_01.CustomSkin_Beastmaster_DLC4_01", name: "Spl4tter" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Beastmaster_70.CustomSkin_Beastmaster_70", name: "Step One" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_6.CustomSkin_Beastmaster_6", name: "Sure, Why Not?" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_3.CustomSkin_Beastmaster_3", name: "Teal Appeal" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/_Shared/CustomSkin_Beastmaster_DLC2_01.CustomSkin_Beastmaster_DLC2_01", name: "Tentacular Spectacular" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_20.CustomSkin_Beastmaster_20", name: "The Art of Stealth" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Beastmaster_77.CustomSkin_Beastmaster_77", name: "The Loader Look" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_27.CustomSkin_Beastmaster_27", name: "Trippy Hippie" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_24.CustomSkin_Beastmaster_24", name: "Tropic Blunder" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_12.CustomSkin_Beastmaster_12", name: "Urban Blammo" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_5.CustomSkin_Gunner_5", name: "Amp Stamp" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_7.CustomSkin_Gunner_7", name: "Anshin Wash" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_30.CustomSkin_Gunner_30", name: "Atlas Classic" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/PlayerCharacters/_Customizations/PlayerSkins/CustomSkin_Gunner_52.CustomSkin_Gunner_52", name: "Bad Astra" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_39.CustomSkin_Gunner_39", name: "Bubblegum Bum" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_17.CustomSkin_Gunner_17", name: "Burning Bright" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_23.CustomSkin_Gunner_23", name: "Candy Raver" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_29.CustomSkin_Gunner_29", name: "Caustic Bloom" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_9.CustomSkin_Gunner_9", name: "Clothed Circuit" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora/PlayerCharacters/_Customizations/PlayerSkins/Skin51/CustomSkin_Gunner_51.CustomSkin_Gunner_51", name: "Commissar Andreyevna" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_41.CustomSkin_Gunner_41", name: "Conventional Reppin'" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_25.CustomSkin_Gunner_25", name: "Creature of the Night" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_37.CustomSkin_Gunner_37", name: "Crimson Raiment" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Gunner_75.CustomSkin_Gunner_75", name: "Crook Look" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_47.CustomSkin_Gunner_47", name: "Death by Filigrees" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Gunner_78.CustomSkin_Gunner_78", name: "Derringer Duds" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerSkin/CustomSkin_Gunner_DLC3_1.CustomSkin_Gunner_DLC3_1", name: "Devil Raider" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_19.CustomSkin_Gunner_19", name: "Ectoplasmic" },
    GameDataKv { ident: "/Game/PatchDLC/CitizenScience/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_CS.CustomSkin_Gunner_CS", name: "Electric Avenue" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_4.CustomSkin_Gunner_4", name: "Extreme Caution" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomSkin_Gunner_46.CustomSkin_Gunner_46", name: "Festive Vestments" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_13.CustomSkin_Gunner_13", name: "Freedom Fashion" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_10.CustomSkin_Gunner_10", name: "Funk Off" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_31.CustomSkin_Gunner_31", name: "Gilded Rage" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_48.CustomSkin_Gunner_48", name: "Grid Runner" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_63.CustomSkin_Gunner_63", name: "Haunted Look" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_18.CustomSkin_Gunner_18", name: "Hear Me Roar" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomSkin_Gunner_65.CustomSkin_Gunner_65", name: "Heart Attacker" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomSkin_Gunner_50.CustomSkin_Gunner_50", name: "Heartbreaker" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_16.CustomSkin_Gunner_16", name: "Hex Bolts" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_15.CustomSkin_Gunner_15", name: "Hot Rod" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_14.CustomSkin_Gunner_14", name: "Hunting Season" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_21.CustomSkin_Gunner_21", name: "Hyperion Beast" },
    GameDataKv { ident: "/Game/PatchDLC/BloodyHarvest/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_40.CustomSkin_Gunner_40", name: "If Spooks Could Kill" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_1.CustomSkin_Gunner_1", name: "Jungle Jams" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_2.CustomSkin_Gunner_2", name: "Labradortilla" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Gunner_68.CustomSkin_Gunner_68", name: "Le Chandail de Roland" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomSkin_Gunner_44.CustomSkin_Gunner_44", name: "Like a Million Bucks" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_42.CustomSkin_Gunner_42", name: "Like, Follow, Obey" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_22.CustomSkin_Gunner_22", name: "Maliwan Mood" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_26.CustomSkin_Gunner_26", name: "Moist the Flag" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_36.CustomSkin_Gunner_36", name: "Muddy Slaughters" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_11.CustomSkin_Gunner_11", name: "Neon Dreams" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Gunner_76.CustomSkin_Gunner_76", name: "Oasis Chic" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_8.CustomSkin_Gunner_8", name: "Pimp My Raider" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_61.CustomSkin_Gunner_61", name: "Popsychle" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_28.CustomSkin_Gunner_28", name: "Ravenous" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Gunner_67.CustomSkin_Gunner_67", name: "Runekeeper" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Gunner_69.CustomSkin_Gunner_69", name: "Serene Siren" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_43.CustomSkin_Gunner_43", name: "Ship It" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_32.CustomSkin_Gunner_32", name: "Signature Style" },
    GameDataKv { ident: "/Game/PatchDLC/Raid1/PlayerCharacters/_Customizations/Gunner/CustomSkin_Gunner_45.CustomSkin_Gunner_45", name: "Spec'd Out" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/_Shared/CustomSkin_Gunner_DLC4_01.CustomSkin_Gunner_DLC4_01", name: "Splatter" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Gunner_70.CustomSkin_Gunner_70", name: "Step One" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_6.CustomSkin_Gunner_6", name: "Sure, Why Not?" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_3.CustomSkin_Gunner_3", name: "Teal Appeal" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/_Shared/CustomSkin_Gunner_DLC2_01.CustomSkin_Gunner_DLC2_01", name: "Tentacular Spectacular" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_20.CustomSkin_Gunner_20", name: "The Art of Stealth" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Gunner_77.CustomSkin_Gunner_77", name: "The Loader Look" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_27.CustomSkin_Gunner_27", name: "Trippy Hippie" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_24.CustomSkin_Gunner_24", name: "Tropic Blunder" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_12.CustomSkin_Gunner_12", name: "Urban Blammo" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_5.CustomSkin_Operative_5", name: "Amp Stamp" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_7.CustomSkin_Operative_7", name: "Anshin Wash" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora/PlayerCharacters/_Customizations/PlayerSkins/Skin51/CustomSkin_Operative_51.CustomSkin_Operative_51", name: "Assassin One" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_30.CustomSkin_Operative_30", name: "Atlas Classic" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/PlayerCharacters/_Customizations/PlayerSkins/CustomSkin_Operative_52.CustomSkin_Operative_52", name: "Bad Astra" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_39.CustomSkin_Operative_39", name: "Bubblegum Bum" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_17.CustomSkin_Operative_17", name: "Burning Bright" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_23.CustomSkin_Operative_23", name: "Candy Raver" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_29.CustomSkin_Operative_29", name: "Caustic Bloom" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_9.CustomSkin_Operative_9", name: "Clothed Circuit" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_41.CustomSkin_Operative_41", name: "Conventional Reppin'" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_25.CustomSkin_Operative_25", name: "Creature of the Night" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_37.CustomSkin_Operative_37", name: "Crimson Raiment" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Operative_75.CustomSkin_Operative_75", name: "Crook Look" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_47.CustomSkin_Operative_47", name: "Death by Filigrees" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Operative_78.CustomSkin_Operative_78", name: "Derringer Duds" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerSkin/CustomSkin_Operative_DLC3_1.CustomSkin_Operative_DLC3_1", name: "Devil Raider" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_19.CustomSkin_Operative_19", name: "Ectoplasmic" },
    GameDataKv { ident: "/Game/PatchDLC/CitizenScience/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_CS.CustomSkin_Operative_CS", name: "Electric Avenue" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_4.CustomSkin_Operative_4", name: "Extreme Caution" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomSkin_Operative_46.CustomSkin_Operative_46", name: "Festive Vestments" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_13.CustomSkin_Operative_13", name: "Freedom Fashion" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_10.CustomSkin_Operative_10", name: "Funk Off" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_31.CustomSkin_Operative_31", name: "Gilded Rage" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_48.CustomSkin_Operative_48", name: "Grid Runner" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_63.CustomSkin_Operative_63", name: "Haunted Look" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_18.CustomSkin_Operative_18", name: "Hear Me Roar" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomSkin_Operative_65.CustomSkin_Operative_65", name: "Heart Attacker" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomSkin_Operative_50.CustomSkin_Operative_50", name: "Heartbreaker" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_16.CustomSkin_Operative_16", name: "Hex Bolts" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_15.CustomSkin_Operative_15", name: "Hot Rod" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_14.CustomSkin_Operative_14", name: "Hunting Season" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_21.CustomSkin_Operative_21", name: "Hyperion Beast" },
    GameDataKv { ident: "/Game/PatchDLC/BloodyHarvest/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_40.CustomSkin_Operative_40", name: "If Spooks Could Kill" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_1.CustomSkin_Operative_1", name: "Jungle Jams" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_2.CustomSkin_Operative_2", name: "Labradortilla" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Operative_68.CustomSkin_Operative_68", name: "Le Chandail de Roland" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomSkin_Operative_44.CustomSkin_Operative_44", name: "Like a Million Bucks" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_42.CustomSkin_Operative_42", name: "Like, Follow, Obey" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_22.CustomSkin_Operative_22", name: "Maliwan Mood" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_26.CustomSkin_Operative_26", name: "Moist the Flag" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_36.CustomSkin_Operative_36", name: "Muddy Slaughters" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_11.CustomSkin_Operative_11", name: "Neon Dreams" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Operative_76.CustomSkin_Operative_76", name: "Oasis Chic" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_8.CustomSkin_Operative_8", name: "Pimp My Raider" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_61.CustomSkin_Operative_61", name: "Popsychle" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_28.CustomSkin_Operative_28", name: "Ravenous" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Operative_67.CustomSkin_Operative_67", name: "Runekeeper" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Operative_69.CustomSkin_Operative_69", name: "Serene Siren" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_43.CustomSkin_Operative_43", name: "Ship It" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_32.CustomSkin_Operative_32", name: "Signature Style" },
    GameDataKv { ident: "/Game/PatchDLC/Raid1/PlayerCharacters/_Customizations/Operative/CustomSkin_Operative_45.CustomSkin_Operative_45", name: "Spec'd Out" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/_Shared/CustomSkin_Operative__DLC4_01.CustomSkin_Operative__DLC4_01", name: "Splatter" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Operative_70.CustomSkin_Operative_70", name: "Step One" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_6.CustomSkin_Operative_6", name: "Sure, Why Not?" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_3.CustomSkin_Operative_3", name: "Teal Appeal" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/_Shared/CustomSkin_Operative__DLC2_01.CustomSkin_Operative__DLC2_01", name: "Tentacular Spectacular" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_20.CustomSkin_Operative_20", name: "The Art of Stealth" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Operative_77.CustomSkin_Operative_77", name: "The Loader Look" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_27.CustomSkin_Operative_27", name: "Trippy Hippie" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_24.CustomSkin_Operative_24", name: "Tropic Blunder" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_12.CustomSkin_Operative_12", name: "Urban Blammo" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_5.CustomSkin_Siren_5", name: "Amp Stamp" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_7.CustomSkin_Siren_7", name: "Anshin Wash" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_30.CustomSkin_Siren_30", name: "Atlas Classic" },
    GameDataKv { ident: "/Game/PatchDLC/Takedown2/PlayerCharacters/_Customizations/PlayerSkins/CustomSkin_Siren_52.CustomSkin_Siren_52", name: "Bad Astra" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_39.CustomSkin_Siren_39", name: "Bubblegum Bum" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_17.CustomSkin_Siren_17", name: "Burning Bright" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_23.CustomSkin_Siren_23", name: "Candy Raver" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_29.CustomSkin_Siren_29", name: "Caustic Bloom" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_9.CustomSkin_Siren_9", name: "Clothed Circuit" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_41.CustomSkin_Siren_41", name: "Conventional Reppin'" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_25.CustomSkin_Siren_25", name: "Creature of the Night" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_37.CustomSkin_Siren_37", name: "Crimson Raiment" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Siren_75.CustomSkin_Siren_75", name: "Crook Look" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_47.CustomSkin_Siren_47", name: "Death by Filigrees" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Siren_78.CustomSkin_Siren_78", name: "Derringer Duds" },
    GameDataKv { ident: "/Game/PatchDLC/Geranium/Customizations/PlayerSkin/CustomSkin_Siren_DLC3_1.CustomSkin_Siren_DLC3_1", name: "Devil Raider" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_19.CustomSkin_Siren_19", name: "Ectoplasmic" },
    GameDataKv { ident: "/Game/PatchDLC/CitizenScience/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_CS.CustomSkin_Siren_CS", name: "Electric Avenue" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_4.CustomSkin_Siren_4", name: "Extreme Caution" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomSkin_Siren_46.CustomSkin_Siren_46", name: "Festive Vestments" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_13.CustomSkin_Siren_13", name: "Freedom Fashion" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_10.CustomSkin_Siren_10", name: "Funk Off" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_31.CustomSkin_Siren_31", name: "Gilded Rage" },
    GameDataKv { ident: "/Game/PatchDLC/Event2/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_48.CustomSkin_Siren_48", name: "Grid Runner" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_63.CustomSkin_Siren_63", name: "Haunted Look" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_18.CustomSkin_Siren_18", name: "Hear Me Roar" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomSkin_Siren_65.CustomSkin_Siren_65", name: "Heart Attacker" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/PlayerCharacters/_Shared/CustomSkin_Siren_50.CustomSkin_Siren_50", name: "Heartbreaker" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_16.CustomSkin_Siren_16", name: "Hex Bolts" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_15.CustomSkin_Siren_15", name: "Hot Rod" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_14.CustomSkin_Siren_14", name: "Hunting Season" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_21.CustomSkin_Siren_21", name: "Hyperion Beast" },
    GameDataKv { ident: "/Game/PatchDLC/BloodyHarvest/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_40.CustomSkin_Siren_40", name: "If Spooks Could Kill" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_1.CustomSkin_Siren_1", name: "Jungle Jams" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_2.CustomSkin_Siren_2", name: "Labradortilla" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Siren_68.CustomSkin_Siren_68", name: "Le Chandail de Roland" },
    GameDataKv { ident: "/Game/PatchDLC/Dandelion/PlayerCharacters/_Customizations/_Shared/CustomSkin_Siren_44.CustomSkin_Siren_44", name: "Like a Million Bucks" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_42.CustomSkin_Siren_42", name: "Like, Follow, Obey" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_22.CustomSkin_Siren_22", name: "Maliwan Mood" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_26.CustomSkin_Siren_26", name: "Moist the Flag" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_36.CustomSkin_Siren_36", name: "Muddy Slaughters" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_11.CustomSkin_Siren_11", name: "Neon Dreams" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Siren_76.CustomSkin_Siren_76", name: "Oasis Chic" },
    GameDataKv { ident: "/Game/PatchDLC/Ixora/PlayerCharacters/_Customizations/PlayerSkins/Skin51/CustomSkin_Siren_51.CustomSkin_Siren_51", name: "Partali Renegade" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_8.CustomSkin_Siren_8", name: "Pimp My Raider" },
    GameDataKv { ident: "/Game/PatchDLC/EventVDay/TwitchDrops/PlayerCharacters/_Customizations/Siren/Skins/CustomSkin_Siren_61.CustomSkin_Siren_61", name: "Popsychle" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_28.CustomSkin_Siren_28", name: "Ravenous" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Siren_67.CustomSkin_Siren_67", name: "Runekeeper" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Siren_69.CustomSkin_Siren_69", name: "Serene Siren" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_43.CustomSkin_Siren_43", name: "Ship It" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_32.CustomSkin_Siren_32", name: "Signature Style" },
    GameDataKv { ident: "/Game/PatchDLC/Raid1/PlayerCharacters/_Customizations/Siren/CustomSkin_Siren_45.CustomSkin_Siren_45", name: "Spec'd Out" },
    GameDataKv { ident: "/Game/PatchDLC/Alisma/PlayerCharacters/_Customizations/_Shared/CustomSkin_Siren__DLC4_01.CustomSkin_Siren__DLC4_01", name: "Splatter" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard/PlayerCharacters/_Shared/CustomSkin_Siren_70.CustomSkin_Siren_70", name: "Step One" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_6.CustomSkin_Siren_6", name: "Sure, Why Not?" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_3.CustomSkin_Siren_3", name: "Teal Appeal" },
    GameDataKv { ident: "/Game/PatchDLC/Hibiscus/PlayerCharacters/_Customizations/_Shared/CustomSkin_Siren__DLC2_01.CustomSkin_Siren__DLC2_01", name: "Tentacular Spectacular" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_20.CustomSkin_Siren_20", name: "The Art of Stealth" },
    GameDataKv { ident: "/Game/PatchDLC/VaultCard2/PlayerCharacters/_Shared/CustomSkin_Siren_77.CustomSkin_Siren_77", name: "The Loader Look" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_27.CustomSkin_Siren_27", name: "Trippy Hippie" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_24.CustomSkin_Siren_24", name: "Tropic Blunder" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_12.CustomSkin_Siren_12", name: "Urban Blammo" },
];

pub const PROFILE_SKINS_DEFAULTS: [GameDataKv; 4] = [
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Beastmaster/Skins/CustomSkin_Beastmaster_Default.CustomSkin_Beastmaster_Default", name: "Beastmaster Skin Default" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Gunner/Skins/CustomSkin_Gunner_Default.CustomSkin_Gunner_Default", name: "Gunner Skin Default" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/Operative/Skins/CustomSkin_Operative_Default.CustomSkin_Operative_Default", name: "Operative Skin (Default)" },
    GameDataKv { ident: "/Game/PlayerCharacters/_Customizations/SirenBrawler/Skins/CustomSkin_Siren_Default.CustomSkin_Siren_Default", name: "Siren Skin Default" },
];

pub const BALANCE_NAME_MAPPING: [GameDataKv; 769] = [
    GameDataKv { ident: "/game/gear/artifacts/_design/balancedefs/invbald_artifact_01_common", name: "White Artifact" },
    GameDataKv { ident: "/game/gear/artifacts/_design/balancedefs/invbald_artifact_02_uncommon", name: "Green Artifact" },
    GameDataKv { ident: "/game/gear/artifacts/_design/balancedefs/invbald_artifact_03_rare", name: "Blue Artifact" },
    GameDataKv { ident: "/game/gear/artifacts/_design/balancedefs/invbald_artifact_04_veryrare", name: "Purple Artifact" },
    GameDataKv { ident: "/game/gear/artifacts/_design/balancedefs/invbald_artifact_05_legendary", name: "Legendary Artifact" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/eldragonjr/balance/invbald_artifact_eldragonjr", name: "Unleash the Dragon Legendary Artifact" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/electricbanjo/balance/invbald_artifact_electricbanjo", name: "Electric Banjo Legendary Artifact" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/grave/balance/invbald_artifact_grave", name: "Grave Legendary Artifact" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/phoenixtears/balance/invbald_artifact_phoenixtears", name: "Phoenix Tears Legendary Artifact" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/roadwarrior/balance/invbald_artifact_roadwarrior", name: "Road Warrior Legendary Artifact" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/vaulthunterrelic/balance/invbald_artifact_relic", name: "Vault Hunter's Relic Legendary Artifact" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_beastmaster_01_common", name: "Beastmaster White COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_beastmaster_02_uncommon", name: "Beastmaster Green COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_beastmaster_03_rare", name: "Beastmaster Blue COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_beastmaster_04_veryrare", name: "Beastmaster Purple COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_beastmaster_05_legendary", name: "Beastmaster Legendary COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_gunner_01_common", name: "Gunner White COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_gunner_02_uncommon", name: "Gunner Green COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_gunner_03_rare", name: "Gunner Blue COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_gunner_04_veryrare", name: "Gunner Purple COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_gunner_05_legendary", name: "Gunner Legendary COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_operative_01_common", name: "Operative White COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_operative_02_uncommon", name: "Operative Green COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_operative_03_rare", name: "Operative Blue COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_operative_04_veryrare", name: "Operative Purple COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_operative_05_legendary", name: "Operative Legendary COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_siren_01_common", name: "Siren White COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_siren_02_uncommon", name: "Siren Green COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_siren_03_rare", name: "Siren Blue COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_siren_04_veryrare", name: "Siren Purple COM" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_siren_05_legendary", name: "Siren Legendary COM" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/birthdaysuprise/balance/invbald_gm_birthdaysuprise", name: "Exterminator" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/buttstallion/balance/invbald_gm_buttstallion", name: "Diamond Butt Bomb" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/cashmoneypreorder/balance/invbald_gm_cashmoneypreorder", name: "Rubber Cheddar Shredder" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/chupa/balance/invbald_gm_chupa", name: "Chupa's Organ" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/echov2/balance/invbald_gm_echov2", name: "ECHO-2" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/emp/balance/invbald_gm_emp", name: "EMP" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/epicenter/balance/invbald_gm_epicenter", name: "Epicenter" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/fastball/balance/invbald_gm_ted_fastball", name: "Fastball" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/firestorm/balance/invbald_gm_vla_firestorm", name: "Firestorm" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/hiphop/balance/invbald_gm_tor_hiphop", name: "Tina's Hippity Hopper" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/hunterseeker/balance/invbald_gm_hunterseeker", name: "Hunter-Seeker" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/justdeserts/balance/invbald_gm_justdeserts", name: "Chocolate Thunder" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/kryll/balance/invbald_gm_kryll", name: "Kryll" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/mogwai/balance/invbald_gm_mogwai", name: "Elemental Persistent Contact Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/moxiesbosom/balance/invbald_gm_pan_moxiesbosom", name: "Moxxi's Bouncing Pair" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/mushroom/balance/invbald_gm_shroom", name: "Fungus Among Us" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/nagate/balance/invbald_gm_nagate", name: "Nagata" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/obvioustrap/balance/invbald_gm_obvioustrap", name: "Whispering Ice" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/piss/balance/invbald_gm_piss", name: "It's Piss" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/quasar/balance/invbald_gm_quasar", name: "Quasar" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/redqueen/balance/invbald_gm_redqueen", name: "Red Queen" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/seeker/balance/invbald_gm_seeker", name: "Hex" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/stormfront/balance/invbald_gm_stormfront", name: "Storm Front" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/summit/balance/invbald_gm_summit", name: "Burning Summit" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/surge/balance/invbald_gm_surge", name: "Surge" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/toiletbombs/balance/invbald_gm_tor_toiletbombs", name: "Porcelain Pipe Bomb" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/toygrenade/balance/invbald_gm_toygrenade", name: "Ultraball" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/tranfusion/balance/invbald_gm_tranfusion", name: "Tran-fusion" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/widowmaker/balance/invbald_gm_widowmaker", name: "Widowmaker" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/wizardofnog/balance/invbald_gm_wizardofnog", name: "NOG Potion #9" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_atlas_01_common", name: "Atlas White Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_atlas_02_uncommon", name: "Atlas Green Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_atlas_03_rare", name: "Atlas Blue Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_atlas_04_veryrare", name: "Atlas Purple Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_hyperion_01_common", name: "Hyperion White Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_hyperion_02_uncommon", name: "Hyperion Green Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_hyperion_03_rare", name: "Hyperion Blue Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_hyperion_04_veryrare", name: "Hyperion Purple Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_pangolin_01_common", name: "Pangolin White Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_pangolin_02_uncommon", name: "Pangolin Green Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_pangolin_03_rare", name: "Pangolin Blue Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_pangolin_04_veryrare", name: "Pangolin Purple Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_tediore_01_common", name: "Tediore White Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_tediore_02_uncommon", name: "Tediore Green Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_tediore_03_rare", name: "Tediore Blue Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_tediore_04_veryrare", name: "Tediore Purple Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_torgue_01_common", name: "Torgue White Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_torgue_02_uncommon", name: "Torgue Green Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_torgue_03_rare", name: "Torgue Blue Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_torgue_04_veryrare", name: "Torgue Purple Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_vladof_01_common", name: "Vladof White Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_vladof_02_uncommon", name: "Vladof Green Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_vladof_03_rare", name: "Vladof Blue Grenade" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_vladof_04_veryrare", name: "Vladof Purple Grenade" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/_xplootbooster/balance/invbald_shield_xplootbooster", name: "Deluxe Badass Combustor" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/aurelia/balance/invbald_shield_lgd_aurelia", name: "Frozen Heart" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/backham/balance/invbald_shield_backham", name: "Back Ham" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/bigboomblaster/balance/invbald_shield_lgd_bigboomblaster", name: "Big Boom Blaster" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/blackhole/balance/invbald_shield_lgd_blackhole", name: "Black Hole" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/buriedalive/balance/invbald_shield_buriedalive", name: "Mendel's Multivitamin Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/cyttorak/balance/invbald_shield_cyttorak", name: "Band of Sitorak" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/dispensary/balance/invbald_shield_lgd_dispensary", name: "MSRC Auto-Dispensary" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/frontloader/balance/invbald_shield_lgd_frontloader", name: "Front Loader" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/goldentouch/balance/invbald_shield_goldentouch", name: "Golden Touch" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/impaler/balance/invbald_shield_lgd_impaler", name: "Impaler" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/loopof4n631/balance/invbald_shield_hyp_loopof4n631", name: "Loop of 4N631" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/messybreakup/balance/invbald_shield_messybreakup", name: "Messy Breakup" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/moxxisembrace/balance/invbald_shield_moxxisembrace", name: "Moxxi's Embrace" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/mrcaffeine/balance/invbald_shield_pan_mrcaffeine", name: "Mr Caffeine" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/novaburner/balance/invbald_shield_lgd_novaburner", name: "Nova Berner" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/radiate/balance/invbald_shield_lgd_radiate", name: "Red Suit" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/re-charger/balance/invbald_shield_lgd_recharger", name: "Re-Charger" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/rectifier/balance/invbald_shield_lgd_rectifier", name: "Rectifier" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/revengenader/balance/invbald_shield_lgd_revengenader", name: "Revengenader" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/roughrider/balance/invbald_shield_lgd_roughrider", name: "Rough Rider" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/shootingstar/balance/invbald_shield_lgd_shootingstar", name: "Shooting Star" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/slidekick/balance/invbald_shield_lgd_slidekick", name: "Red Card" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/stopgap/balance/invbald_shield_lgd_stopgap", name: "Stop-Gap" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/transformer/balance/invbald_shield_lgd_transformer", name: "The Transformer" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/unpaler/balance/invbald_shield_lgd_unpaler", name: "Unpaler" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/vamp/balance/invbald_shield_legendary_vamp", name: "Re-Router" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/ward/balance/invbald_shield_ward", name: "Ward" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/whiskeytangofoxtrot/balance/invbald_shield_legendary_whiskeytangofoxtrot", name: "Whiskey Tango Foxtrot" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_anshin_01_common", name: "Anshin White Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_anshin_02_uncommon", name: "Anshin Green Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_anshin_03_rare", name: "Anshin Blue Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_anshin_04_veryrare", name: "Anshin Purple Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_hyperion_01_common", name: "Hyperion White Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_hyperion_02_uncommon", name: "Hyperion Green Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_hyperion_03_rare", name: "Hyperion Blue Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_hyperion_04_veryrare", name: "Hyperion Purple Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_pangolin_01_common", name: "Pangolin White Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_pangolin_02_uncommon", name: "Pangolin Green Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_pangolin_03_rare", name: "Pangolin Blue Shield" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_pangolin_04_veryrare", name: "Pangolin Purple Shield" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/cov/balance/balance_ar_cov_etech_rare", name: "Blue E-Tech COV AR" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/cov/balance/balance_ar_cov_etech_veryrare", name: "Purple E-Tech COV AR" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/dahl/balance/balance_dal_ar_etech_rare", name: "Blue E-Tech Dahl AR" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/dahl/balance/balance_dal_ar_etech_veryrare", name: "Purple E-Tech Dahl AR" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/tor/balance/balance_ar_tor_etech_rare", name: "Blue E-Tech Torgue AR" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/tor/balance/balance_ar_tor_etech_veryrare", name: "Purple E-Tech Torgue AR" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/vla/balance/balance_ar_vla_etech_rare", name: "Blue E-Tech Vladof AR" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/vla/balance/balance_ar_vla_etech_veryrare", name: "Purple E-Tech Vladof AR" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/cov/balance/balance_hw_cov_etech_rare", name: "Blue E-Tech COV Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/cov/balance/balance_hw_cov_etech_veryrare", name: "Purple E-Tech COV Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/tor/balance/balance_hw_tor_etech_rare", name: "Blue E-Tech Torgue Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/tor/balance/balance_hw_tor_etech_veryrare", name: "Purple E-Tech Torgue Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/vla/balance/balance_hw_vla_etech_rare", name: "Blue E-Tech Vladof Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/vla/balance/balance_hw_vla_etech_veryrare", name: "Purple E-Tech Vladof Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/cov/balance/balance_ps_cov_etech_rare", name: "Blue E-Tech COV Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/cov/balance/balance_ps_cov_etech_veryrare", name: "Purple E-Tech COV Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/dahl/balance/balance_dal_ps_etech_rare", name: "Blue E-Tech Dahl Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/dahl/balance/balance_dal_ps_etech_veryrare", name: "Purple E-Tech Dahl Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/mal/balance/balance_ps_mal_etech_rare", name: "Blue E-Tech Maliwan Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/mal/balance/balance_ps_mal_etech_veryrare", name: "Purple E-Tech Maliwan Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/ted/balance/balance_ps_tediore_etech_rare", name: "Blue E-Tech Tediore Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/ted/balance/balance_ps_tediore_etech_veryrare", name: "Purple E-Tech Tediore Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/tor/balance/balance_ps_tor_etech_rare", name: "Blue E-Tech Torgue Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/tor/balance/balance_ps_tor_etech_veryrare", name: "Purple E-Tech Torgue Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/vladof/balance/balance_ps_vla_etech_rare", name: "Blue E-Tech Vladof Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/vladof/balance/balance_ps_vla_etech_veryrare", name: "Purple E-Tech Vladof Pistol" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/hyperion/balance/balance_sg_hyp_etech_rare", name: "Blue E-Tech Hyperion Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/hyperion/balance/balance_sg_hyp_etech_veryrare", name: "Purple E-Tech Hyperion Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/maliwan/balance/balance_sg_mal_etech_rare", name: "Blue E-Tech Maliwan Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/maliwan/balance/balance_sg_mal_etech_veryrare", name: "Purple E-Tech Maliwan Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/tediore/balance/balance_sg_ted_etech_rare", name: "Blue E-Tech Tediore Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/tediore/balance/balance_sg_ted_etech_veryrare", name: "Purple E-Tech Tediore Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/torgue/balance/balance_sg_torgue_etech_rare", name: "Blue E-Tech Torgue Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/torgue/balance/balance_sg_torgue_etech_veryrare", name: "Purple E-Tech Torgue Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/dahl/balance/balance_sm_dal_etech_rare", name: "Blue E-Tech Dahl SMG" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/dahl/balance/balance_sm_dal_etech_veryrare", name: "Purple E-Tech Dahl SMG" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/hyperion/balance/balance_sm_hyp_etech_rare", name: "Blue E-Tech Hyperion SMG" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/hyperion/balance/balance_sm_hyp_etech_veryrare", name: "Purple E-Tech Hyperion SMG" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/maliwan/balance/balance_sm_mal_etech_rare", name: "Blue E-Tech Maliwan SMG" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/maliwan/balance/balance_sm_mal_etech_veryrare", name: "Purple E-Tech Maliwan SMG" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/tediore/balance/balance_sm_ted_etech_rare", name: "Blue E-Tech Tediore SMG" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/tediore/balance/balance_sm_ted_etech_veryrare", name: "Purple E-Tech Tediore SMG" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/dahl/balance/balance_sr_dal_etech_rare", name: "Blue E-Tech Dahl Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/dahl/balance/balance_sr_dal_etech_veryrare", name: "Purple E-Tech Dahl Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/hyperion/balance/balance_sr_hyp_etech_rare", name: "Blue E-Tech Hyperion Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/hyperion/balance/balance_sr_hyp_etech_veryrare", name: "Purple E-Tech Hyperion Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/maliwan/balance/balance_sr_mal_etech_rare", name: "Blue E-Tech Maliwan Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/maliwan/balance/balance_sr_mal_etech_veryrare", name: "Purple E-Tech Maliwan Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/vladof/balance/balance_sr_vla_etech_rare", name: "Blue E-Tech Vladof Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/vladof/balance/balance_sr_vla_etech_veryrare", name: "Purple E-Tech Vladof Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/zero/zeroforplayer/balance_sr_hyp_zeroforplayer", name: "Null Pointer" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/_unique/carrier/balance/balance_atl_ar_carrier", name: "Carrier" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/_unique/portal/balance/balance_atl_ar_portals", name: "Portals and Shite" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/_unique/rebellyell/balance/balance_atl_ar_rebelyell", name: "Rebel Yell" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/balance/balance_atl_ar_01_common", name: "White Atlas AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/balance/balance_atl_ar_02_uncommon", name: "Green Atlas AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/balance/balance_atl_ar_03_rare", name: "Blue Atlas AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/balance/balance_atl_ar_04_veryrare", name: "Purple Atlas AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/_unique/kriegar/balance/balance_ar_cov_kriegar", name: "Pain is Power / Embrace the Pain" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/_unique/sawbar/balance/balance_ar_cov_sawbar", name: "Sawbar" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/balancestate/balance_ar_cov_01_common", name: "White COV AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/balancestate/balance_ar_cov_02_uncommon", name: "Green COV AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/balancestate/balance_ar_cov_03_rare", name: "Blue COV AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/balancestate/balance_ar_cov_04_veryrare", name: "Purple COV AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/barrage/balance/balance_dal_ar_barrage", name: "Barrage" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/botd/balance/balance_dal_ar_botd", name: "Breath of the Dying" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/earworm/balance/balance_dal_ar_earworm", name: "Earworm" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/hail/balance/balance_dal_ar_hail", name: "Hail" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/kaos/balance/balance_dal_ar_kaos", name: "Kaos" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/starhelix/balance/balance_dal_ar_starhelix", name: "Star Helix" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/warlord/balance/balance_dal_ar_warlord", name: "Warlord" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/balancestate/balance_dal_ar_01_common", name: "White Dahl AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/balancestate/balance_dal_ar_02_uncommon", name: "Green Dahl AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/balancestate/balance_dal_ar_03_rare", name: "Blue Dahl AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/balancestate/balance_dal_ar_04_veryrare", name: "Purple Dahl AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/bekah/balance/balance_ar_jak_bekah", name: "Bekah" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/gatlinggun/balance/balance_ar_jak_04_gatlinggun", name: "Gatling Gun" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/handofglory/balance/balance_ar_jak_handofglory", name: "Hand of Glory" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/leadsprinkler/balance/balance_ar_jak_leadsprinkler", name: "Lead Sprinkler" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/pasrifle/balance/balance_ar_jak_pasrifle", name: "Pa's Rifle" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/rowanscall/balance/balance_ar_jak_rowanscall", name: "Rowan's Call" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/traitorsdeath/balance/balance_ar_jak_traitorsdeath", name: "Traitor's Death" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/balance/balance_ar_jak_01_common", name: "White Jakobs AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/balance/balance_ar_jak_02_uncommon", name: "Green Jakobs AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/balance/balance_ar_jak_03_rare", name: "Blue Jakobs AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/balance/balance_ar_jak_04_veryrare", name: "Purple Jakobs AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/alchemist/balance/balance_ar_tor_alchemist", name: "Alchemist" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/ambermanagement/balance/balance_ar_tor_ambermanagement", name: "Amber Management" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/bearcat/balance/balance_ar_tor_bearcat", name: "Bearcat" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/lasersploder/balance/balance_ar_tor_lasersploder", name: "Laser-Sploder" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/trybolt/balance/balance_ar_tor_trybolt", name: "Try-Bolt" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/balance/balance_ar_tor_01_common", name: "White Torgue AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/balance/balance_ar_tor_02_uncommon", name: "Green Torgue AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/balance/balance_ar_tor_03_rare", name: "Blue Torgue AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/balance/balance_ar_tor_04_veryrare", name: "Purple Torgue AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/bigsucc/balance_ar_vla_bigsucc", name: "The Big Succ" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/damn/balance/balance_ar_vla_damn", name: "Damned" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/dictator/balance/balance_ar_vla_dictator", name: "The Dictator" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/faisor/balance/balance_ar_vla_faisor", name: "Faisor" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/lucianscall/balance/balance_ar_vla_lucianscall", name: "Lucian's Call" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/ogre/balance/balance_ar_vla_ogre", name: "Ogre" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/shredifier/balance/balance_ar_vla_sherdifier", name: "Super Shredifier" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/sickle/balance/balance_ar_vla_sickle", name: "Boom Sickle / Sickle" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/balancestate/balance_ar_vla_01_common", name: "White Vladof AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/balancestate/balance_ar_vla_02_uncommon", name: "Green Vladof AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/balancestate/balance_ar_vla_03_rare", name: "Blue Vladof AR" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/balancestate/balance_ar_vla_04_veryrare", name: "Purple Vladof AR" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/_unique/freeman/balance/balance_hw_atl_freeman", name: "Freeman" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/_unique/rubyswrath/balance/balance_hw_atl_rubyswrath", name: "Ruby's Wrath" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/balancestate/balance_hw_atl_01_common", name: "White Atlas Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/balancestate/balance_hw_atl_02_uncommon", name: "Green Atlas Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/balancestate/balance_hw_atl_03_rare", name: "Blue Atlas Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/balancestate/balance_hw_atl_04_veryrare", name: "Purple Atlas Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/_unique/hotdrop/balance/balance_hw_cov_hotdrop", name: "Hot Drop" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/_unique/portapooper/balance/balance_hw_cov_portapooper", name: "Porta-Pooper 5000" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/_unique/terror/balance/balance_hw_cov_terror", name: "Agonizer 1500" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/balance/balance_hw_cov_01_common", name: "White COV Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/balance/balance_hw_cov_02_uncommon", name: "Green COV Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/balance/balance_hw_cov_03_rare", name: "Blue COV Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/balance/balance_hw_cov_04_veryrare", name: "Purple COV Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/eridian/_shared/_design/balance/balance_eridian_fabricator", name: "Eridian Fabricator" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/burgercannon/balance/balance_hw_tor_burgercannon", name: "Gettleburger" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/hive/balance/balance_hw_tor_hive", name: "Hive" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/rampager/balance/balance_hw_tor_rampager", name: "Quadomizer" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/ryno/balance/balance_hw_tor_ryno", name: "R.Y.N.A.H." },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/swarm/balance/balance_hw_tor_swarm", name: "Scourge" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/tunguska/balance/balance_hw_tor_tunguska", name: "Tunguska" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/balance/balance_hw_tor_01_common", name: "White Torgue Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/balance/balance_hw_tor_02_uncommon", name: "Green Torgue Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/balance/balance_hw_tor_03_rare", name: "Blue Torgue Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/balance/balance_hw_tor_04_veryrare", name: "Purple Torgue Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/_unique/cloudburst/balance/balance_hw_vla_cloudburst", name: "Jericho" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/_unique/mongol/balance/balance_hw_vla_mongol", name: "Mongol" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/balance/balance_hw_vla_01_common", name: "White Vladof Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/balance/balance_hw_vla_02_uncommon", name: "Green Vladof Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/balance/balance_hw_vla_03_rare", name: "Blue Vladof Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/balance/balance_hw_vla_04_veryrare", name: "Purple Vladof Heavy Weapon" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/_unique/drill/balance/balance_ps_atl_drill", name: "Linc" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/_unique/warmonger/balance/balance_ps_atl_warmonger", name: "Peacemonger" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/balance/balance_ps_atl_01_common", name: "White Atlas Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/balance/balance_ps_atl_02_uncommon", name: "Green Atlas Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/balance/balance_ps_atl_03_rare", name: "Blue Atlas Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/balance/balance_ps_atl_04_veryrare", name: "Purple Atlas Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/chad/balance/balance_ps_cov_chad", name: "Extreme Hangin' Chadd" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/contagion/balance/balance_ps_cov_contagion", name: "Pestilence" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/legion/balance/balance_ps_cov_legion", name: "Linoge" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/mouthpiece/balance/balance_ps_cov_mouthpiece", name: "The Killing Word" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/psychostabber/balance/balance_ps_cov_psychostabber", name: "Psycho Stabber" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/skeksis/balance/balance_ps_cov_skeksis", name: "SkekSil" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/balance/balance_ps_cov_01_common", name: "White COV Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/balance/balance_ps_cov_02_uncommon", name: "Green COV Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/balance/balance_ps_cov_03_rare", name: "Blue COV Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/balance/balance_ps_cov_04_veryrare", name: "Purple COV Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/aaa/balance/balance_dal_ps_aaa", name: "AAA" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/hornet/balance/balance_dal_ps_hornet", name: "Hornet" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/nemesis/balance/balance_dal_ps_nemesis", name: "Nemesis" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/omniloader/balance/balance_dal_ps_omniloader", name: "Omniloader" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/rakkman/balance/balance_dal_ps_rakkman", name: "Night Flyer" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_01_common", name: "White Dahl Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_01_firstguna", name: "White Dahl Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_01_firstgunb", name: "White Dahl Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_02_uncommon", name: "Green Dahl Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_03_rare", name: "Blue Dahl Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_04_veryrare", name: "Purple Dahl Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/amazinggrace/balance/balance_ps_jak_amazinggrace", name: "Amazing Grace" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/buttplug/balance/balance_ps_jak_buttplug", name: "Buttplug" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/doc/balance/balance_ps_jak_doc", name: "The Flood" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/godmother/balance/balance_ps_jak_godmother", name: "King's Call / Queen's Call" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/maggie/balance/balance_ps_jak_maggie", name: "Maggie" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/malevolent/balance/balance_ps_jak_malevolent", name: "Dead Chamber" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/melscompanion/balance/balance_ps_jak_melscompanion", name: "The Companion" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/spyrevolver/balance_ps_jak_spyrevolver", name: "Rogue-Sight" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/theduc/balance/balance_ps_jak_theduc", name: "The Duc" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/unforgiven/balance/balance_ps_jak_unforgiven", name: "Unforgiven" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/wagonwheel/balance/balance_ps_jak_wagonwheel", name: "Wagon Wheel" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/balance_ps_jak_01_common", name: "White Jakobs Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/balance_ps_jak_02_uncommon", name: "Green Jakobs Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/balance_ps_jak_03_rare", name: "Blue Jakobs Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/balance_ps_jak_04_veryrare", name: "Purple Jakobs Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/hellshock/balance/balance_ps_mal_hellshock", name: "Hellshock" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/hyperhydrator/balance/balance_ps_mal_hyperhydrator", name: "Hyper-Hydrator" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/plumber/balance/balance_ps_mal_plumber", name: "Superball" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/starkiller/balance/balance_ps_mal_starkiller", name: "Starkiller" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/suckerpunch/balance/balance_ps_mal_suckerpunch", name: "Sellout" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/thunderballfist/balance/balance_ps_mal_thunderballfists", name: "Thunderball Fists" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/balancestate/balance_ps_mal_01_common", name: "White Maliwan Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/balancestate/balance_ps_mal_02_uncommon", name: "Green Maliwan Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/balancestate/balance_ps_mal_03_rare", name: "Blue Maliwan Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/balancestate/balance_ps_mal_04_veryrare", name: "Purple Maliwan Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/_bangarang/balance/balance_ps_ted_bangerang", name: "Bangarang" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/babymaker/balance/balance_ps_tediore_babymaker", name: "Baby Maker ++" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/babymaker/balance/salvage/balance_ps_tediore_babymaker_salvage", name: "Baby Maker (fixed part)" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/gunerang/balance/balance_ps_ted_gunerang", name: "Gunerang" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/sabre/balance/balance_ps_tediore_sabre", name: "Scorpio" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/balancestate/balance_ps_tediore_01_common", name: "White Tediore Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/balancestate/balance_ps_tediore_02_uncommon", name: "Green Tediore Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/balancestate/balance_ps_tediore_03_rare", name: "Blue Tediore Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/balancestate/balance_ps_tediore_04_veryrare", name: "Purple Tediore Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/devestator/balance/balance_ps_tor_devestator", name: "Devastator" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/echo/balance/balance_ps_tor_echo", name: "Echo / Breeder" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/foursum/balance/balance_ps_tor_4sum", name: "Devils Foursum" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/heckelandhyde/heckle/balance/balance_ps_tor_heckle", name: "Heckle" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/heckelandhyde/hyde/balance/balance_ps_tor_hyde", name: "Hyde" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/nurf/balance/balance_ps_tor_nurf", name: "Girth Blaster Elite" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/roisensthorns/balance/balance_ps_tor_roisensthorns", name: "Roisen's Thorns" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/troy/balance/balance_ps_tor_troy", name: "Occultist" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/balance/balance_ps_tor_01_common", name: "White Torgue Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/balance/balance_ps_tor_02_uncommon", name: "Green Torgue Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/balance/balance_ps_tor_03_rare", name: "Blue Torgue Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/balance/balance_ps_tor_04_veryrare", name: "Purple Torgue Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/boneshredder/balance/balance_ps_vla_boneshredder", name: "Bone Shredder" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/infiniti/balance/balance_ps_vla_infiniti", name: "Infinity" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/magnificent/balance/balance_ps_vla_magnificent", name: "Magnificent" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/theleech/balance/balance_ps_vla_theleech", name: "The Leech" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/balancestate/balance_ps_vla_01_common", name: "White Vladof Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/balancestate/balance_ps_vla_02_uncommon", name: "Green Vladof Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/balancestate/balance_ps_vla_03_rare", name: "Blue Vladof Pistol" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/balancestate/balance_ps_vla_04_veryrare", name: "Purple Vladof Pistol" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/brick/balance/balance_sg_hyp_brick", name: "Face-puncher" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/conferencecall/balance/balance_sg_hyp_conferencecall", name: "Conference Call" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/phebert/balance/balance_sg_hyp_phebert", name: "Phebert" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/redistributor/balance/balance_sg_hyp_redistributor", name: "Brainstormer" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/thebutcher/balance/balance_sg_hyp_thebutcher", name: "The Butcher" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/balancestates/balance_sg_hyp_01_common", name: "White Hyperion Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/balancestates/balance_sg_hyp_02_uncommon", name: "Green Hyperion Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/balancestates/balance_sg_hyp_03_rare", name: "Blue Hyperion Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/balancestates/balance_sg_hyp_04_veryrare", name: "Purple Hyperion Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/garcia/balance/balance_sg_jak_garcia", name: "The Garcia" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/hellwalker/balance/balance_sg_jak_hellwalker", name: "Hellwalker" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/nimblejack/balance/balance_sg_jak_nimble", name: "Nimble Jack" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/onepunch/balance/balance_sg_jak_onepunch", name: "One Pump Chump" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/sledge/balance/balance_sg_jak_lgd_sledge", name: "Sledge's Shotgun / Sledge's Super Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/fingerbiter/balance/balance_sg_jak_fingerbiter", name: "Fingerbiter" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/thewave/balance/balance_sg_jak_unique_wave", name: "T.K.'s Wave + variants" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/balancestate/balance_sg_jak_01_common", name: "White Jakobs Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/balancestate/balance_sg_jak_02_uncommon", name: "Green Jakobs Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/balancestate/balance_sg_jak_03_rare", name: "Blue Jakobs Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/balancestate/balance_sg_jak_04_veryrare", name: "Purple Jakobs Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/mouthpiece2/balance/balance_sg_mal_mouthpiece2", name: "Mind-Killer" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/recursion/balance/balance_sg_mal_recursion", name: "Projectile Recursion" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/shriek/balance/balance_sg_mal_shriek", name: "Shrieking Devil" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/trev/balance/balance_sg_mal_trev", name: "Trevonator" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/wisp/balance/balance_sg_mal_wisp", name: "Kill-o'-the-Wisp" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/balancestate/balance_sg_mal_01_common", name: "White Maliwan Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/balancestate/balance_sg_mal_02_uncommon", name: "Green Maliwan Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/balancestate/balance_sg_mal_03_rare", name: "Blue Maliwan Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/balancestate/balance_sg_mal_04_veryrare", name: "Purple Maliwan Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/friendzone/balance/balance_sg_ted_friendzone", name: "Manic Pixie Dream Gun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/horizon/balance/balance_sg_ted_horizon", name: "The Horizon" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/polybius/balance/balance_sg_ted_polybius", name: "Polybius" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/sludge/balance/balance_sg_ted_sludge", name: "Creeping Death" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/balance/balance_sg_ted_01_common", name: "White Tediore Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/balance/balance_sg_ted_02_uncommon", name: "Green Tediore Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/balance/balance_sg_ted_03_rare", name: "Blue Tediore Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/balance/balance_sg_ted_04_veryrare", name: "Purple Tediore Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/balrog/balance/balance_sg_torgue_balrog", name: "Chomper" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/brew/balance/balance_sg_tor_brewha", name: "Black Flame" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/flakker/balance/balance_sg_torgue_flakker", name: "Flakker" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/redliner/balance/balance_sg_torgue_redline", name: "Redline" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/theboringgun/balance/balance_sg_tor_boring", name: "The Boring Gun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/thelob/balance/balance_sg_torgue_etech_thelob", name: "The Lob" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/thumper/balance/balance_sg_torgue_thumper", name: "Thumper" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/balancestate/balance_sg_torgue_01_common", name: "White Torgue Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/balancestate/balance_sg_torgue_02_uncommon", name: "Green Torgue Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/balancestate/balance_sg_torgue_03_rare", name: "Blue Torgue Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/balancestate/balance_sg_torgue_04_veryrare", name: "Purple Torgue Shotgun" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/demoskag/balance/balance_sm_dal_demoskag", name: "Night Hawkin" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/hellfire/balance/balance_sm_dahl_hellfire", name: "Hellfire" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/ninevolt/balance/balance_sm_dahl_ninevolt", name: "9-Volt" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/ripper/balance/balance_sm_dal_ripper", name: "Ripper" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/sleepinggiant/balance/balance_sm_dal_sleepinggiant", name: "Sleeping Giant" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/vanquisher/balance/balance_sm_dahl_vanquisher", name: "Vanquisher" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/balance_sm_dahl_01_common", name: "White Dahl SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/balance_sm_dahl_01_common_no_elemental", name: "White Dahl SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/balance_sm_dahl_02_uncommon", name: "Green Dahl SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/balance_sm_dahl_03_rare", name: "Blue Dahl SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/balance_sm_dahl_04_veryrare", name: "Purple Dahl SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/bitch/balance/balance_sm_hyp_bitch", name: "Bitch" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/crossroad/balance/balance_sm_hyp_crossroad", name: "Crossroad" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/fork/balance/balance_sm_hyp_fork", name: "Redistributor (mission reward)" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/handsome/balance/balance_sm_hyp_handsome", name: "Handsome Jackhammer" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/l0v3m4ch1n3/balance/balance_sm_hyp_l0v3m4ch1n3", name: "L0V3M4CH1N3" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/predatorylending/balance/balance_sm_hyp_predatorylending", name: "Predatory Lending" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/xz/balance/balance_sm_hyp_xz", name: "XZ41" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/balancestate/balance_sm_hyp_01_common", name: "White Hyperion SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/balancestate/balance_sm_hyp_02_uncommon", name: "Green Hyperion SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/balancestate/balance_sm_hyp_03_rare", name: "Blue Hyperion SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/balancestate/balance_sm_hyp_04_veryrare", name: "Purple Hyperion SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/cloudkill/balance/balance_sm_mal_cloudkill", name: "Cloud Kill" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/crit/balance/balance_sm_mal_crit", name: "Crit" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/cutsman/balance/balance_sm_mal_cutsman", name: "Cutsman" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/destructospin/balance/balance_sm_mal_destructospin", name: "Destructo Spinner" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/devoted/balance/balance_sm_mal_devoted", name: "Devoted" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/e3/balance_sm_mal_e3", name: "Vault Hero" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/egon/balance/balance_sm_mal_egon", name: "E-Gone" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/emporer/balance/balance_sm_mal_emporer", name: "The Emperor's Condiment" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/kevins/balance/balance_sm_mal_kevins", name: "Kevin's Chilly" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/tsunami/balance/balance_sm_mal_tsunami", name: "Tsunami" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/vibrapulse/balance/balance_sm_mal_vibrapulse", name: "Miss Moxxi's Vibra-Pulse" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/westergun/balance/balance_sm_mal_westergun", name: "Westergun" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/balancestate/balance_sm_mal_01_common", name: "White Maliwan SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/balancestate/balance_sm_mal_02_uncommon", name: "Green Maliwan SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/balancestate/balance_sm_mal_03_rare", name: "Blue Maliwan SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/balancestate/balance_sm_mal_04_veryrare", name: "Purple Maliwan SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/beans/balance/balance_sm_ted_beans", name: "The Boo" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/notaflamethrower/balance/balance_sm_ted_notaflamethrower", name: "Long Musket" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/spidermind/balance/balance_sm_ted_spidermind", name: "Smart-Gun" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/tengallon/balance/balance_sm_ted_tengallon", name: "Ten Gallon" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/balance/balance_sm_ted_01_common", name: "White Tediore SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/balance/balance_sm_ted_02_uncommon", name: "Green Tediore SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/balance/balance_sm_ted_03_rare", name: "Blue Tediore SMG" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/balance/balance_sm_ted_04_veryrare", name: "Purple Tediore SMG" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/_unique/brashisdedication/balance/balance_sr_dal_brashisdedication", name: "Brashi's Dedication" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/_unique/malaksbane/balance/balance_sr_dal_etech_malaksbane", name: "Malak's Bane" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/_unique/worlddestroyer/balance/balance_sr_dal_worlddestroyer", name: "Kenulox" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/balance/balance_sr_dal_01_common", name: "White Dahl Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/balance/balance_sr_dal_02_uncommon", name: "Green Dahl Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/balance/balance_sr_dal_03_rare", name: "Blue Dahl Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/balance/balance_sr_dal_04_veryrare", name: "Purple Dahl Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/_unique/masterworkcrossbow/balance/balance_sr_hyp_masterwork", name: "Masterwork Crossbow" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/_unique/twotime/balance/balance_sr_hyp_twotime", name: "THE TWO TIME" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/_unique/woodblocks/balance/balance_sr_hyp_woodblocks", name: "Woodblocker" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/balance/balance_sr_hyp_01_common", name: "White Hyperion Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/balance/balance_sr_hyp_02_uncommon", name: "Green Hyperion Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/balance/balance_sr_hyp_03_rare", name: "Blue Hyperion Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/balance/balance_sr_hyp_04_veryrare", name: "Purple Hyperion Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/headsplosion/balance/balance_sr_jak_headsplosion", name: "Headsplosion" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/icequeen/balance/balance_sr_jak_icequeen", name: "The Ice Queen" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/monocle/balance/balance_sr_jak_monocle", name: "Monocle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/thehunter/balance/balance_sr_jak_hunter", name: "The Hunt(er)" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/thehunter/hunted/balance/balance_sr_jak_hunted", name: "The Hunt(ed)" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/thehunter/huntress/balance/balance_sr_jak_huntress", name: "The Hunt(ress)" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/balance/balance_sr_jak_01_common", name: "White Jakobs Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/balance/balance_sr_jak_02_uncommon", name: "Green Jakobs Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/balance/balance_sr_jak_03_rare", name: "Blue Jakobs Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/balance/balance_sr_jak_04_veryrare", name: "Purple Jakobs Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/asmd/balance/balance_mal_sr_asmd", name: "ASMD" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/krakatoa/balance/balance_mal_sr_krakatoa", name: "Krakatoa" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/soleki/balance/balance_mal_sr_soleki", name: "Soleki Protocol" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/storm/balance/balance_mal_sr_lgd_storm", name: "Storm / Firestorm" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/balance/balance_mal_sr_01_common", name: "White Maliwan Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/balance/balance_mal_sr_02_uncommon", name: "Green Maliwan Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/balance/balance_mal_sr_03_rare", name: "Blue Maliwan Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/balance/balance_mal_sr_04_veryrare", name: "Purple Maliwan Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/_unique/lyuda/balance/balance_vla_sr_lyuda", name: "Lyuda" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/_unique/prison/balance/balance_vla_sr_prison", name: "Cold Shoulder" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/balance/balance_vla_sr_01_common", name: "White Vladof Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/balance/balance_vla_sr_02_uncommon", name: "Green Vladof Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/balance/balance_vla_sr_03_rare", name: "Blue Vladof Sniper Rifle" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/balance/balance_vla_sr_04_veryrare", name: "Purple Vladof Sniper Rifle" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/classmods/_design/bsm/invbald_cm_beastmaster_alisma", name: "Beastmaster Peregrine Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/classmods/_design/gun/invbald_cm_gunner_alisma", name: "Gunner Flare Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/classmods/_design/ope/invbald_cm_operative_alisma", name: "Operative Hustler Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/classmods/_design/srn/invbald_cm_siren_alisma", name: "Siren Muse Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/faultystar/balance/invbald_shield_legendary_faultystar", name: "Faulty Star" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/faultystar/balance/invbald_shield_legendary_faultystar_epic", name: "Guilty Spark" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/plusultra/balance/invbald_shield_legendary_plusultra", name: "Plus Ultra" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/plusultra/balance/invbald_shield_legendary_plusultra_epic", name: "Limit Break" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/ashenbeast/balance/balance_sm_dal_etech_ashenbeast", name: "Blood-Starved Beast" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/ashenbeast/balance/balance_sm_dal_etech_ashenbeast_epic", name: "Ashen Beast" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/banditlauncher/balance/balance_hw_cov_banditlauncher", name: "Major Kong" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/banditlauncher/balance/balance_hw_cov_banditlauncher_epic", name: "Minor Kong" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/blindbandit/balance/balance_sg_mal_blindbandit", name: "Blind Sage" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/blindbandit/balance/balance_sg_mal_blindbandit_epic", name: "Blind Bandit" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/convergence/balance/balance_sg_hyp_convergence", name: "Convergence" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/convergence/balance/balance_sg_hyp_convergence_epic", name: "Reunion" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/lovablerogue/balance/balance_ar_tor_lovablerogue", name: "Lovable Rogue" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/lovablerogue/balance/balance_ar_tor_lovablerogue_epic", name: "Likable Rascal" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/pat_mk3/balance/balance_sm_ted_patmk3", name: "P.A.T. Mk. III" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/pat_mk3/balance/balance_sm_ted_patmk3_epic", name: "P.A.T. Mk. II" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/pat_mk3/balance/balance_sm_ted_patmk3_parent", name: "P.A.T. Mk. I" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/sawhorse/balance/balance_ar_cov_sawhorse", name: "Rebound" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/sawhorse/balance/balance_ar_cov_sawhorse_epic", name: "Sawpenny" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/septimator/balance/balance_vla_sr_septimator", name: "Septimator Prime" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/septimator/balance/balance_vla_sr_septimator_epic", name: "Septimator" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/voice/balance/balance_ps_tor_voice", name: "Prompt Critical" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/voice/balance/balance_ps_tor_voice_epic", name: "Critical Mass" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/grenademods/_design/_unique/fontofdarkness/balance/invbald_gm_tor_fontofdarkness", name: "Ghast Call" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/shields/_design/_unique/screamofpain/balance/invbald_shield_screamofterror", name: "Scream of Terror" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/weapons/shotguns/hyperion/_shared/_design/_unique/fearmonger/balance/balance_sg_hyp_etech_fearmonger", name: "Fearmonger" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/weapons/sniperrifles/dahl/_design/_unique/frostbolt/balance/balance_sr_dal_etech_frostbolt", name: "Stalker" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/cm/_d/partsets/_u/bsm/invbald_cm_beastmaster_dlc1", name: "Beastmaster St4ckbot Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/cm/_d/partsets/_u/gun/invbald_cm_gunner_dlc1", name: "Gunner Green Monster Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/cm/_d/partsets/_u/ope/invbald_cm_operative_dlc1", name: "Operative Seein' Dead Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/cm/_d/partsets/_u/srn/invbald_cm_siren_dlc1", name: "Siren Golden Rule Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/grenade/acidburn/balance/invbald_gm_acidburn", name: "Acid Burn" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/grenade/slider/balance/invbald_gm_ted_slider", name: "Slider" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/clover/balance/invbald_shield_clover", name: "All-in" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/doubledowner/balance/invbald_shield_doubledowner", name: "Double Downer" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/ember/balance/invbald_shield_ember", name: "Ember's Blaze" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/rico/balance/invbald_shield_rico", name: "Rico" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/autoaime/balance/balance_sr_dal_autoaime", name: "AutoAimè" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/boomer/balance/balance_sm_dal_boomer", name: "Boomer" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/cheaptips/balance/balance_sm_hyp_cheaptips", name: "Cheap Tips" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/craps/balance/balance_ps_tor_craps", name: "Craps" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/creamer/balance/balance_hw_tor_creamer", name: "Creamer" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/digby/balance/balance_dal_ar_digby", name: "Digby's Smooth Tube" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/emberspurge/balance/balance_sm_mal_emberspurge", name: "Ember's Purge" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/heartbreaker/balance/balance_sg_hyp_heartbreaker", name: "Heart Breaker" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/ioncannon/balance/balance_hw_vla_ioncannon", name: "ION CANNON" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/ionlaser/balance/balance_sm_mal_ionlaser", name: "ION LASER" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/justcaustic/balance/balance_sm_hyp_justcaustic", name: "Just Kaus" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/lucky7/balance/balance_ps_jak_lucky7", name: "Lucky 7" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/meltfacer/balance/balance_sg_hyp_meltfacer", name: "Melt Facer" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/nukem/balance/balance_hw_tor_nukem", name: "Nukem" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/robomasher/balance/balance_ps_jak_robomasher", name: "Robo-Melter" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/scoville/balance/balance_ps_tor_scoville", name: "Scoville" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/slowhand/balance/balance_sg_hyp_slowhand", name: "Slow Hand" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/trash/balance/balance_ar_cov_trash", name: "Brad Luck" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/varlope/balance/balance_ar_tor_varlope", name: "La Varlope" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/grenademods/fishslap/balance/invbald_gm_fishslap", name: "Fish Slap" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/shield/_unique/firewall/balance/invbald_shield_legendary_firewall", name: "Firewall" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/shield/_unique/meat/balance/invbald_shield_legendary_meat", name: "M.E.A.T. Shield" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/shield/_unique/wattson/balance/invbald_shield_legendary_wattson", name: "Wattson" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/greasetrap/balance/balance_ps_mal_greasetrap", name: "Grease Trap" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/iceburger/balance/balance_sg_hyp_iceburger", name: "Iceburger" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/icepick/balance/balance_ps_mal_icepick", name: "Ice Pick" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/needlegun/balance/balance_sm_ted_needlegun", name: "Needle Gun" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/opq/balance/balance_atl_ar_opq", name: "O.P.Q. System" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/pewpew/balance/balance_ar_cov_pewpew", name: "NoPewPew" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/pricker/balance/balance_sm_hyp_pricker", name: "Pricker" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/yellowcake/balance/balance_hw_cov_etech_yellowcake", name: "Yellowcake" },
    GameDataKv { ident: "/game/patchdlc/eventvday/gear/weapon/_unique/polyaim/balance/balance_sm_mal_polyaim", name: "Terminal Polyaimorous" },
    GameDataKv { ident: "/game/patchdlc/eventvday/gear/weapon/_unique/twitchprime/balance/balance_sg_ted_twitch", name: "Superstreamer" },
    GameDataKv { ident: "/game/patchdlc/eventvday/gear/weapon/_unique/weddinginvitation/balance/balance_sr_jak_weddinginvite", name: "Wedding Invitation" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/artifacts/_design/_unique/vengeance/balance/invbald_artifact_vengeance", name: "Vendetta Purple Artifact" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/grenade/coreburst/balance/invbald_gm_coreburst", name: "Core Buster" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/grenade/skagoil/balance/invbald_gm_skagoil", name: "Doc Hina's Miracle Bomb" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/antler/balance/balance_sg_mal_etech_antler", name: "Chandelier" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/biobetsy/balance/balance_ar_cov_biobetsy_rad", name: "The Beast (rad)" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/biobetsy/balance/balance_ar_cov_biobetsy_shock", name: "The Beast (shock)" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/brightside/balance/balance_sg_ted_brightside", name: "Brightside" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/bubbleblaster/balance/balance_ps_mal_bubbleblaster", name: "Bubble Blaster" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/containedexplosion/balance/balance_ar_tor_contained", name: "Contained Blast" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/coolbeans/balance/balance_ar_jak_coolbeans", name: "Icebreaker" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/copybeast/balance/balance_sm_hyp_copybeast", name: "Proprietary License" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/dakota/balance/balance_sg_jak_dakota", name: "Dakota" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/decoupler/balance/balance_ps_mal_decoupler", name: "Beacon" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/dowsingrod/balance/balance_ar_vla_dowsing", name: "Dowsing Rod" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/earthbound/balance/balance_sm_ted_earthbound", name: "Mother Too" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/fakobs/balance/balance_sg_jak_fakobs", name: "The Shoddy" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/flipper/balance/balance_sm_mal_flipper", name: "Flipper" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/frequency/balance/balance_sg_mal_frequency", name: "Frequency" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/gargoyle/balance/balance_ps_cov_gargoyle", name: "Gargoyle" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/imaginarynumber/balance/balance_mal_sr_imaginarynumber", name: "Complex Root" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/lasocannon/balance/balance_ps_vla_lasocannon", name: "Light Show" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/mcsmugger/balance/balance_ar_jak_mcsmugger", name: "The Chalice" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/miscreant/balance/balance_ps_vla_miscreant", name: "Miscreant" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/narp/balance/balance_sr_hyp_narp", name: "Narp" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/peashooter/balance/balance_ps_jak_peashooter", name: "Peashooter" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/plumage/balance/balance_hw_atl_plumage", name: "Plumage" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/privateinvestigator/balance/balance_dal_ps_privateinvestigator", name: "The Blanc" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/quickdraw/balance/balance_ps_jak_quickdraw", name: "Quickdraw" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/rose/balance/balance_ps_jak_rose", name: "Bloom" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/satisfaction/balance/balance_hw_tor_satisfaction", name: "Satisfaction" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/sheriff/balance/balance_ps_jak_sheriff", name: "Marshal" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/shoveler/balance/balance_sg_torgue_shoveler", name: "Spade" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/speakeasy/balance/balance_sg_jak_speakeasy", name: "Robin's Call" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/splinter/balance/balance_sg_jak_splinter", name: "Splinter" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/stonethrow/balance/balance_ar_jak_stonethrow", name: "Stonethrower" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/unkemptharold/balance/balance_ps_tor_unkemptharold", name: "Unkempt Harold" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/artifacts/_design/_unique/lunacy/balance/invbald_artifact_lunacy", name: "Lunacy Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/artifacts/_design/_unique/puk/balance/invbald_artifact_puk", name: "Pearl of Ineffable Knowledge Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/classmods/_design/bsm/invbald_cm_beastmaster_hib", name: "Beastmaster Tr4iner Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/classmods/_design/gun/invbald_cm_gunner_hib", name: "Gunner Sapper Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/classmods/_design/ope/invbald_cm_operative_hib", name: "Operative Conductor Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/classmods/_design/srn/invbald_cm_siren_hib", name: "Siren Stone Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/initiative/balance/invbald_shield_initiative", name: "Initiative" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/oldgod/balance/invbald_shield_oldgod", name: "Old God" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/torch/balance/invbald_shield_legendary_torch", name: "Torch" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/voidrift/balance/invbald_shield_lgd_voidrift", name: "Void Rift" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/anarchy/balance/balance_sg_ted_anarchy", name: "Anarchy" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/bitesize/balance/balance_ps_jak_bitesize", name: "Bite Size" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/clairvoyance/balance/balance_ar_jak_clairvoyance", name: "Clairvoyance" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/cockybastard/balance/balance_sr_jak_cockybastard", name: "Cocky Bastard" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/firecracker/balance/balance_sg_hyp_firecracker", name: "Firecracker" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/frozendevil/balance/balance_ps_mal_frozendevil", name: "Frozen Devil" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/homicidal/balance/balance_ar_cov_homicidal", name: "Seeryul Killur" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/hydrafrost/balance/balance_ps_cov_hydrafrost", name: "Hydrafrost" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/insider/balance/balance_sg_mal_etech_insider", name: "Insider" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/kaleidoscope/balance/balance_dal_ps_kaleidoscope", name: "Kaleidoscope" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/littleyeeti/balance/balance_ps_jak_littleyeeti", name: "Little Yeeti" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/lovedrill/balance/balance_ps_jak_lovedrill", name: "Love Drill (mission version)" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/lovedrill/balance/balance_ps_jak_lovedrill_legendary", name: "Love Drill (legendary version)" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/mutant/balance/balance_ar_jak_mutant", name: "Mutant" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/oldridian/balance/balance_sm_hyp_oldridian", name: "Oldridian" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/omen/balance/balance_sg_ted_omen", name: "Flama Diddle" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/sacrificallamb/balance/balance_sg_ted_sacrificiallamb", name: "Sacrificial Lamb" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/seventhsense/balance/balance_ps_jak_seventhsense", name: "Seventh Sense (purple version)" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/seventhsense/balance/balance_ps_jak_ss_l", name: "Seventh Sense (ghost Burton version)" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/sfforce/balance/balance_sm_mal_sfforce", name: "SF Force" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/shocker/balance/balance_sg_torgue_etech_shocker", name: "Shocker" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/skullmasher/balance/balance_sr_jak_skullmasher", name: "Skullmasher" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/soulrender/balance/balance_dal_ar_soulrender", name: "Soulrender" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/sparkyboom/balance/balance_ar_cov_sparkyboom", name: "Stauros' Burn" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/thecure/balance/balance_sg_jak_thecure", name: "The Cure" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/thenothing/balance/balance_sg_mal_thenothing", name: "Nothingness" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/theseventhsense/balance/balance_ps_jak_theseventhsense", name: "Seventh Sense (legendary version)" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/theseventhsense/balance/balance_ps_jak_theseventhsense_missionweapon", name: "Seventh Sense (mission version)" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/unseenthreat/balance/balance_sr_jak_unseenthreat", name: "Unseen Threat" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/deathrattle/balance/invbald_artifact_deathrattle", name: "Deathrattle Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/holygrail/balance/invbald_artifact_holygrail", name: "Holy Grail Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/mysteriousamulet/balance/invbald_artifact_mysteriousamulet", name: "Mysterious Amulet Purple Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/toboggan/balance/invbald_artifact_toboggan", name: "Toboggan Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/bsm/l01/invbald_cm_ixora_bsm_l01", name: "Beastmaster Cmdl3t Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/bsm/partsets/invbald_cm_ixora_bsm_01_common", name: "Beastmaster (Designer's Cut) White COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/bsm/partsets/invbald_cm_ixora_bsm_02_uncommon", name: "Beastmaster (Designer's Cut) Green COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/bsm/partsets/invbald_cm_ixora_bsm_03_rare", name: "Beastmaster (Designer's Cut) Blue COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/bsm/partsets/invbald_cm_ixora_bsm_04_veryrare", name: "Beastmaster (Designer's Cut) Purple COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/gun/l01/invbald_cm_ixora_gun_l01", name: "Gunner Eternal Flame Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/gun/partsets/invbald_cm_ixora_gun_01_common", name: "Gunner (Designer's Cut) White COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/gun/partsets/invbald_cm_ixora_gun_02_uncommon", name: "Gunner (Designer's Cut) Green COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/gun/partsets/invbald_cm_ixora_gun_03_rare", name: "Gunner (Designer's Cut) Blue COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/gun/partsets/invbald_cm_ixora_gun_04_veryrare", name: "Gunner (Designer's Cut) Purple COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/ope/l01/invbald_cm_ixora_ope_l01", name: "Operative Spy Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/ope/partsets/invbald_cm_ixora_ope_01_common", name: "Operative (Designer's Cut) White COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/ope/partsets/invbald_cm_ixora_ope_02_uncommon", name: "Operative (Designer's Cut) Green COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/ope/partsets/invbald_cm_ixora_ope_03_rare", name: "Operative (Designer's Cut) Blue COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/ope/partsets/invbald_cm_ixora_ope_04_veryrare", name: "Operative (Designer's Cut) Purple COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/srn/l01/invbald_cm_ixora_srn_l01", name: "Siren Kensei Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/srn/partsets/invbald_cm_ixora_sir_01_common", name: "Siren (Designer's Cut) White COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/srn/partsets/invbald_cm_ixora_sir_02_uncommon", name: "Siren (Designer's Cut) Green COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/srn/partsets/invbald_cm_ixora_sir_03_rare", name: "Siren (Designer's Cut) Blue COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/srn/partsets/invbald_cm_ixora_sir_04_veryrare", name: "Siren (Designer's Cut) Purple COM" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/grenademods/hotspring/balance/invbald_gm_hotspring", name: "HOT Spring" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/beskar/balance/invbald_shield_beskar", name: "Beskar" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/infernalwish/balance/invbald_shield_infernalwish", name: "Infernal Wish" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/madcap/balance/invbald_shield_lgd_madcap", name: "Madcap" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/ventilator/balance/invbald_shield_ventilator", name: "Gas Mask" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/binaryoperator/balance/balance_mal_sr_binaryoperator", name: "Binary Operator" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/boogeyman/balance/balance_vla_sr_boogeyman", name: "Boogeyman" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/criticalthug/balance/balance_sg_torgue_criticalthug", name: "Critical Thug / Critical Thug x2" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/darkarmy/balance/balance_sm_ted_darkarmy", name: "Dark Army +" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/firefly/balance/balance_ps_vla_firefly", name: "Firefly" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/hotfootteddy/balance/balance_ar_tor_hotfoot", name: "Hotfoot Teddy" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/iceage/balance/balance_hw_tor_iceage", name: "Ice Age" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/kickcharger/balance/balance_hw_vla_etech_kickcharger", name: "Kickcharger" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/plasmacoil/balance/balance_sm_mal_plasmacoil", name: "Superconducting Plasma Coil" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/spiritofmaya/balance/balance_ps_atl_spiritofmaya", name: "Res" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/tizzy/balance/balance_ps_cov_tizzy", name: "Fasterfied Tizzy" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/torrent/balance/balance_sm_dal_torrent", name: "Torrent" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/trickshot/balance/balance_ps_jak_trickshot", name: "Snide Trickshot" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/atlas/balance/invbald_artifact_companyman_atlas", name: "Company Man (Atlas) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/cov/balance/invbald_artifact_companyman_cov", name: "Company Man (CoV) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/dahl/balance/invbald_artifact_companyman_dahl", name: "Company Man (Dahl) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/hyperion/balance/invbald_artifact_companyman_hyperion", name: "Company Man (Hyperion) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/jakobs/balance/invbald_artifact_companyman_jakobs", name: "Company Man (Jakobs) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/maliwan/balance/invbald_artifact_companyman_maliwan", name: "Company Man (Maliwan) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/tediore/balance/invbald_artifact_companyman_tediore", name: "Company Man (Tediore) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/torgue/balance/invbald_artifact_companyman_torgue", name: "Company Man (Torgue) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/vladof/balance/invbald_artifact_companyman_vladof", name: "Company Man (Vladof) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/mysteriousamulet/balance/invbald_artifact_mysteriousamulet", name: "Mysterious Artifact Purple Artifact" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/classmods/_design/bsm/l01/invbald_cm_ixora2_bsm_l01", name: "Beastmaster Roll Reversal Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/classmods/_design/gun/l01/invbald_cm_ixora2_gun_l01", name: "Gunner Primary Heat Exchanger Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/classmods/_design/ope/l01/invbald_cm_ixora2_ope_l01", name: "Operative Critical Mass Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/classmods/_design/srn/l01/invbald_cm_ixora2_srn_l01", name: "Siren Death's Blessings Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/grenademods/_unique/mesmer/balance/invbald_gm_mesmer", name: "Mesmer" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/grenademods/_unique/ringer/balance/invbald_gm_ringer", name: "Ringer / The Big Ringer / Dead Ringer" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/shields/_unique/re-volter/balance/invbald_shield_revolter", name: "Re-Volter" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/deatomizer/balance/balance_ps_mal_deatomizer", name: "Free Radical" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/disruptor/balance/balance_sr_jak_disruptor", name: "Ionic Disruptor" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/redeye/balance/balance_hw_vla_redeye", name: "Redeye Rocket Pod" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/replay/balance/balance_ps_atl_replay", name: "Atlas Replay" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/backburner/balance/balance_hw_vla_etech_backburner", name: "Backburner" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/dna/balance/balance_sm_mal_dna", name: "D.N.A." },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/doubletap/balance/balance_ps_atl_doubletap", name: "Multi-tap" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/kaoson/balance/balance_sm_dahl_kaoson", name: "Kaoson" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/monarch/balance/balance_ar_vla_monarch", name: "The Monarch" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/plague/balance/balance_hw_tor_plague", name: "Plaguebearer" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/reflux/balance/balance_sg_hyp_reflux", name: "Reflux" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/sandhawk/balance/balance_sr_dal_sandhawk", name: "Sand Hawk" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/commanderplanetoid/invbald_artifact_commanderplanetoid", name: "Commander Planetoid (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/cosmiccrater/invbald_artifact_cosmiccrater", name: "Cosmic Crater (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/deathless/invbald_artifact_deathless", name: "Deathless (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/loadeddice/invbald_artifact_loadeddice", name: "Loaded Dice (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/moxxisendowment/invbald_artifact_moxxisendowment", name: "Moxxi's Endowment (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/ottoidol/invbald_artifact_ottoidol", name: "Otto Idol (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/pulloutmethod/invbald_artifact_pulloutmethod", name: "Pull Out Method (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/rocketboots/invbald_artifact_rocketboots", name: "Rocket Boots (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/safegaurd/invbald_artifact_safegaurd", name: "Safeguard (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/salvo/invbald_artifact_salvo", name: "Launch Pad (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/splattergun/invbald_artifact_splattergun", name: "Splatter Gun (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/statictouch/invbald_artifact_statictouch", name: "Static Charge (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/victoryrush/invbald_artifact_victoryrush", name: "Victory Rush (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/whiteelephant/invbald_artifact_whiteelephant", name: "White Elephant (dedicated drop only) Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_bountyhunter", name: "Beastmaster Bounty Hunter Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_cosmicstalker", name: "Beastmaster Cosmic Stalker Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_de4deye", name: "Beastmaster DE4DEYE Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_friendbot", name: "Beastmaster Friend-Bot Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_rakkcommander", name: "Beastmaster Rakk Commander Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_redfang", name: "Beastmaster Red Fang Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/gunner/invbald_classmod_gunner_beartrooper", name: "Gunner Bear Trooper Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/gunner/invbald_classmod_gunner_blastmaster", name: "Gunner Blast Master Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/gunner/invbald_classmod_gunner_bloodletter", name: "Gunner Bloodletter Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/gunner/invbald_classmod_gunner_mindsweeper", name: "Gunner Mind Sweeper Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/gunner/invbald_classmod_gunner_rocketeer", name: "Gunner Rocketeer Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/operative/invbald_classmod_operative_coldwarrior", name: "Operative Cold Warrior Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/operative/invbald_classmod_operative_executor", name: "Operative Executor Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/operative/invbald_classmod_operative_firebrand", name: "Operative Shockerator Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/operative/invbald_classmod_operative_infiltrator", name: "Operative Infiltrator Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/operative/invbald_classmod_operative_techspert", name: "Operative Techspert Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/siren/invbald_classmod_siren_breaker", name: "Siren Breaker Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/siren/invbald_classmod_siren_dragon", name: "Siren Dragon Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/siren/invbald_classmod_siren_elementalist", name: "Siren Elementalist Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/siren/invbald_classmod_siren_nimbus", name: "Siren Nimbus Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/siren/invbald_classmod_siren_phasezerker", name: "Siren Phasezerker Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/cm/_d/partsets/_u/bsm/invbald_cm_beastmaster_raid1", name: "Beastmaster R4kk P4k Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/cm/_d/partsets/_u/gun/invbald_cm_gunner_raid1", name: "Gunner Raging Bear Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/cm/_d/partsets/_u/ope/invbald_cm_operative_raid1", name: "Operative Antifreeze Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/cm/_d/partsets/_u/srn/invbald_cm_siren_raid1", name: "Siren Spiritual Driver Legendary COM" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/shields/_hybridlegendary/slidekickhybrid/recharger_berner/invbald_shield_lgd_recharger_berner", name: "Re-Charger Berner" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/shields/_hybridlegendary/slidekickhybrid/slidekick_frozenheart/balance/invbald_shield_slidekickfrozenheart", name: "Frozen Snowshoe" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/shields/_hybridlegendary/slidekickhybrid/slidekick_recharger/invbald_shield_slidekickrecharger", name: "Red Card Re-Charger" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/shields/versionomnom/balance/invbald_shield_legendary_versionomnom", name: "Version 0.m" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/fork2/balance/balance_sm_hyp_fork2", name: "Redistributor (legendary version)" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/handcannon/balance/balance_ps_tor_handcannon", name: "Moonfire" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/kybsworth/balance/balance_sm_mal_kybsworth", name: "Kyb's Worth" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/link/balance/balance_sm_mal_link", name: "P2P Networker" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/tiggsboom/balance/balance_sg_torgue_tiggsboom", name: "Tiggs' Boom" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/cradermp5/balance/balance_sm_dahl_cradermp5", name: "Crader's EM-P5" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/deathgrip/balance/balance_sg_mal_deathgrip", name: "Vosk's Deathgrip" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/execute/balance/balance_ps_ted_execute", name: "S3RV-80S-EXECUTE" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/juju/balance/balance_dal_ar_etech_juju", name: "Good Juju" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/juliet/balance/balance_ar_tor_juliet_worlddrop", name: "Juliet's Dazzle" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/tankman/balance/balance_sr_hyp_tankman", name: "Tankman's Shield" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/zheitseveruption/balance/balance_ar_cov_zheitsev", name: "Zheitsev's Eruption" },
    GameDataKv { ident: "/game/patchdlc/steam/gear/weapons/steamgun/balance/balance_sm_hyp_shortstick", name: "Short Stick" },
    GameDataKv { ident: "/game/patchdlc/steam/gear/weapons/steamgun/balance/balance_sm_hyp_shortstick_legendary", name: "Short Stick (legendary version)" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/grenademods/lightspeed/balance/invbald_gm_hyp_lightspeed", name: "Lightspeed" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/shields/aesclepius/balance/invbald_shield_lgd_aesclepius", name: "Asclepius" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/shields/stinger/balance/invbald_shield_lgd_stinger", name: "Stinger" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/weapons/globetrotter/balance/balance_hw_cov_globetrotter", name: "Globetrottr" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/weapons/smog/balance/balance_sm_hyp_smog", name: "Smog" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/weapons/webslinger/balance/balance_ar_vla_webslinger", name: "Web Slinger" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/shields/unique/supersoldier/balance/invbald_shield_supersoldier", name: "Super Soldier" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/birdofprey/balance/balance_sr_jak_birdofprey", name: "Bird of Prey" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/guardian/balance/balance_sg_hyp_guardian", name: "Guardian 4N631" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/mechanic/balance/balance_hw_cov_mechanic", name: "Mechanic" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/artifacts/unique/shlooter/balance/invbald_artifact_shlooter", name: "Shlooter Legendary Artifact" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/grenademods/unique/pyroburst/balance/invbald_gm_pyroburst", name: "Pyroburst" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/weapons/unique/goldrush/balance/balance_sm_hyp_goldrush", name: "Gold Rush" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/weapons/unique/troubleshooter/balance/balance_sm_hyp_etech_troubleshooter", name: "Troubleshooter" },
    GameDataKv { ident: "/game/enemies/punk_female/_unique/skaglady/_design/weapon/balance/balance_skaglady_hw_cov_veryrare_shock", name: "Sheega's Launcher" },
];

pub const BALANCE_TO_INV_KEY: [GameDataKv; 1413] = [
    GameDataKv { ident: "/dandelion/enemies/traitoreddie/_shared/_design/weapon/balance_traitoreddie_gun.balance_traitoreddie_gun", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/enemies/katagawajr/_shared/_design/balance/balance_mal_smg_katagawajr.balance_mal_smg_katagawajr", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/enemies/katagawajr/_shared/_design/balance/balance_mal_sr_katagawajr.balance_mal_sr_katagawajr", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/enemies/katagawajr/_shared/_design/balance/partset_mal_smg_katagawajr.partset_mal_smg_katagawajr", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/enemies/katagawajr/_shared/_design/balance/partset_mal_sr_katagawajr.partset_mal_sr_katagawajr", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/enemies/punk_female/_unique/brewhag/_design/weapon/balance_punkbrewhag_weapon.balance_punkbrewhag_weapon", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/enemies/punk_female/_unique/skaglady/_design/weapon/balance/balance_skaglady_hw_cov_veryrare_shock.balance_skaglady_hw_cov_veryrare_shock", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/enemies/saurian/_unique/trialboss/_design/weapon/balance_saurian_trialboss_head_launcher.balance_saurian_trialboss_head_launcher", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/enemies/tink/anointed/_design/itempool/balance_dal_tink_anointed.balance_dal_tink_anointed", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/balancedefs/invbald_artifact.invbald_artifact", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/balancedefs/invbald_artifact_01_common.invbald_artifact_01_common", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/balancedefs/invbald_artifact_02_uncommon.invbald_artifact_02_uncommon", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/balancedefs/invbald_artifact_03_rare.invbald_artifact_03_rare", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/balancedefs/invbald_artifact_04_veryrare.invbald_artifact_04_veryrare", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/balancedefs/invbald_artifact_05_legendary.invbald_artifact_05_legendary", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/eldragonjr/balance/invbald_artifact_eldragonjr.invbald_artifact_eldragonjr", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/eldragonjr/balance/partset_artifact_eldragonjr.partset_artifact_eldragonjr", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/electricbanjo/balance/invbald_artifact_electricbanjo.invbald_artifact_electricbanjo", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/electricbanjo/balance/partset_artifact_electricbanjo.partset_artifact_electricbanjo", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/grave/balance/invbald_artifact_grave.invbald_artifact_grave", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/grave/balance/partset_artifact_grave.partset_artifact_grave", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/phoenixtears/balance/invbald_artifact_phoenixtears.invbald_artifact_phoenixtears", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/phoenixtears/balance/partset_artifact_phoenixtears.partset_artifact_phoenixtears", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/roadwarrior/balance/invbald_artifact_roadwarrior.invbald_artifact_roadwarrior", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/roadwarrior/balance/partset_artifact_roadwarrior.partset_artifact_roadwarrior", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/vaulthunterrelic/balance/invbald_artifact_relic.invbald_artifact_relic", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/_unique/vaulthunterrelic/balance/partset_artifact_relic.partset_artifact_relic", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/artifacts/_design/partsets/abilities/damageartifacts/atombalm/artifact_part_ability_atombalm.artifact_part_ability_atombalm", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod.invbald_classmod", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_beastmaster.invbald_classmod_beastmaster", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_beastmaster_01_common.invbald_classmod_beastmaster_01_common", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_beastmaster_02_uncommon.invbald_classmod_beastmaster_02_uncommon", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_beastmaster_03_rare.invbald_classmod_beastmaster_03_rare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_beastmaster_04_veryrare.invbald_classmod_beastmaster_04_veryrare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_beastmaster_05_legendary.invbald_classmod_beastmaster_05_legendary", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_gunner.invbald_classmod_gunner", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_gunner_01_common.invbald_classmod_gunner_01_common", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_gunner_02_uncommon.invbald_classmod_gunner_02_uncommon", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_gunner_03_rare.invbald_classmod_gunner_03_rare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_gunner_04_veryrare.invbald_classmod_gunner_04_veryrare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_gunner_05_legendary.invbald_classmod_gunner_05_legendary", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_operative.invbald_classmod_operative", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_operative_01_common.invbald_classmod_operative_01_common", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_operative_02_uncommon.invbald_classmod_operative_02_uncommon", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_operative_03_rare.invbald_classmod_operative_03_rare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_operative_04_veryrare.invbald_classmod_operative_04_veryrare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_operative_05_legendary.invbald_classmod_operative_05_legendary", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_siren.invbald_classmod_siren", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_siren_01_common.invbald_classmod_siren_01_common", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_siren_02_uncommon.invbald_classmod_siren_02_uncommon", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_siren_03_rare.invbald_classmod_siren_03_rare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_siren_04_veryrare.invbald_classmod_siren_04_veryrare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/balancedefs/invbald_classmod_siren_05_legendary.invbald_classmod_siren_05_legendary", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/partsets/part_stats/part_primary_stat/elemental/chance/classmod_part_stat_primary_elemental_chance_global.classmod_part_stat_primary_elemental_chance_global", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/partsets/part_stats/part_primary_stat/elemental/classmod_part_stat_primary_elemental_damage_global.classmod_part_stat_primary_elemental_damage_global", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/partsets/part_stats/part_primary_stat/elemental/dot/classmod_part_stat_primary_elemental_dot_damage_global.classmod_part_stat_primary_elemental_dot_damage_global", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/partsets/part_stats/part_primary_stat/elemental/duration/classmod_part_stat_primary_elemental_duration_global.classmod_part_stat_primary_elemental_duration_global", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/partsets/part_stats/part_secondary_stat/parts/elemental/chance/classmod_part_stat_secondary_elemental_chance_global.classmod_part_stat_secondary_elemental_chance_global", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/partsets/part_stats/part_secondary_stat/parts/elemental/classmod_part_stat_secondary_elemental_damage_global.classmod_part_stat_secondary_elemental_damage_global", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/partsets/part_stats/part_secondary_stat/parts/elemental/dot/classmod_part_stat_secondary_elemental_dot_damage_global.classmod_part_stat_secondary_elemental_dot_damage_global", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/classmods/_design/partsets/part_stats/part_secondary_stat/parts/elemental/duration/classmod_part_stat_secondary_elemental_duration_global.classmod_part_stat_secondary_elemental_duration_global", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/birthdaysuprise/balance/invbald_gm_birthdaysuprise.invbald_gm_birthdaysuprise", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/birthdaysuprise/balance/partset_gm_birthdaysuprise.partset_gm_birthdaysuprise", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/buttstallion/balance/invbald_gm_buttstallion.invbald_gm_buttstallion", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/buttstallion/balance/partset_gm_buttstallion.partset_gm_buttstallion", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/cashmoneypreorder/balance/invbald_gm_cashmoneypreorder.invbald_gm_cashmoneypreorder", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/cashmoneypreorder/balance/partset_gm_cashmoneypreorder.partset_gm_cashmoneypreorder", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/chupa/balance/invbald_gm_chupa.invbald_gm_chupa", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/chupa/balance/partset_gm_chupa.partset_gm_chupa", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/echov2/balance/invbald_gm_echov2.invbald_gm_echov2", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/echov2/balance/partset_gm_echov2.partset_gm_echov2", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/emp/balance/invbald_gm_emp.invbald_gm_emp", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/emp/balance/partset_gm_emp.partset_gm_emp", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/epicenter/balance/invbald_gm_epicenter.invbald_gm_epicenter", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/epicenter/balance/partset_gm_epicenter.partset_gm_epicenter", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/fastball/balance/invbald_gm_ted_fastball.invbald_gm_ted_fastball", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/fastball/balance/partset_gm_fastball.partset_gm_fastball", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/fastball/parts/part_gm_aug_fastball.part_gm_aug_fastball", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/fastball/parts/part_gm_material_fastball.part_gm_material_fastball", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/firestorm/balance/invbald_gm_vla_firestorm.invbald_gm_vla_firestorm", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/firestorm/balance/partset_gm_firestorm.partset_gm_firestorm", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/hiphop/balance/invbald_gm_tor_hiphop.invbald_gm_tor_hiphop", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/hiphop/balance/partset_gm_hiphop.partset_gm_hiphop", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/hunterseeker/balance/invbald_gm_hunterseeker.invbald_gm_hunterseeker", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/hunterseeker/balance/partset_gm_hunterseeker.partset_gm_hunterseeker", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/justdeserts/balance/invbald_gm_justdeserts.invbald_gm_justdeserts", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/justdeserts/balance/partset_gm_justdeserts.partset_gm_justdeserts", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/kryll/balance/invbald_gm_kryll.invbald_gm_kryll", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/kryll/balance/partset_gm_kryll.partset_gm_kryll", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/mogwai/balance/invbald_gm_mogwai.invbald_gm_mogwai", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/mogwai/balance/partset_gm_mogwai.partset_gm_mogwai", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/moxiesbosom/balance/invbald_gm_pan_moxiesbosom.invbald_gm_pan_moxiesbosom", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/moxiesbosom/balance/partset_gm_pan_moxiesbosom.partset_gm_pan_moxiesbosom", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/mushroom/balance/invbald_gm_shroom.invbald_gm_shroom", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/mushroom/balance/partset_gm_shroom.partset_gm_shroom", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/nagate/balance/invbald_gm_nagate.invbald_gm_nagate", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/nagate/balance/partset_gm_nagate.partset_gm_nagate", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/obvioustrap/balance/invbald_gm_obvioustrap.invbald_gm_obvioustrap", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/obvioustrap/balance/partset_gm_obvioustrap.partset_gm_obvioustrap", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/piss/balance/invbald_gm_piss.invbald_gm_piss", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/piss/balance/partset_gm_piss.partset_gm_piss", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/quasar/balance/invbald_gm_quasar.invbald_gm_quasar", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/quasar/balance/partset_gm_quasar.partset_gm_quasar", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/redqueen/balance/invbald_gm_redqueen.invbald_gm_redqueen", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/redqueen/balance/partset_gm_redqueen.partset_gm_redqueen", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/seeker/balance/invbald_gm_seeker.invbald_gm_seeker", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/seeker/balance/partset_gm_seeker.partset_gm_seeker", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/stormfront/balance/invbald_gm_stormfront.invbald_gm_stormfront", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/stormfront/balance/partset_gm_stormfront.partset_gm_stormfront", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/summit/balance/invbald_gm_summit.invbald_gm_summit", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/summit/balance/partset_gm_summit.partset_gm_summit", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/surge/balance/invbald_gm_surge.invbald_gm_surge", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/surge/balance/partset_gm_surge.partset_gm_surge", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/toiletbombs/balance/invbald_gm_tor_toiletbombs.invbald_gm_tor_toiletbombs", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/toiletbombs/balance/partset_gm_toiletbombs.partset_gm_toiletbombs", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/toygrenade/balance/invbald_gm_toygrenade.invbald_gm_toygrenade", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/toygrenade/balance/partset_gm_toygrenade.partset_gm_toygrenade", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/tranfusion/balance/invbald_gm_tranfusion.invbald_gm_tranfusion", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/tranfusion/balance/partset_gm_tranfusion.partset_gm_tranfusion", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/widowmaker/balance/invbald_gm_widowmaker.invbald_gm_widowmaker", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/widowmaker/balance/partset_gm_widowmaker.partset_gm_widowmaker", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/wizardofnog/balance/invbald_gm_wizardofnog.invbald_gm_wizardofnog", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/_unique/wizardofnog/balance/partset_gm_wizardofnog.partset_gm_wizardofnog", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod.invbald_grenademod", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_01_common.invbald_grenademod_01_common", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_02_uncommon.invbald_grenademod_02_uncommon", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_03_rare.invbald_grenademod_03_rare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_04_veryrare.invbald_grenademod_04_veryrare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_atlas_01_common.invbald_grenademod_atlas_01_common", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_atlas_02_uncommon.invbald_grenademod_atlas_02_uncommon", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_atlas_03_rare.invbald_grenademod_atlas_03_rare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_atlas_04_veryrare.invbald_grenademod_atlas_04_veryrare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_hyperion_01_common.invbald_grenademod_hyperion_01_common", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_hyperion_02_uncommon.invbald_grenademod_hyperion_02_uncommon", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_hyperion_03_rare.invbald_grenademod_hyperion_03_rare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_hyperion_04_veryrare.invbald_grenademod_hyperion_04_veryrare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_pangolin_01_common.invbald_grenademod_pangolin_01_common", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_pangolin_02_uncommon.invbald_grenademod_pangolin_02_uncommon", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_pangolin_03_rare.invbald_grenademod_pangolin_03_rare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_pangolin_04_veryrare.invbald_grenademod_pangolin_04_veryrare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_tediore_01_common.invbald_grenademod_tediore_01_common", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_tediore_02_uncommon.invbald_grenademod_tediore_02_uncommon", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_tediore_03_rare.invbald_grenademod_tediore_03_rare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_tediore_04_veryrare.invbald_grenademod_tediore_04_veryrare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_torgue_01_common.invbald_grenademod_torgue_01_common", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_torgue_02_uncommon.invbald_grenademod_torgue_02_uncommon", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_torgue_03_rare.invbald_grenademod_torgue_03_rare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_torgue_04_veryrare.invbald_grenademod_torgue_04_veryrare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_vladof_01_common.invbald_grenademod_vladof_01_common", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_vladof_02_uncommon.invbald_grenademod_vladof_02_uncommon", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_vladof_03_rare.invbald_grenademod_vladof_03_rare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/grenademods/_design/invbalance/invbald_grenademod_vladof_04_veryrare.invbald_grenademod_vladof_04_veryrare", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/_xplootbooster/balance/invbald_shield_xplootbooster.invbald_shield_xplootbooster", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/_xplootbooster/balance/partset_shield_xplootbooster.partset_shield_xplootbooster", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/aurelia/balance/invbald_shield_lgd_aurelia.invbald_shield_lgd_aurelia", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/aurelia/balance/partset_shield_lgd_aurelia.partset_shield_lgd_aurelia", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/backham/balance/invbald_shield_backham.invbald_shield_backham", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/backham/balance/partset_shield_backham.partset_shield_backham", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/bigboomblaster/balance/invbald_shield_lgd_bigboomblaster.invbald_shield_lgd_bigboomblaster", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/bigboomblaster/balance/partset_shield_lgd_bigboomblaster.partset_shield_lgd_bigboomblaster", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/blackhole/balance/invbald_shield_lgd_blackhole.invbald_shield_lgd_blackhole", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/blackhole/balance/partset_shield_lgd_blackhole.partset_shield_lgd_blackhole", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/buriedalive/balance/invbald_shield_buriedalive.invbald_shield_buriedalive", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/buriedalive/balance/partset_shield_buriedalive.partset_shield_buriedalive", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/cyttorak/balance/invbald_shield_cyttorak.invbald_shield_cyttorak", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/cyttorak/balance/partset_shield_lgd_cyttorak.partset_shield_lgd_cyttorak", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/dispensary/balance/invbald_shield_lgd_dispensary.invbald_shield_lgd_dispensary", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/dispensary/balance/partset_shield_lgd_dispensary.partset_shield_lgd_dispensary", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/frontloader/balance/invbald_shield_lgd_frontloader.invbald_shield_lgd_frontloader", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/frontloader/balance/partset_shield_lgd_frontloader.partset_shield_lgd_frontloader", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/goldentouch/balance/invbald_shield_goldentouch.invbald_shield_goldentouch", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/goldentouch/balance/partset_shield_goldentouch.partset_shield_goldentouch", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/impaler/balance/invbald_shield_lgd_impaler.invbald_shield_lgd_impaler", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/impaler/balance/partset_shield_lgd_impaler.partset_shield_lgd_impaler", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/loopof4n631/balance/invbald_shield_hyp_loopof4n631.invbald_shield_hyp_loopof4n631", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/loopof4n631/balance/partset_shield_hyp_loopof4n631.partset_shield_hyp_loopof4n631", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/messybreakup/balance/invbald_shield_messybreakup.invbald_shield_messybreakup", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/messybreakup/balance/partset_shield_lgd_breakup.partset_shield_lgd_breakup", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/moxxisembrace/balance/invbald_shield_moxxisembrace.invbald_shield_moxxisembrace", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/moxxisembrace/balance/partset_shield_moxxisembrace.partset_shield_moxxisembrace", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/mrcaffeine/balance/invbald_shield_pan_mrcaffeine.invbald_shield_pan_mrcaffeine", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/mrcaffeine/balance/partset_shield_pan_mrcaffeine.partset_shield_pan_mrcaffeine", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/novaburner/balance/invbald_shield_lgd_novaburner.invbald_shield_lgd_novaburner", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/novaburner/balance/partset_shield_lgd_novaburner.partset_shield_lgd_novaburner", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/radiate/balance/invbald_shield_lgd_radiate.invbald_shield_lgd_radiate", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/radiate/balance/partset_shield_lgd_radiate.partset_shield_lgd_radiate", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/re-charger/balance/invbald_shield_lgd_recharger.invbald_shield_lgd_recharger", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/re-charger/balance/partset_shield_lgd_recharger.partset_shield_lgd_recharger", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/rectifier/balance/invbald_shield_lgd_rectifier.invbald_shield_lgd_rectifier", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/rectifier/balance/partset_shield_lgd_rectifier.partset_shield_lgd_rectifier", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/revengenader/balance/invbald_shield_lgd_revengenader.invbald_shield_lgd_revengenader", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/revengenader/balance/partset_shield_lgd_revengenader.partset_shield_lgd_revengenader", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/roughrider/balance/invbald_shield_lgd_roughrider.invbald_shield_lgd_roughrider", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/roughrider/balance/partset_shield_lgd_roughrider.partset_shield_lgd_roughrider", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/shootingstar/balance/invbald_shield_lgd_shootingstar.invbald_shield_lgd_shootingstar", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/shootingstar/balance/partset_shield_lgd_shootingstar.partset_shield_lgd_shootingstar", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/slidekick/balance/invbald_shield_lgd_slidekick.invbald_shield_lgd_slidekick", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/slidekick/balance/partset_shield_lgd_slidekick.partset_shield_lgd_slidekick", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/stopgap/balance/invbald_shield_lgd_stopgap.invbald_shield_lgd_stopgap", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/stopgap/balance/partset_shield_lgd_stopgap.partset_shield_lgd_stopgap", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/transformer/balance/invbald_shield_lgd_transformer.invbald_shield_lgd_transformer", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/transformer/balance/partset_shield_lgd_transformer.partset_shield_lgd_transformer", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/unpaler/balance/invbald_shield_lgd_unpaler.invbald_shield_lgd_unpaler", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/unpaler/balance/partset_shield_lgd_unpaler.partset_shield_lgd_unpaler", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/vamp/balance/invbald_shield_legendary_vamp.invbald_shield_legendary_vamp", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/vamp/balance/partset_shield_legendary_vamp.partset_shield_legendary_vamp", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/ward/balance/invbald_shield_ward.invbald_shield_ward", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/ward/balance/partset_shield_ward.partset_shield_ward", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/whiskeytangofoxtrot/balance/invbald_shield_legendary_whiskeytangofoxtrot.invbald_shield_legendary_whiskeytangofoxtrot", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/_uniques/whiskeytangofoxtrot/balance/partset_shield_legendary_whiskeytangofoxtrot.partset_shield_legendary_whiskeytangofoxtrot", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_anshin.invbald_shield_anshin", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_anshin_01_common.invbald_shield_anshin_01_common", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_anshin_02_uncommon.invbald_shield_anshin_02_uncommon", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_anshin_03_rare.invbald_shield_anshin_03_rare", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_anshin_04_veryrare.invbald_shield_anshin_04_veryrare", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_hyperion.invbald_shield_hyperion", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_hyperion_01_common.invbald_shield_hyperion_01_common", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_hyperion_02_uncommon.invbald_shield_hyperion_02_uncommon", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_hyperion_03_rare.invbald_shield_hyperion_03_rare", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_hyperion_04_veryrare.invbald_shield_hyperion_04_veryrare", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_pangolin.invbald_shield_pangolin", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_pangolin_01_common.invbald_shield_pangolin_01_common", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_pangolin_02_uncommon.invbald_shield_pangolin_02_uncommon", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_pangolin_03_rare.invbald_shield_pangolin_03_rare", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/shields/_design/invbalance/invbald_shield_pangolin_04_veryrare.invbald_shield_pangolin_04_veryrare", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/cov/balance/balance_ar_cov_etech_rare.balance_ar_cov_etech_rare", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/cov/balance/balance_ar_cov_etech_veryrare.balance_ar_cov_etech_veryrare", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/cov/balance/invpartset_ar_cov_etech_rare.invpartset_ar_cov_etech_rare", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/cov/balance/invpartset_ar_cov_etech_veryrare.invpartset_ar_cov_etech_veryrare", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/dahl/balance/balance_dal_ar_etech_rare.balance_dal_ar_etech_rare", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/dahl/balance/balance_dal_ar_etech_veryrare.balance_dal_ar_etech_veryrare", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/dahl/balance/invpartset_dal_ar_etech_rare.invpartset_dal_ar_etech_rare", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/dahl/balance/invpartset_dal_ar_etech_veryrare.invpartset_dal_ar_etech_veryrare", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/tor/balance/balance_ar_tor_etech_rare.balance_ar_tor_etech_rare", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/tor/balance/balance_ar_tor_etech_veryrare.balance_ar_tor_etech_veryrare", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/tor/balance/invpartset_ar_tor_etech_rare.invpartset_ar_tor_etech_rare", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/tor/balance/invpartset_ar_tor_etech_veryrare.invpartset_ar_tor_etech_veryrare", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/vla/balance/balance_ar_vla_etech_rare.balance_ar_vla_etech_rare", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/vla/balance/balance_ar_vla_etech_veryrare.balance_ar_vla_etech_veryrare", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/vla/balance/invpart_vla_ar_etech_rare.invpart_vla_ar_etech_rare", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/assaultrifle/vla/balance/invpart_vla_ar_etech_veryrare.invpart_vla_ar_etech_veryrare", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/cov/balance/balance_hw_cov_etech_rare.balance_hw_cov_etech_rare", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/cov/balance/balance_hw_cov_etech_veryrare.balance_hw_cov_etech_veryrare", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/cov/balance/partset_hw_cov_etech_rare.partset_hw_cov_etech_rare", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/cov/balance/partset_hw_cov_etech_veryrare.partset_hw_cov_etech_veryrare", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/tor/balance/balance_hw_tor_etech_rare.balance_hw_tor_etech_rare", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/tor/balance/balance_hw_tor_etech_veryrare.balance_hw_tor_etech_veryrare", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/tor/balance/partset_hw_tor_etech_rare.partset_hw_tor_etech_rare", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/tor/balance/partset_hw_tor_etech_veryrare.partset_hw_tor_etech_veryrare", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/vla/balance/balance_hw_vla_etech_rare.balance_hw_vla_etech_rare", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/vla/balance/balance_hw_vla_etech_veryrare.balance_hw_vla_etech_veryrare", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/vla/balance/partset_hw_vla_etech_rare.partset_hw_vla_etech_rare", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/hw/vla/balance/partset_hw_vla_etech_veryrare.partset_hw_vla_etech_veryrare", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/cov/balance/balance_ps_cov_etech_rare.balance_ps_cov_etech_rare", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/cov/balance/balance_ps_cov_etech_veryrare.balance_ps_cov_etech_veryrare", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/cov/balance/partset_ps_cov_etech_rare.partset_ps_cov_etech_rare", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/cov/balance/partset_ps_cov_etech_veryrare.partset_ps_cov_etech_veryrare", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/dahl/balance/balance_dal_ps_etech_rare.balance_dal_ps_etech_rare", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/dahl/balance/balance_dal_ps_etech_veryrare.balance_dal_ps_etech_veryrare", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/dahl/balance/partset_dal_ps_etech_rare.partset_dal_ps_etech_rare", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/dahl/balance/partset_dal_ps_etech_veryrare.partset_dal_ps_etech_veryrare", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/mal/balance/balance_ps_mal_etech_rare.balance_ps_mal_etech_rare", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/mal/balance/balance_ps_mal_etech_veryrare.balance_ps_mal_etech_veryrare", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/mal/balance/invpartset_ps_mal_etech_rare.invpartset_ps_mal_etech_rare", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/mal/balance/invpartset_ps_mal_etech_veryrare.invpartset_ps_mal_etech_veryrare", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/ted/balance/balance_ps_tediore_etech_rare.balance_ps_tediore_etech_rare", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/ted/balance/balance_ps_tediore_etech_veryrare.balance_ps_tediore_etech_veryrare", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/ted/balance/invpartset_ps_ted_etech_rare.invpartset_ps_ted_etech_rare", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/ted/balance/invpartset_ps_ted_etech_veryrare.invpartset_ps_ted_etech_veryrare", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/tor/balance/balance_ps_tor_etech_rare.balance_ps_tor_etech_rare", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/tor/balance/balance_ps_tor_etech_veryrare.balance_ps_tor_etech_veryrare", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/tor/balance/partset_ps_tor_etech_rare.partset_ps_tor_etech_rare", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/tor/balance/partset_ps_tor_etech_veryrare.partset_ps_tor_etech_veryrare", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/vladof/balance/balance_ps_vla_etech_rare.balance_ps_vla_etech_rare", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/vladof/balance/balance_ps_vla_etech_veryrare.balance_ps_vla_etech_veryrare", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/vladof/balance/invpart_vla_ps_etech_rare.invpart_vla_ps_etech_rare", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/pistol/vladof/balance/invpart_vla_ps_etech_veryrare.invpart_vla_ps_etech_veryrare", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/hyperion/balance/balance_sg_hyp_etech_rare.balance_sg_hyp_etech_rare", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/hyperion/balance/balance_sg_hyp_etech_veryrare.balance_sg_hyp_etech_veryrare", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/hyperion/balance/bpinvpartset_sg_hyp_etech_rare.bpinvpartset_sg_hyp_etech_rare", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/hyperion/balance/bpinvpartset_sg_hyp_etech_veryrare.bpinvpartset_sg_hyp_etech_veryrare", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/maliwan/balance/balance_sg_mal_etech_rare.balance_sg_mal_etech_rare", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/maliwan/balance/balance_sg_mal_etech_veryrare.balance_sg_mal_etech_veryrare", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/maliwan/balance/invpartset_sg_mal_etech_rare.invpartset_sg_mal_etech_rare", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/maliwan/balance/invpartset_sg_mal_etech_veryrare.invpartset_sg_mal_etech_veryrare", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/tediore/balance/balance_sg_ted_etech_rare.balance_sg_ted_etech_rare", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/tediore/balance/balance_sg_ted_etech_veryrare.balance_sg_ted_etech_veryrare", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/tediore/balance/partset_sg_ted_etech_rare.partset_sg_ted_etech_rare", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/tediore/balance/partset_sg_ted_etech_veryrare.partset_sg_ted_etech_veryrare", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/torgue/balance/balance_sg_torgue_etech_rare.balance_sg_torgue_etech_rare", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/torgue/balance/balance_sg_torgue_etech_veryrare.balance_sg_torgue_etech_veryrare", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/torgue/balance/invpartset_sg_torgue_etech_rare.invpartset_sg_torgue_etech_rare", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/shotgun/torgue/balance/invpartset_sg_torgue_etech_veryrare.invpartset_sg_torgue_etech_veryrare", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/dahl/balance/balance_sm_dal_etech_rare.balance_sm_dal_etech_rare", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/dahl/balance/balance_sm_dal_etech_veryrare.balance_sm_dal_etech_veryrare", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/dahl/balance/invpartset_sm_dal_etech_rare.invpartset_sm_dal_etech_rare", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/dahl/balance/invpartset_sm_dal_etech_veryrare.invpartset_sm_dal_etech_veryrare", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/hyperion/balance/balance_sm_hyp_etech_rare.balance_sm_hyp_etech_rare", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/hyperion/balance/balance_sm_hyp_etech_veryrare.balance_sm_hyp_etech_veryrare", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/hyperion/balance/invpartset_sm_hyp_etech_rare.invpartset_sm_hyp_etech_rare", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/hyperion/balance/invpartset_sm_hyp_etech_veryrare.invpartset_sm_hyp_etech_veryrare", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/maliwan/balance/balance_sm_mal_etech_rare.balance_sm_mal_etech_rare", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/maliwan/balance/balance_sm_mal_etech_veryrare.balance_sm_mal_etech_veryrare", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/maliwan/balance/invpartset_sm_mal_etech_rare.invpartset_sm_mal_etech_rare", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/maliwan/balance/invpartset_sm_mal_etech_veryrare.invpartset_sm_mal_etech_veryrare", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/tediore/balance/balance_sm_ted_etech_rare.balance_sm_ted_etech_rare", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/tediore/balance/balance_sm_ted_etech_veryrare.balance_sm_ted_etech_veryrare", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/tediore/balance/partset_sm_ted_etech_rare.partset_sm_ted_etech_rare", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/smgs/tediore/balance/partset_sm_ted_etech_veryrare.partset_sm_ted_etech_veryrare", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/dahl/balance/balance_sr_dal_etech_rare.balance_sr_dal_etech_rare", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/dahl/balance/balance_sr_dal_etech_veryrare.balance_sr_dal_etech_veryrare", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/dahl/balance/partset_sr_dal_etech_rare.partset_sr_dal_etech_rare", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/dahl/balance/partset_sr_dal_etech_veryrare.partset_sr_dal_etech_veryrare", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/hyperion/balance/balance_sr_hyp_etech_rare.balance_sr_hyp_etech_rare", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/hyperion/balance/balance_sr_hyp_etech_veryrare.balance_sr_hyp_etech_veryrare", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/hyperion/balance/partset_sr_hyp_etech_rare.partset_sr_hyp_etech_rare", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/hyperion/balance/partset_sr_hyp_etech_veryrare.partset_sr_hyp_etech_veryrare", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/maliwan/balance/balance_sr_mal_etech_rare.balance_sr_mal_etech_rare", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/maliwan/balance/balance_sr_mal_etech_veryrare.balance_sr_mal_etech_veryrare", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/maliwan/balance/partset_mal_sr_etech_rare.partset_mal_sr_etech_rare", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/maliwan/balance/partset_mal_sr_etech_veryrare.partset_mal_sr_etech_veryrare", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/vladof/balance/balance_sr_vla_etech_rare.balance_sr_vla_etech_rare", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/vladof/balance/balance_sr_vla_etech_veryrare.balance_sr_vla_etech_veryrare", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/vladof/balance/partset_vla_sr_etech_rare.partset_vla_sr_etech_rare", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/_design/_manufacturers/_etech/_design/sniperrifles/vladof/balance/partset_vla_sr_etech_veryrare.partset_vla_sr_etech_veryrare", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/ava/balance_ps_ted_ava.balance_ps_ted_ava", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/clay/balance_ps_jak_clay.balance_ps_jak_clay", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/gaige/balance_dal_ar_gaige.balance_dal_ar_gaige", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/hammerlock/balance_sr_jak_hammerlock.balance_sr_jak_hammerlock", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/lilith/balance_sm_hyp_lilith.balance_sm_hyp_lilith", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/lorelei/balance_ar_vla_lorelei.balance_ar_vla_lorelei", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/marcus/balance_hw_tor_marcus.balance_hw_tor_marcus", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/maya/balance_sm_mal_maya.balance_sm_mal_maya", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/mordecai/balance_sr_vla_mordecai.balance_sr_vla_mordecai", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/tinytina/balance_ps_tor_tinytina.balance_ps_tor_tinytina", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/typhon/balance_sg_jak_typhon.balance_sg_jak_typhon", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/zero/balance_sr_hyp_zero.balance_sr_hyp_zero", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/_shared/npc_weapons/zero/zeroforplayer/balance_sr_hyp_zeroforplayer.balance_sr_hyp_zeroforplayer", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/_unique/carrier/balance/balance_atl_ar_carrier.balance_atl_ar_carrier", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/_unique/carrier/balance/partset_atl_ar_carrier.partset_atl_ar_carrier", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/_unique/portal/balance/balance_atl_ar_portals.balance_atl_ar_portals", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/_unique/portal/balance/partset_atl_ar_portals.partset_atl_ar_portals", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/_unique/rebellyell/balance/balance_atl_ar_rebelyell.balance_atl_ar_rebelyell", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/_unique/rebellyell/balance/partset_atl_ar_rebelyell.partset_atl_ar_rebelyell", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/ai/balance_atl_ar_ai.balance_atl_ar_ai", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/balance/balance_atl_ar_01_common.balance_atl_ar_01_common", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/balance/balance_atl_ar_02_uncommon.balance_atl_ar_02_uncommon", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/balance/balance_atl_ar_03_rare.balance_atl_ar_03_rare", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/atlas/_shared/_design/balance/balance_atl_ar_04_veryrare.balance_atl_ar_04_veryrare", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/_unique/kriegar/balance/balance_ar_cov_kriegar.balance_ar_cov_kriegar", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/_unique/kriegar/balance/invpartset_ar_cov_kriegear.invpartset_ar_cov_kriegear", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/_unique/sawbar/balance/balance_ar_cov_sawbar.balance_ar_cov_sawbar", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/_unique/sawbar/balance/invpartset_ar_cov_sawbar.invpartset_ar_cov_sawbar", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/ai/balance_ar_cov_ai.balance_ar_cov_ai", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/balancestate/balance_ar_cov_01_common.balance_ar_cov_01_common", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/balancestate/balance_ar_cov_02_uncommon.balance_ar_cov_02_uncommon", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/balancestate/balance_ar_cov_03_rare.balance_ar_cov_03_rare", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/childrenofthevault/_shared/_design/balancestate/balance_ar_cov_04_veryrare.balance_ar_cov_04_veryrare", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/barrage/balance/balance_dal_ar_barrage.balance_dal_ar_barrage", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/barrage/balance/invpartset_dal_ar_barrage.invpartset_dal_ar_barrage", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/botd/balance/balance_dal_ar_botd.balance_dal_ar_botd", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/botd/balance/invpartset_dal_ar_botd.invpartset_dal_ar_botd", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/crazyearldefault/balance_dal_ar_crazyearldefault.balance_dal_ar_crazyearldefault", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/earworm/balance/balance_dal_ar_earworm.balance_dal_ar_earworm", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/earworm/balance/invpartset_dal_ar_earworm.invpartset_dal_ar_earworm", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/hail/balance/balance_dal_ar_hail.balance_dal_ar_hail", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/hail/balance/invpartset_dal_ar_hail.invpartset_dal_ar_hail", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/kaos/balance/balance_dal_ar_kaos.balance_dal_ar_kaos", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/kaos/balance/invpartset_dal_ar_kaos.invpartset_dal_ar_kaos", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/starhelix/balance/balance_dal_ar_starhelix.balance_dal_ar_starhelix", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/starhelix/balance/invpartset_dal_ar_starhelix.invpartset_dal_ar_starhelix", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/warlord/balance/balance_dal_ar_warlord.balance_dal_ar_warlord", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/_unique/warlord/balance/invpartset_dal_ar_warlord.invpartset_dal_ar_warlord", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/ai/balance_dal_ar_ai.balance_dal_ar_ai", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/balancestate/balance_dal_ar_01_common.balance_dal_ar_01_common", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/balancestate/balance_dal_ar_02_uncommon.balance_dal_ar_02_uncommon", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/balancestate/balance_dal_ar_03_rare.balance_dal_ar_03_rare", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/dahl/_shared/_design/balancestate/balance_dal_ar_04_veryrare.balance_dal_ar_04_veryrare", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/bekah/balance/balance_ar_jak_bekah.balance_ar_jak_bekah", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/bekah/balance/invpartset_jak_ar_bekah.invpartset_jak_ar_bekah", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/gatlinggun/balance/balance_ar_jak_04_gatlinggun.balance_ar_jak_04_gatlinggun", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/gatlinggun/balance/invpartset_jak_ar_gatlinggun.invpartset_jak_ar_gatlinggun", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/handofglory/balance/balance_ar_jak_handofglory.balance_ar_jak_handofglory", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/handofglory/balance/invpartset_jak_ar_handofglory.invpartset_jak_ar_handofglory", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/leadsprinkler/balance/balance_ar_jak_leadsprinkler.balance_ar_jak_leadsprinkler", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/leadsprinkler/balance/invpartset_jak_ar_leadsprinkler.invpartset_jak_ar_leadsprinkler", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/pasrifle/balance/balance_ar_jak_pasrifle.balance_ar_jak_pasrifle", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/pasrifle/balance/invpartset_jak_ar_pasrifle.invpartset_jak_ar_pasrifle", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/rowanscall/balance/balance_ar_jak_rowanscall.balance_ar_jak_rowanscall", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/rowanscall/balance/invpartset_jak_ar_rowanscall.invpartset_jak_ar_rowanscall", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/traitorsdeath/balance/balance_ar_jak_traitorsdeath.balance_ar_jak_traitorsdeath", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/_unique/traitorsdeath/balance/invpartset_jak_ar_traitorsdeath.invpartset_jak_ar_traitorsdeath", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/ai/balance_ar_jak_ai.balance_ar_jak_ai", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/balance/balance_ar_jak_01_common.balance_ar_jak_01_common", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/balance/balance_ar_jak_02_uncommon.balance_ar_jak_02_uncommon", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/balance/balance_ar_jak_03_rare.balance_ar_jak_03_rare", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/jakobs/_shared/_design/balance/balance_ar_jak_04_veryrare.balance_ar_jak_04_veryrare", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/alchemist/balance/balance_ar_tor_alchemist.balance_ar_tor_alchemist", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/alchemist/balance/invpartset_ar_tor_alchemist.invpartset_ar_tor_alchemist", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/ambermanagement/balance/balance_ar_tor_ambermanagement.balance_ar_tor_ambermanagement", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/ambermanagement/balance/invpartset_ar_tor_ambermanagement.invpartset_ar_tor_ambermanagement", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/bearcat/balance/balance_ar_tor_bearcat.balance_ar_tor_bearcat", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/bearcat/balance/invpartset_ar_tor_bearcat.invpartset_ar_tor_bearcat", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/lasersploder/balance/balance_ar_tor_lasersploder.balance_ar_tor_lasersploder", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/lasersploder/balance/invpartset_ar_tor_lasersploder.invpartset_ar_tor_lasersploder", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/trybolt/balance/balance_ar_tor_trybolt.balance_ar_tor_trybolt", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/trybolt/balance/invpartset_ar_tor_trybolt.invpartset_ar_tor_trybolt", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/_unique/wardenweapon/balance_ar_tor_warden.balance_ar_tor_warden", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/ai/balance_ar_tor_ai.balance_ar_tor_ai", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/balance/balance_ar_tor_01_common.balance_ar_tor_01_common", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/balance/balance_ar_tor_02_uncommon.balance_ar_tor_02_uncommon", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/balance/balance_ar_tor_03_rare.balance_ar_tor_03_rare", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/torgue/_shared/_design/balance/balance_ar_tor_04_veryrare.balance_ar_tor_04_veryrare", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/bigsucc/balance_ar_vla_bigsucc.balance_ar_vla_bigsucc", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/damn/balance/balance_ar_vla_damn.balance_ar_vla_damn", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/damn/balance/invpart_vla_ar_damn.invpart_vla_ar_damn", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/dictator/balance/balance_ar_vla_dictator.balance_ar_vla_dictator", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/dictator/balance/invpart_vla_ar_dictator.invpart_vla_ar_dictator", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/faisor/balance/balance_ar_vla_faisor.balance_ar_vla_faisor", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/faisor/balance/invpart_vla_ar_faisor.invpart_vla_ar_faisor", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/lucianscall/balance/balance_ar_vla_lucianscall.balance_ar_vla_lucianscall", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/lucianscall/balance/invpart_vla_ar_lucianscall.invpart_vla_ar_lucianscall", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/ogre/balance/balance_ar_vla_ogre.balance_ar_vla_ogre", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/ogre/balance/invpart_vla_ar_ogre.invpart_vla_ar_ogre", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/shredifier/balance/balance_ar_vla_sherdifier.balance_ar_vla_sherdifier", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/shredifier/balance/invpart_vla_ar_sherdifier.invpart_vla_ar_sherdifier", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/sickle/balance/balance_ar_vla_sickle.balance_ar_vla_sickle", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/_unique/sickle/balance/invpart_vla_ar_sickle.invpart_vla_ar_sickle", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/ai/balance_ar_vla_ai.balance_ar_vla_ai", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/balancestate/balance_ar_vla_01_common.balance_ar_vla_01_common", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/balancestate/balance_ar_vla_02_uncommon.balance_ar_vla_02_uncommon", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/balancestate/balance_ar_vla_03_rare.balance_ar_vla_03_rare", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/assaultrifles/vladof/_shared/_design/balancestate/balance_ar_vla_04_veryrare.balance_ar_vla_04_veryrare", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/_unique/freeman/balance/balance_hw_atl_freeman.balance_hw_atl_freeman", name: "BPInvPart_ATL_HW_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/_unique/freeman/balance/partset_atl_hw_freeman.partset_atl_hw_freeman", name: "BPInvPart_ATL_HW_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/_unique/rubyswrath/balance/balance_hw_atl_rubyswrath.balance_hw_atl_rubyswrath", name: "BPInvPart_ATL_HW_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/_unique/rubyswrath/balance/partset_atl_hw_rubyswrath.partset_atl_hw_rubyswrath", name: "BPInvPart_ATL_HW_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/balancestate/balance_hw_atl_01_common.balance_hw_atl_01_common", name: "BPInvPart_ATL_HW_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/balancestate/balance_hw_atl_02_uncommon.balance_hw_atl_02_uncommon", name: "BPInvPart_ATL_HW_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/balancestate/balance_hw_atl_03_rare.balance_hw_atl_03_rare", name: "BPInvPart_ATL_HW_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/atl/_shared/_design/balancestate/balance_hw_atl_04_veryrare.balance_hw_atl_04_veryrare", name: "BPInvPart_ATL_HW_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/_forai/balance_hw_cov_ai_useonly.balance_hw_cov_ai_useonly", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/_unique/hotdrop/balance/balance_hw_cov_hotdrop.balance_hw_cov_hotdrop", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/_unique/hotdrop/balance/partset_hw_cov_hotdrop.partset_hw_cov_hotdrop", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/_unique/portapooper/balance/balance_hw_cov_portapooper.balance_hw_cov_portapooper", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/_unique/portapooper/balance/partset_hw_cov_portapooper.partset_hw_cov_portapooper", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/_unique/terror/balance/balance_hw_cov_terror.balance_hw_cov_terror", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/_unique/terror/balance/partset_hw_cov_terror.partset_hw_cov_terror", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/balance/balance_hw_cov_01_common.balance_hw_cov_01_common", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/balance/balance_hw_cov_02_uncommon.balance_hw_cov_02_uncommon", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/balance/balance_hw_cov_03_rare.balance_hw_cov_03_rare", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/childrenofthevault/_shared/_design/balance/balance_hw_cov_04_veryrare.balance_hw_cov_04_veryrare", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/eridian/_shared/_design/balance/balance_eridian_fabricator.balance_eridian_fabricator", name: "BPInvPartData_EridianFabricator_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_forai/balance_hw_tor_ai_useonly.balance_hw_tor_ai_useonly", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/burgercannon/balance/balance_hw_tor_burgercannon.balance_hw_tor_burgercannon", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/burgercannon/balance/partset_hw_tor_burgercannon.partset_hw_tor_burgercannon", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/hive/balance/balance_hw_tor_hive.balance_hw_tor_hive", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/hive/balance/partset_hw_tor_hive.partset_hw_tor_hive", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/rampager/balance/balance_hw_tor_rampager.balance_hw_tor_rampager", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/rampager/balance/partset_hw_tor_rampager.partset_hw_tor_rampager", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/ryno/balance/balance_hw_tor_ryno.balance_hw_tor_ryno", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/ryno/balance/partset_hw_tor_ryno.partset_hw_tor_ryno", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/swarm/balance/balance_hw_tor_swarm.balance_hw_tor_swarm", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/swarm/balance/partset_hw_tor_swarm.partset_hw_tor_swarm", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/tunguska/balance/balance_hw_tor_tunguska.balance_hw_tor_tunguska", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/_unique/tunguska/balance/partset_hw_tor_tunguska.partset_hw_tor_tunguska", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/balance/balance_hw_tor_01_common.balance_hw_tor_01_common", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/balance/balance_hw_tor_02_uncommon.balance_hw_tor_02_uncommon", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/balance/balance_hw_tor_03_rare.balance_hw_tor_03_rare", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/torgue/_shared/_design/balance/balance_hw_tor_04_veryrare.balance_hw_tor_04_veryrare", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/_forai/balance_hw_vla_ai_useonly.balance_hw_vla_ai_useonly", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/_unique/cloudburst/balance/balance_hw_vla_cloudburst.balance_hw_vla_cloudburst", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/_unique/cloudburst/balance/partset_hw_vla_cloudburst.partset_hw_vla_cloudburst", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/_unique/mongol/balance/balance_hw_vla_mongol.balance_hw_vla_mongol", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/_unique/mongol/balance/partset_hw_vla_mongol.partset_hw_vla_mongol", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/balance/balance_hw_vla_01_common.balance_hw_vla_01_common", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/balance/balance_hw_vla_02_uncommon.balance_hw_vla_02_uncommon", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/balance/balance_hw_vla_03_rare.balance_hw_vla_03_rare", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/heavyweapons/vladof/_shared/_design/balance/balance_hw_vla_04_veryrare.balance_hw_vla_04_veryrare", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/_unique/drill/balance/balance_ps_atl_drill.balance_ps_atl_drill", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/_unique/drill/balance/partset_ps_atl_drill.partset_ps_atl_drill", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/_unique/warmonger/balance/balance_ps_atl_warmonger.balance_ps_atl_warmonger", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/_unique/warmonger/balance/partset_ps_atl_warmonger.partset_ps_atl_warmonger", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/ai/balance_ps_atl_ai.balance_ps_atl_ai", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/balance/balance_ps_atl_01_common.balance_ps_atl_01_common", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/balance/balance_ps_atl_02_uncommon.balance_ps_atl_02_uncommon", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/balance/balance_ps_atl_03_rare.balance_ps_atl_03_rare", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/atlas/_shared/_design/balance/balance_ps_atl_04_veryrare.balance_ps_atl_04_veryrare", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/chad/balance/balance_ps_cov_chad.balance_ps_cov_chad", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/chad/balance/partset_ps_cov_chad.partset_ps_cov_chad", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/contagion/balance/balance_ps_cov_contagion.balance_ps_cov_contagion", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/contagion/balance/partset_ps_cov_contagion.partset_ps_cov_contagion", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/legion/balance/balance_ps_cov_legion.balance_ps_cov_legion", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/legion/balance/partset_ps_cov_legion.partset_ps_cov_legion", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/mouthpiece/balance/balance_ps_cov_mouthpiece.balance_ps_cov_mouthpiece", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/mouthpiece/balance/partset_ps_cov_mouthpiece.partset_ps_cov_mouthpiece", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/psychostabber/balance/balance_ps_cov_psychostabber.balance_ps_cov_psychostabber", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/psychostabber/balance/partset_ps_cov_psychostabber.partset_ps_cov_psychostabber", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/skeksis/balance/balance_ps_cov_skeksis.balance_ps_cov_skeksis", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/_unique/skeksis/balance/partset_ps_cov_skeksis.partset_ps_cov_skeksis", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/ai/balance_ps_cov_ai.balance_ps_cov_ai", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/balance/balance_ps_cov_01_common.balance_ps_cov_01_common", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/balance/balance_ps_cov_02_uncommon.balance_ps_cov_02_uncommon", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/balance/balance_ps_cov_03_rare.balance_ps_cov_03_rare", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/childrenofthevault/_shared/_design/balance/balance_ps_cov_04_veryrare.balance_ps_cov_04_veryrare", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/aaa/balance/balance_dal_ps_aaa.balance_dal_ps_aaa", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/aaa/balance/partset_dal_ps_aaa.partset_dal_ps_aaa", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/hornet/balance/balance_dal_ps_hornet.balance_dal_ps_hornet", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/hornet/balance/partset_dal_ps_hornet.partset_dal_ps_hornet", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/nemesis/balance/balance_dal_ps_nemesis.balance_dal_ps_nemesis", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/nemesis/balance/partset_dal_ps_nemesis.partset_dal_ps_nemesis", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/omniloader/balance/balance_dal_ps_omniloader.balance_dal_ps_omniloader", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/omniloader/balance/partset_dal_ps_omniloader.partset_dal_ps_omniloader", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/operativeskillscreen/balance_dal_ps_operativeskillscreen.balance_dal_ps_operativeskillscreen", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/rakkman/balance/balance_dal_ps_rakkman.balance_dal_ps_rakkman", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/_unique/rakkman/balance/partset_dal_ps_rakkman.partset_dal_ps_rakkman", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/ai/balance_dal_ps_ai.balance_dal_ps_ai", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_01_common.balance_dal_ps_01_common", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_01_firstguna.balance_dal_ps_01_firstguna", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_01_firstgunb.balance_dal_ps_01_firstgunb", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_02_uncommon.balance_dal_ps_02_uncommon", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_03_rare.balance_dal_ps_03_rare", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/dahl/_shared/_design/balancestate/balance_dal_ps_04_veryrare.balance_dal_ps_04_veryrare", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/amazinggrace/balance/balance_ps_jak_amazinggrace.balance_ps_jak_amazinggrace", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/amazinggrace/balance/invpartset_ps_jak_amazinggrace.invpartset_ps_jak_amazinggrace", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/aureliabackup/balance/balance_ps_jak_aureliapistol.balance_ps_jak_aureliapistol", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/aureliabackup/balance/invpartset_ps_jak_aureliapistol.invpartset_ps_jak_aureliapistol", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/buttplug/balance/balance_ps_jak_buttplug.balance_ps_jak_buttplug", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/buttplug/balance/invpartset_ps_jak_buttplug.invpartset_ps_jak_buttplug", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/doc/balance/balance_ps_jak_doc.balance_ps_jak_doc", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/doc/balance/invpartset_ps_jak_doc.invpartset_ps_jak_doc", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/godmother/balance/balance_ps_jak_godmother.balance_ps_jak_godmother", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/godmother/balance/invpartset_ps_jak_godmother.invpartset_ps_jak_godmother", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/maggie/balance/balance_ps_jak_maggie.balance_ps_jak_maggie", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/maggie/balance/invpartset_ps_jak_maggie.invpartset_ps_jak_maggie", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/malevolent/balance/balance_ps_jak_malevolent.balance_ps_jak_malevolent", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/malevolent/balance/invpartset_ps_jak_malevolent.invpartset_ps_jak_malevolent", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/melscompanion/balance/balance_ps_jak_melscompanion.balance_ps_jak_melscompanion", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/melscompanion/balance/invpartset_ps_jak_melscompanion.invpartset_ps_jak_melscompanion", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/spyrevolver/balance_ps_jak_spyrevolver.balance_ps_jak_spyrevolver", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/theduc/balance/balance_ps_jak_theduc.balance_ps_jak_theduc", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/theduc/balance/invpartset_ps_jak_theduc.invpartset_ps_jak_theduc", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/torturetruck/balance_ps_jak_torturetruck.balance_ps_jak_torturetruck", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/unforgiven/balance/balance_ps_jak_unforgiven.balance_ps_jak_unforgiven", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/unforgiven/balance/invpartset_ps_jak_unforgiven.invpartset_ps_jak_unforgiven", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/wagonwheel/balance/balance_ps_jak_wagonwheel.balance_ps_jak_wagonwheel", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/_unique/wagonwheel/balance/invpartset_ps_jak_wagonwheel.invpartset_ps_jak_wagonwheel", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/ai/balance_ps_jak_ai.balance_ps_jak_ai", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/balance_ps_jak_01_common.balance_ps_jak_01_common", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/balance_ps_jak_02_uncommon.balance_ps_jak_02_uncommon", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/balance_ps_jak_03_rare.balance_ps_jak_03_rare", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/balance_ps_jak_04_veryrare.balance_ps_jak_04_veryrare", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/firstgun/balance_ps_jak_firstgun_b.balance_ps_jak_firstgun_b", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/firstgun/balance_ps_jak_firstgun_c.balance_ps_jak_firstgun_c", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/firstgun/invpartset_ps_jak_firstgun_b.invpartset_ps_jak_firstgun_b", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/firstgun/invpartset_ps_jak_firstgun_c.invpartset_ps_jak_firstgun_c", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/jakobs/_shared/_design/balancestate/firstgun/part_ps_jak_material_firstgunb.part_ps_jak_material_firstgunb", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/_ai/trooperbadass/balance_ps_mal_ai_trooperbadass.balance_ps_mal_ai_trooperbadass", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/hellshock/balance/balance_ps_mal_hellshock.balance_ps_mal_hellshock", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/hellshock/balance/invpartset_ps_mal_hellshock.invpartset_ps_mal_hellshock", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/hyperhydrator/balance/balance_ps_mal_hyperhydrator.balance_ps_mal_hyperhydrator", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/hyperhydrator/balance/invpartset_ps_mal_hyperhydrator.invpartset_ps_mal_hyperhydrator", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/plumber/balance/balance_ps_mal_plumber.balance_ps_mal_plumber", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/plumber/balance/invpartset_ps_mal_plumber.invpartset_ps_mal_plumber", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/starkiller/balance/balance_ps_mal_starkiller.balance_ps_mal_starkiller", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/starkiller/balance/invpartset_ps_mal_starkiller.invpartset_ps_mal_starkiller", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/suckerpunch/balance/balance_ps_mal_suckerpunch.balance_ps_mal_suckerpunch", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/suckerpunch/balance/invpartset_ps_mal_suckerpunch.invpartset_ps_mal_suckerpunch", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/thunderballfist/balance/balance_ps_mal_thunderballfists.balance_ps_mal_thunderballfists", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/thunderballfist/balance/invpartset_ps_mal_thuderballfists.invpartset_ps_mal_thuderballfists", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/thunderballfist/parts/part_ps_mal_barrel_thunderballfists.part_ps_mal_barrel_thunderballfists", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/_unique/thunderballfist/parts/part_ps_mal_material_thunderballfists.part_ps_mal_material_thunderballfists", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/ai/balance_ps_mal_ai.balance_ps_mal_ai", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/balancestate/balance_ps_mal_01_common.balance_ps_mal_01_common", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/balancestate/balance_ps_mal_02_uncommon.balance_ps_mal_02_uncommon", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/balancestate/balance_ps_mal_03_rare.balance_ps_mal_03_rare", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/maliwan/_shared/_design/balancestate/balance_ps_mal_04_veryrare.balance_ps_mal_04_veryrare", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/_bangarang/balance/balance_ps_ted_bangerang.balance_ps_ted_bangerang", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/_bangarang/balance/invpartset_ps_ted_bangerang.invpartset_ps_ted_bangerang", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/babymaker/balance/balance_ps_tediore_babymaker.balance_ps_tediore_babymaker", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/babymaker/balance/invpartset_ps_ted_babymaker.invpartset_ps_ted_babymaker", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/babymaker/balance/salvage/balance_ps_tediore_babymaker_salvage.balance_ps_tediore_babymaker_salvage", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/babymaker/balance/salvage/invpartset_ps_ted_babymaker_salvage.invpartset_ps_ted_babymaker_salvage", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/gunerang/balance/balance_ps_ted_gunerang.balance_ps_ted_gunerang", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/gunerang/balance/invpartset_ps_ted_gunerang.invpartset_ps_ted_gunerang", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/sabre/balance/balance_ps_tediore_sabre.balance_ps_tediore_sabre", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/_unique/sabre/balance/invpartset_ps_ted_sabre.invpartset_ps_ted_sabre", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/ai/balance_ps_tediore_ai.balance_ps_tediore_ai", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/balancestate/balance_ps_tediore_01_common.balance_ps_tediore_01_common", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/balancestate/balance_ps_tediore_02_uncommon.balance_ps_tediore_02_uncommon", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/balancestate/balance_ps_tediore_03_rare.balance_ps_tediore_03_rare", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/tediore/shared/_design/balancestate/balance_ps_tediore_04_veryrare.balance_ps_tediore_04_veryrare", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/devestator/balance/balance_ps_tor_devestator.balance_ps_tor_devestator", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/devestator/balance/partset_ps_tor_devestator.partset_ps_tor_devestator", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/echo/balance/balance_ps_tor_echo.balance_ps_tor_echo", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/echo/balance/partset_ps_tor_echo.partset_ps_tor_echo", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/foursum/balance/balance_ps_tor_4sum.balance_ps_tor_4sum", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/foursum/balance/partset_ps_tor_4sum.partset_ps_tor_4sum", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/heckelandhyde/heckle/balance/balance_ps_tor_heckle.balance_ps_tor_heckle", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/heckelandhyde/heckle/balance/partset_ps_tor_heckle.partset_ps_tor_heckle", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/heckelandhyde/hyde/balance/balance_ps_tor_hyde.balance_ps_tor_hyde", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/heckelandhyde/hyde/balance/partset_ps_tor_hyde.partset_ps_tor_hyde", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/nurf/balance/balance_ps_tor_nurf.balance_ps_tor_nurf", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/nurf/balance/partset_ps_tor_nurf.partset_ps_tor_nurf", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/roisensthorns/balance/balance_ps_tor_roisensthorns.balance_ps_tor_roisensthorns", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/roisensthorns/balance/partset_ps_tor_roisensthorns.partset_ps_tor_roisensthorns", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/troy/balance/balance_ps_tor_troy.balance_ps_tor_troy", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/_unique/troy/balance/partset_ps_tor_troy.partset_ps_tor_troy", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/ai/balance_ps_tor_ai.balance_ps_tor_ai", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/balance/balance_ps_tor_01_common.balance_ps_tor_01_common", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/balance/balance_ps_tor_02_uncommon.balance_ps_tor_02_uncommon", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/balance/balance_ps_tor_03_rare.balance_ps_tor_03_rare", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/torgue/_shared/_design/balance/balance_ps_tor_04_veryrare.balance_ps_tor_04_veryrare", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/boneshredder/balance/balance_ps_vla_boneshredder.balance_ps_vla_boneshredder", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/boneshredder/balance/invpart_vla_ps_boneshredder.invpart_vla_ps_boneshredder", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/infiniti/balance/balance_ps_vla_infiniti.balance_ps_vla_infiniti", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/infiniti/balance/invpart_vla_ps_infiniti.invpart_vla_ps_infiniti", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/magnificent/balance/balance_ps_vla_magnificent.balance_ps_vla_magnificent", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/magnificent/balance/invpart_vla_ps_magnificent.invpart_vla_ps_magnificent", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/theleech/balance/balance_ps_vla_theleech.balance_ps_vla_theleech", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/_unique/theleech/balance/invpart_vla_ps_theleech.invpart_vla_ps_theleech", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/ai/balance_ps_vla_ai.balance_ps_vla_ai", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/balancestate/balance_ps_vla_01_common.balance_ps_vla_01_common", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/balancestate/balance_ps_vla_02_uncommon.balance_ps_vla_02_uncommon", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/balancestate/balance_ps_vla_03_rare.balance_ps_vla_03_rare", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/balancestate/balance_ps_vla_04_veryrare.balance_ps_vla_04_veryrare", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/balancestate/firstgun/balance_ps_vla_firstgun_a.balance_ps_vla_firstgun_a", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/pistols/vladof/_shared/_design/balancestate/firstgun/invpart_vla_ps_firstgun_a.invpart_vla_ps_firstgun_a", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/brick/balance/balance_sg_hyp_brick.balance_sg_hyp_brick", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/brick/balance/bpinvpartset_sg_hyp_brick.bpinvpartset_sg_hyp_brick", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/conferencecall/balance/balance_sg_hyp_conferencecall.balance_sg_hyp_conferencecall", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/conferencecall/balance/bpinvpartset_sg_hyp_conferencecall.bpinvpartset_sg_hyp_conferencecall", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/phebert/balance/balance_sg_hyp_phebert.balance_sg_hyp_phebert", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/phebert/balance/bpinvpartset_sg_hyp_phebert.bpinvpartset_sg_hyp_phebert", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/redistributor/balance/balance_sg_hyp_redistributor.balance_sg_hyp_redistributor", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/redistributor/balance/bpinvpartset_sg_hyp_redistributor.bpinvpartset_sg_hyp_redistributor", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/thebutcher/balance/balance_sg_hyp_thebutcher.balance_sg_hyp_thebutcher", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/_unique/thebutcher/balance/bpinvpartset_sg_hyp_thebutcher.bpinvpartset_sg_hyp_thebutcher", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/ai/balance_sg_hyp_ai.balance_sg_hyp_ai", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/balancestates/balance_sg_hyp_01_common.balance_sg_hyp_01_common", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/balancestates/balance_sg_hyp_02_uncommon.balance_sg_hyp_02_uncommon", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/balancestates/balance_sg_hyp_03_rare.balance_sg_hyp_03_rare", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/hyperion/_shared/_design/balancestates/balance_sg_hyp_04_veryrare.balance_sg_hyp_04_veryrare", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/garcia/balance/balance_sg_jak_garcia.balance_sg_jak_garcia", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/garcia/balance/partset_sg_jak_garcia.partset_sg_jak_garcia", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/hellwalker/balance/balance_sg_jak_hellwalker.balance_sg_jak_hellwalker", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/hellwalker/balance/partset_sg_jak_hellwalker.partset_sg_jak_hellwalker", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/nimblejack/balance/balance_sg_jak_nimble.balance_sg_jak_nimble", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/nimblejack/balance/partset_sg_jak_nimble.partset_sg_jak_nimble", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/onepunch/balance/balance_sg_jak_onepunch.balance_sg_jak_onepunch", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/onepunch/balance/partset_sg_jak_onepunch.partset_sg_jak_onepunch", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/sledge/balance/balance_sg_jak_lgd_sledge.balance_sg_jak_lgd_sledge", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/_legendary/sledge/balance/partset_sg_jak_lgd_sledge.partset_sg_jak_lgd_sledge", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/fingerbiter/balance/balance_sg_jak_fingerbiter.balance_sg_jak_fingerbiter", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/fingerbiter/balance/partset_sg_jak_fingerbiter.partset_sg_jak_fingerbiter", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/thewave/balance/balance_sg_jak_unique_wave.balance_sg_jak_unique_wave", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/_unique/thewave/balance/partset_sg_jak_unique_wave.partset_sg_jak_unique_wave", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/ai/balance_sg_jak_ai.balance_sg_jak_ai", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/balancestate/balance_sg_jak_01_common.balance_sg_jak_01_common", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/balancestate/balance_sg_jak_02_uncommon.balance_sg_jak_02_uncommon", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/balancestate/balance_sg_jak_03_rare.balance_sg_jak_03_rare", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/jakobs/_shared/_design/balancestate/balance_sg_jak_04_veryrare.balance_sg_jak_04_veryrare", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/mouthpiece2/balance/balance_sg_mal_mouthpiece2.balance_sg_mal_mouthpiece2", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/mouthpiece2/balance/invpartset_sg_mal_mouthpiece2.invpartset_sg_mal_mouthpiece2", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/recursion/balance/balance_sg_mal_recursion.balance_sg_mal_recursion", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/recursion/balance/invpartset_sg_mal_recursion.invpartset_sg_mal_recursion", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/shriek/balance/balance_sg_mal_shriek.balance_sg_mal_shriek", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/shriek/balance/invpartset_sg_mal_shriek.invpartset_sg_mal_shriek", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/trev/balance/balance_sg_mal_trev.balance_sg_mal_trev", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/trev/balance/invpartset_sg_mal_trev.invpartset_sg_mal_trev", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/wisp/balance/balance_sg_mal_wisp.balance_sg_mal_wisp", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/_unique/wisp/balance/invpartset_sg_mal_wisp.invpartset_sg_mal_wisp", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/ai/balance_sg_mal_ai.balance_sg_mal_ai", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/balancestate/balance_sg_mal_01_common.balance_sg_mal_01_common", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/balancestate/balance_sg_mal_02_uncommon.balance_sg_mal_02_uncommon", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/balancestate/balance_sg_mal_03_rare.balance_sg_mal_03_rare", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/maliwan/_shared/_design/balancestate/balance_sg_mal_04_veryrare.balance_sg_mal_04_veryrare", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/friendzone/balance/balance_sg_ted_friendzone.balance_sg_ted_friendzone", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/friendzone/balance/partset_sg_ted_friendzone.partset_sg_ted_friendzone", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/horizon/balance/balance_sg_ted_horizon.balance_sg_ted_horizon", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/horizon/balance/partset_sg_ted_horizon.partset_sg_ted_horizon", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/polybius/balance/balance_sg_ted_polybius.balance_sg_ted_polybius", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/polybius/balance/partset_sg_ted_polybius.partset_sg_ted_polybius", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/sludge/balance/balance_sg_ted_sludge.balance_sg_ted_sludge", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/_unique/sludge/balance/partset_sg_ted_sludge.partset_sg_ted_sludge", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/ai/balance_sg_ted_ai.balance_sg_ted_ai", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/balance/balance_sg_ted_01_common.balance_sg_ted_01_common", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/balance/balance_sg_ted_02_uncommon.balance_sg_ted_02_uncommon", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/balance/balance_sg_ted_03_rare.balance_sg_ted_03_rare", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/tediore/_shared/_design/balance/balance_sg_ted_04_veryrare.balance_sg_ted_04_veryrare", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/balrog/balance/balance_sg_torgue_balrog.balance_sg_torgue_balrog", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/balrog/balance/invpartset_sg_torgue_balrog.invpartset_sg_torgue_balrog", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/balrog/parts/part_sg_torgue_barrel_balrog.part_sg_torgue_barrel_balrog", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/balrog/parts/part_sg_torgue_material_balrog.part_sg_torgue_material_balrog", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/brew/balance/balance_sg_tor_brewha.balance_sg_tor_brewha", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/brew/balance/invpartset_sg_tor_brewha.invpartset_sg_tor_brewha", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/flakker/balance/balance_sg_torgue_flakker.balance_sg_torgue_flakker", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/flakker/balance/invpartset_sg_torgue_flakker.invpartset_sg_torgue_flakker", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/redliner/balance/balance_sg_torgue_redline.balance_sg_torgue_redline", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/redliner/balance/invpartset_sg_torgue_redline.invpartset_sg_torgue_redline", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/theboringgun/balance/balance_sg_tor_boring.balance_sg_tor_boring", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/theboringgun/balance/invpartset_sg_tor_boring.invpartset_sg_tor_boring", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/thelob/balance/balance_sg_torgue_etech_thelob.balance_sg_torgue_etech_thelob", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/thelob/balance/invpartset_sg_torgue_etech_thelob.invpartset_sg_torgue_etech_thelob", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/thumper/balance/balance_sg_torgue_thumper.balance_sg_torgue_thumper", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/_unique/thumper/balance/invpartset_sg_torgue_thumper.invpartset_sg_torgue_thumper", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/ai/balance_sg_torgue_ai.balance_sg_torgue_ai", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/balancestate/balance_sg_torgue_01_common.balance_sg_torgue_01_common", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/balancestate/balance_sg_torgue_02_uncommon.balance_sg_torgue_02_uncommon", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/balancestate/balance_sg_torgue_03_rare.balance_sg_torgue_03_rare", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/shotguns/torgue/_shared/_design/balancestate/balance_sg_torgue_04_veryrare.balance_sg_torgue_04_veryrare", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/demoskag/balance/balance_sm_dal_demoskag.balance_sm_dal_demoskag", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/demoskag/balance/invpartset_sm_dal_demoskag.invpartset_sm_dal_demoskag", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/hellfire/balance/balance_sm_dahl_hellfire.balance_sm_dahl_hellfire", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/hellfire/balance/invpartset_sm_dal_hellfire.invpartset_sm_dal_hellfire", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/ninevolt/balance/balance_sm_dahl_ninevolt.balance_sm_dahl_ninevolt", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/ninevolt/balance/invpartset_sm_dal_ninevolt.invpartset_sm_dal_ninevolt", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/ripper/balance/balance_sm_dal_ripper.balance_sm_dal_ripper", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/ripper/balance/invpartset_sm_dal_ripper.invpartset_sm_dal_ripper", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/rocknroll_intro/balance_sm_dal_playableintroonly.balance_sm_dal_playableintroonly", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/sleepinggiant/balance/balance_sm_dal_sleepinggiant.balance_sm_dal_sleepinggiant", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/sleepinggiant/balance/invpartset_sm_dal_sleepinggiant.invpartset_sm_dal_sleepinggiant", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/vanquisher/balance/balance_sm_dahl_vanquisher.balance_sm_dahl_vanquisher", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/_unique/vanquisher/balance/partset_sm_dal_vanquisher.partset_sm_dal_vanquisher", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/ai/balance_sm_dahl_ai.balance_sm_dahl_ai", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/balance_sm_dahl_01_common.balance_sm_dahl_01_common", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/balance_sm_dahl_01_common_no_elemental.balance_sm_dahl_01_common_no_elemental", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/balance_sm_dahl_02_uncommon.balance_sm_dahl_02_uncommon", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/balance_sm_dahl_03_rare.balance_sm_dahl_03_rare", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/balance_sm_dahl_04_veryrare.balance_sm_dahl_04_veryrare", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/endgametest/balance_sm_dahl_test_endgame.balance_sm_dahl_test_endgame", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/endgametest/invpartset_sm_dal_endgame_test.invpartset_sm_dal_endgame_test", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/dahl/_shared/_design/balancestate/endgametest/part_sm_dal_endgame_test.part_sm_dal_endgame_test", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/bitch/balance/balance_sm_hyp_bitch.balance_sm_hyp_bitch", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/bitch/balance/invpartset_sm_hyp_bitch.invpartset_sm_hyp_bitch", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/crossroad/balance/balance_sm_hyp_crossroad.balance_sm_hyp_crossroad", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/crossroad/balance/invpartset_sm_hyp_crossroad.invpartset_sm_hyp_crossroad", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/fork/balance/balance_sm_hyp_fork.balance_sm_hyp_fork", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/fork/balance/invpartset_sm_hyp_fork.invpartset_sm_hyp_fork", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/handsome/balance/balance_sm_hyp_handsome.balance_sm_hyp_handsome", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/handsome/balance/invpartset_sm_hyp_handsome.invpartset_sm_hyp_handsome", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/l0v3m4ch1n3/balance/balance_sm_hyp_l0v3m4ch1n3.balance_sm_hyp_l0v3m4ch1n3", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/l0v3m4ch1n3/balance/invpartset_sm_hyp_l0v3m4ch1n3.invpartset_sm_hyp_l0v3m4ch1n3", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/predatorylending/balance/balance_sm_hyp_predatorylending.balance_sm_hyp_predatorylending", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/predatorylending/balance/invpartset_sm_hyp_predatorylending.invpartset_sm_hyp_predatorylending", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/xz/balance/balance_sm_hyp_xz.balance_sm_hyp_xz", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/_unique/xz/balance/invpartset_sm_hyp_xz.invpartset_sm_hyp_xz", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/ai/balance_sm_hyp_ai.balance_sm_hyp_ai", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/balancestate/balance_sm_hyp_01_common.balance_sm_hyp_01_common", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/balancestate/balance_sm_hyp_02_uncommon.balance_sm_hyp_02_uncommon", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/balancestate/balance_sm_hyp_03_rare.balance_sm_hyp_03_rare", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/hyperion/_shared/_design/balancestate/balance_sm_hyp_04_veryrare.balance_sm_hyp_04_veryrare", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/cloudkill/balance/balance_sm_mal_cloudkill.balance_sm_mal_cloudkill", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/cloudkill/balance/invpartset_sm_mal_cloudkill.invpartset_sm_mal_cloudkill", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/crit/balance/balance_sm_mal_crit.balance_sm_mal_crit", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/crit/balance/invpartset_sm_mal_crit.invpartset_sm_mal_crit", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/cutsman/balance/balance_sm_mal_cutsman.balance_sm_mal_cutsman", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/cutsman/balance/invpartset_sm_mal_cutsman.invpartset_sm_mal_cutsman", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/destructospin/balance/balance_sm_mal_destructospin.balance_sm_mal_destructospin", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/destructospin/balance/invpartset_sm_mal_destructospin.invpartset_sm_mal_destructospin", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/devoted/balance/balance_sm_mal_devoted.balance_sm_mal_devoted", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/devoted/balance/invpartset_sm_mal_devoted.invpartset_sm_mal_devoted", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/e3/balance_sm_mal_e3.balance_sm_mal_e3", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/egon/balance/balance_sm_mal_egon.balance_sm_mal_egon", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/egon/balance/invpartset_sm_mal_egon.invpartset_sm_mal_egon", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/emporer/balance/balance_sm_mal_emporer.balance_sm_mal_emporer", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/emporer/balance/invpartset_sm_mal_emporer.invpartset_sm_mal_emporer", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/kevins/balance/balance_sm_mal_kevins.balance_sm_mal_kevins", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/kevins/balance/invpartset_sm_mal_kevins.invpartset_sm_mal_kevins", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/tsunami/balance/balance_sm_mal_tsunami.balance_sm_mal_tsunami", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/tsunami/balance/invpartset_sm_mal_tsunami.invpartset_sm_mal_tsunami", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/vibrapulse/balance/balance_sm_mal_vibrapulse.balance_sm_mal_vibrapulse", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/vibrapulse/balance/invpartset_sm_mal_vibrapulse.invpartset_sm_mal_vibrapulse", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/westergun/balance/balance_sm_mal_westergun.balance_sm_mal_westergun", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/_unique/westergun/balance/invpartset_sm_mal_westergun.invpartset_sm_mal_westergun", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/ai/balance_sm_mal_ai.balance_sm_mal_ai", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/balancestate/balance_sm_mal_01_common.balance_sm_mal_01_common", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/balancestate/balance_sm_mal_02_uncommon.balance_sm_mal_02_uncommon", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/balancestate/balance_sm_mal_03_rare.balance_sm_mal_03_rare", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/maliwan/_shared/_design/balancestate/balance_sm_mal_04_veryrare.balance_sm_mal_04_veryrare", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/beans/balance/balance_sm_ted_beans.balance_sm_ted_beans", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/beans/balance/partset_sm_ted_beans.partset_sm_ted_beans", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/notaflamethrower/balance/balance_sm_ted_notaflamethrower.balance_sm_ted_notaflamethrower", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/notaflamethrower/balance/partset_sm_ted_notaflamethrower.partset_sm_ted_notaflamethrower", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/spidermind/balance/balance_sm_ted_spidermind.balance_sm_ted_spidermind", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/spidermind/balance/partset_sm_ted_spidermind.partset_sm_ted_spidermind", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/tengallon/balance/balance_sm_ted_tengallon.balance_sm_ted_tengallon", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/_unique/tengallon/balance/partset_sm_ted_tengallon.partset_sm_ted_tengallon", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/ai/balance_sm_ted_ai.balance_sm_ted_ai", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/balance/balance_sm_ted_01_common.balance_sm_ted_01_common", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/balance/balance_sm_ted_02_uncommon.balance_sm_ted_02_uncommon", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/balance/balance_sm_ted_03_rare.balance_sm_ted_03_rare", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/smgs/tediore/_shared/_design/balance/balance_sm_ted_04_veryrare.balance_sm_ted_04_veryrare", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/_unique/brashisdedication/balance/balance_sr_dal_brashisdedication.balance_sr_dal_brashisdedication", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/_unique/brashisdedication/balance/partset_sr_dal_brashisdedication.partset_sr_dal_brashisdedication", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/_unique/malaksbane/balance/balance_sr_dal_etech_malaksbane.balance_sr_dal_etech_malaksbane", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/_unique/malaksbane/balance/partset_sr_dal_etech_malaksbane.partset_sr_dal_etech_malaksbane", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/_unique/worlddestroyer/balance/balance_sr_dal_worlddestroyer.balance_sr_dal_worlddestroyer", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/_unique/worlddestroyer/balance/partset_sr_dal_worlddestroyer.partset_sr_dal_worlddestroyer", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/ai/balance_sr_dal_ai.balance_sr_dal_ai", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/balance/balance_sr_dal_01_common.balance_sr_dal_01_common", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/balance/balance_sr_dal_02_uncommon.balance_sr_dal_02_uncommon", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/balance/balance_sr_dal_03_rare.balance_sr_dal_03_rare", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/dahl/_shared/_design/balance/balance_sr_dal_04_veryrare.balance_sr_dal_04_veryrare", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/_unique/masterworkcrossbow/balance/balance_sr_hyp_masterwork.balance_sr_hyp_masterwork", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/_unique/masterworkcrossbow/balance/partset_sr_hyp_masterwork.partset_sr_hyp_masterwork", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/_unique/twotime/balance/balance_sr_hyp_twotime.balance_sr_hyp_twotime", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/_unique/twotime/balance/partset_sr_hyp_twotime.partset_sr_hyp_twotime", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/_unique/woodblocks/balance/balance_sr_hyp_woodblocks.balance_sr_hyp_woodblocks", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/_unique/woodblocks/balance/partset_sr_hyp_woodblocks.partset_sr_hyp_woodblocks", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/ai/balance_sr_hyp_ai.balance_sr_hyp_ai", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/balance/balance_sr_hyp_01_common.balance_sr_hyp_01_common", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/balance/balance_sr_hyp_02_uncommon.balance_sr_hyp_02_uncommon", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/balance/balance_sr_hyp_03_rare.balance_sr_hyp_03_rare", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/hyperion/_shared/_design/balance/balance_sr_hyp_04_veryrare.balance_sr_hyp_04_veryrare", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/headsplosion/balance/balance_sr_jak_headsplosion.balance_sr_jak_headsplosion", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/headsplosion/balance/partset_sr_jak_headsplosion.partset_sr_jak_headsplosion", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/icequeen/balance/balance_sr_jak_icequeen.balance_sr_jak_icequeen", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/icequeen/balance/partset_sr_jak_icequeen.partset_sr_jak_icequeen", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/monocle/balance/balance_sr_jak_monocle.balance_sr_jak_monocle", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/monocle/balance/partset_sr_jak_monocle.partset_sr_jak_monocle", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/thehunter/balance/balance_sr_jak_hunter.balance_sr_jak_hunter", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/thehunter/balance/partset_sr_jak_hunter.partset_sr_jak_hunter", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/thehunter/hunted/balance/balance_sr_jak_hunted.balance_sr_jak_hunted", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/thehunter/hunted/balance/partset_sr_jak_hunted.partset_sr_jak_hunted", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/thehunter/huntress/balance/balance_sr_jak_huntress.balance_sr_jak_huntress", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/_unique/thehunter/huntress/balance/partset_sr_jak_huntress.partset_sr_jak_huntress", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/ai/balance_sr_jak_ai.balance_sr_jak_ai", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/balance/balance_sr_jak_01_common.balance_sr_jak_01_common", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/balance/balance_sr_jak_02_uncommon.balance_sr_jak_02_uncommon", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/balance/balance_sr_jak_03_rare.balance_sr_jak_03_rare", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/jakobs/_shared/_design/balance/balance_sr_jak_04_veryrare.balance_sr_jak_04_veryrare", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/asmd/balance/balance_mal_sr_asmd.balance_mal_sr_asmd", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/asmd/balance/partset_mal_sr_asmd.partset_mal_sr_asmd", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/krakatoa/balance/balance_mal_sr_krakatoa.balance_mal_sr_krakatoa", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/krakatoa/balance/partset_mal_sr_krakatoa.partset_mal_sr_krakatoa", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/soleki/balance/balance_mal_sr_soleki.balance_mal_sr_soleki", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/soleki/balance/partset_mal_sr_soleki.partset_mal_sr_soleki", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/storm/balance/balance_mal_sr_lgd_storm.balance_mal_sr_lgd_storm", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/_unique/_legendary/storm/balance/partset_mal_sr_lgd_storm.partset_mal_sr_lgd_storm", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/ai/balance_mal_sr_ai.balance_mal_sr_ai", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/balance/balance_mal_sr_01_common.balance_mal_sr_01_common", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/balance/balance_mal_sr_02_uncommon.balance_mal_sr_02_uncommon", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/balance/balance_mal_sr_03_rare.balance_mal_sr_03_rare", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/maliwan/shared/_design/balance/balance_mal_sr_04_veryrare.balance_mal_sr_04_veryrare", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/_unique/lyuda/balance/balance_vla_sr_lyuda.balance_vla_sr_lyuda", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/_unique/lyuda/balance/partset_vla_sr_lyuda.partset_vla_sr_lyuda", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/_unique/prison/balance/balance_vla_sr_prison.balance_vla_sr_prison", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/_unique/prison/balance/partset_vla_sr_prison.partset_vla_sr_prison", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/ai/balance_vla_sr_ai.balance_vla_sr_ai", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/balance/balance_vla_sr_01_common.balance_vla_sr_01_common", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/balance/balance_vla_sr_02_uncommon.balance_vla_sr_02_uncommon", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/balance/balance_vla_sr_03_rare.balance_vla_sr_03_rare", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/gear/weapons/sniperrifles/vladof/_shared/_design/balance/balance_vla_sr_04_veryrare.balance_vla_sr_04_veryrare", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/nonplayercharacters/_pandora/wheeldancer/_design/character/weapon/balance_sg_jak_wheeldancer_npc.balance_sg_jak_wheeldancer_npc", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/nonplayercharacters/atlassoldier/_design/balance_atl_ar_atlassoldier.balance_atl_ar_atlassoldier", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/classmods/_design/bsm/invbald_cm_beastmaster_alisma.invbald_cm_beastmaster_alisma", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/classmods/_design/gun/invbald_cm_gunner_alisma.invbald_cm_gunner_alisma", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/classmods/_design/ope/invbald_cm_operative_alisma.invbald_cm_operative_alisma", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/classmods/_design/srn/invbald_cm_siren_alisma.invbald_cm_siren_alisma", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/faultystar/balance/invbald_shield_legendary_faultystar.invbald_shield_legendary_faultystar", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/faultystar/balance/invbald_shield_legendary_faultystar_epic.invbald_shield_legendary_faultystar_epic", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/faultystar/balance/partset_shield_legendary_faultystar.partset_shield_legendary_faultystar", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/faultystar/balance/partset_shield_legendary_faultystar_epic.partset_shield_legendary_faultystar_epic", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/plusultra/balance/invbald_shield_legendary_plusultra.invbald_shield_legendary_plusultra", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/plusultra/balance/invbald_shield_legendary_plusultra_epic.invbald_shield_legendary_plusultra_epic", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/plusultra/balance/partset_shield_legendary_plusultra.partset_shield_legendary_plusultra", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/shields/_uniques/plusultra/balance/partset_shield_legendary_plusultra_epic.partset_shield_legendary_plusultra_epic", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/ashenbeast/balance/balance_sm_dal_etech_ashenbeast.balance_sm_dal_etech_ashenbeast", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/ashenbeast/balance/balance_sm_dal_etech_ashenbeast_epic.balance_sm_dal_etech_ashenbeast_epic", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/ashenbeast/balance/invpartset_sm_dal_etech_ashenbeast.invpartset_sm_dal_etech_ashenbeast", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/ashenbeast/balance/invpartset_sm_dal_etech_ashenbeast_epic.invpartset_sm_dal_etech_ashenbeast_epic", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/banditlauncher/balance/balance_hw_cov_banditlauncher.balance_hw_cov_banditlauncher", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/banditlauncher/balance/balance_hw_cov_banditlauncher_epic.balance_hw_cov_banditlauncher_epic", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/banditlauncher/balance/partset_hw_cov_banditlauncher.partset_hw_cov_banditlauncher", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/banditlauncher/balance/partset_hw_cov_banditlauncher_epic.partset_hw_cov_banditlauncher_epic", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/blindbandit/balance/balance_sg_mal_blindbandit.balance_sg_mal_blindbandit", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/blindbandit/balance/balance_sg_mal_blindbandit_epic.balance_sg_mal_blindbandit_epic", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/blindbandit/balance/invpartset_sg_mal_blindbandit.invpartset_sg_mal_blindbandit", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/blindbandit/balance/invpartset_sg_mal_blindbandit_epic.invpartset_sg_mal_blindbandit_epic", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/convergence/balance/balance_sg_hyp_convergence.balance_sg_hyp_convergence", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/convergence/balance/balance_sg_hyp_convergence_epic.balance_sg_hyp_convergence_epic", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/convergence/balance/bpinvpartset_sg_hyp_convergence.bpinvpartset_sg_hyp_convergence", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/convergence/balance/bpinvpartset_sg_hyp_convergence_epic.bpinvpartset_sg_hyp_convergence_epic", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/lovablerogue/balance/balance_ar_tor_lovablerogue.balance_ar_tor_lovablerogue", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/lovablerogue/balance/balance_ar_tor_lovablerogue_epic.balance_ar_tor_lovablerogue_epic", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/lovablerogue/balance/invpartset_ar_tor_lovablerogue.invpartset_ar_tor_lovablerogue", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/lovablerogue/balance/invpartset_ar_tor_lovablerogue_epic.invpartset_ar_tor_lovablerogue_epic", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/pat_mk3/balance/balance_sm_ted_patmk3.balance_sm_ted_patmk3", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/pat_mk3/balance/balance_sm_ted_patmk3_epic.balance_sm_ted_patmk3_epic", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/pat_mk3/balance/balance_sm_ted_patmk3_parent.balance_sm_ted_patmk3_parent", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/pat_mk3/balance/partset_sm_ted_patmk3.partset_sm_ted_patmk3", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/pat_mk3/balance/partset_sm_ted_patmk3_epic.partset_sm_ted_patmk3_epic", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/pat_mk3/balance/partset_sm_ted_patmk3_parent.partset_sm_ted_patmk3_parent", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/sawhorse/balance/balance_ar_cov_sawhorse.balance_ar_cov_sawhorse", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/sawhorse/balance/balance_ar_cov_sawhorse_epic.balance_ar_cov_sawhorse_epic", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/sawhorse/balance/invpartset_ar_cov_sawhorse.invpartset_ar_cov_sawhorse", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/sawhorse/balance/invpartset_ar_cov_sawhorse_epic.invpartset_ar_cov_sawhorse_epic", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/septimator/balance/balance_vla_sr_septimator.balance_vla_sr_septimator", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/septimator/balance/balance_vla_sr_septimator_epic.balance_vla_sr_septimator_epic", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/septimator/balance/partset_vla_sr_septimator.partset_vla_sr_septimator", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/septimator/balance/partset_vla_sr_septimator_epic.partset_vla_sr_septimator_epic", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/voice/balance/balance_ps_tor_voice.balance_ps_tor_voice", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/voice/balance/balance_ps_tor_voice_epic.balance_ps_tor_voice_epic", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/voice/balance/partset_ps_tor_voice.partset_ps_tor_voice", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/alisma/gear/weapon/_unique/voice/balance/partset_ps_tor_voice_epic.partset_ps_tor_voice_epic", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/grenademods/_design/_unique/fontofdarkness/balance/invbald_gm_tor_fontofdarkness.invbald_gm_tor_fontofdarkness", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/grenademods/_design/_unique/fontofdarkness/balance/partset_gm_fontofdarkness.partset_gm_fontofdarkness", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/shields/_design/_unique/screamofpain/balance/invbald_shield_screamofterror.invbald_shield_screamofterror", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/shields/_design/_unique/screamofpain/balance/partset_shield_screamofterror.partset_shield_screamofterror", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/weapons/shotguns/hyperion/_shared/_design/_unique/fearmonger/balance/balance_sg_hyp_etech_fearmonger.balance_sg_hyp_etech_fearmonger", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/weapons/shotguns/hyperion/_shared/_design/_unique/fearmonger/balance/partset_sg_hyp_etech_fearmonger.partset_sg_hyp_etech_fearmonger", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/weapons/sniperrifles/dahl/_design/_unique/frostbolt/balance/balance_sr_dal_etech_frostbolt.balance_sr_dal_etech_frostbolt", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/bloodyharvest/gear/weapons/sniperrifles/dahl/_design/_unique/frostbolt/balance/partset_sr_dal_etech_frostbolt.partset_sr_dal_etech_frostbolt", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/cm/_d/partsets/_u/bsm/invbald_cm_beastmaster_dlc1.invbald_cm_beastmaster_dlc1", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/cm/_d/partsets/_u/gun/invbald_cm_gunner_dlc1.invbald_cm_gunner_dlc1", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/cm/_d/partsets/_u/ope/invbald_cm_operative_dlc1.invbald_cm_operative_dlc1", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/cm/_d/partsets/_u/srn/invbald_cm_siren_dlc1.invbald_cm_siren_dlc1", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/grenade/acidburn/balance/invbald_gm_acidburn.invbald_gm_acidburn", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/grenade/acidburn/balance/partset_gm_acidburn.partset_gm_acidburn", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/grenade/slider/balance/invbald_gm_ted_slider.invbald_gm_ted_slider", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/grenade/slider/balance/partset_gm_slider.partset_gm_slider", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/clover/balance/invbald_shield_clover.invbald_shield_clover", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/clover/balance/partset_shield_clover.partset_shield_clover", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/doubledowner/balance/invbald_shield_doubledowner.invbald_shield_doubledowner", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/doubledowner/balance/partset_shield_doubledowner.partset_shield_doubledowner", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/ember/balance/invbald_shield_ember.invbald_shield_ember", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/ember/balance/partset_shield_ember.partset_shield_ember", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/rico/balance/invbald_shield_rico.invbald_shield_rico", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/shield/rico/balance/partset_shield_rico.partset_shield_rico", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/autoaime/balance/balance_sr_dal_autoaime.balance_sr_dal_autoaime", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/autoaime/balance/partset_sr_dal_autoaime.partset_sr_dal_autoaime", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/boomer/balance/balance_sm_dal_boomer.balance_sm_dal_boomer", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/boomer/balance/invpartset_sm_dal_boomer.invpartset_sm_dal_boomer", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/cheaptips/balance/balance_sm_hyp_cheaptips.balance_sm_hyp_cheaptips", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/cheaptips/balance/invpartset_sm_hyp_cheaptips.invpartset_sm_hyp_cheaptips", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/craps/balance/balance_ps_tor_craps.balance_ps_tor_craps", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/craps/balance/partset_ps_tor_craps.partset_ps_tor_craps", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/creamer/balance/balance_hw_tor_creamer.balance_hw_tor_creamer", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/creamer/balance/partset_hw_tor_creamer.partset_hw_tor_creamer", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/digby/balance/balance_dal_ar_digby.balance_dal_ar_digby", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/digby/balance/invpartset_dal_ar_digby.invpartset_dal_ar_digby", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/emberspurge/balance/balance_sm_mal_emberspurge.balance_sm_mal_emberspurge", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/emberspurge/balance/invpartset_sm_mal_emberspurge.invpartset_sm_mal_emberspurge", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/heartbreaker/balance/balance_sg_hyp_heartbreaker.balance_sg_hyp_heartbreaker", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/heartbreaker/balance/bpinvpartset_sg_hyp_heartbreaker.bpinvpartset_sg_hyp_heartbreaker", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/ioncannon/balance/balance_hw_vla_ioncannon.balance_hw_vla_ioncannon", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/ioncannon/balance/partset_hw_vla_ioncannon.partset_hw_vla_ioncannon", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/ionlaser/balance/balance_sm_mal_ionlaser.balance_sm_mal_ionlaser", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/ionlaser/balance/invpartset_sm_mal_ionlaser.invpartset_sm_mal_ionlaser", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/justcaustic/balance/balance_sm_hyp_justcaustic.balance_sm_hyp_justcaustic", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/justcaustic/balance/invpartset_sm_hyp_justcaustic.invpartset_sm_hyp_justcaustic", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/lucky7/balance/balance_ps_jak_lucky7.balance_ps_jak_lucky7", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/lucky7/balance/invpartset_ps_jak_lucky7.invpartset_ps_jak_lucky7", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/meltfacer/balance/balance_sg_hyp_meltfacer.balance_sg_hyp_meltfacer", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/meltfacer/balance/bpinvpartset_sg_hyp_meltfacer.bpinvpartset_sg_hyp_meltfacer", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/nukem/balance/balance_hw_tor_nukem.balance_hw_tor_nukem", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/nukem/balance/partset_hw_tor_nukem.partset_hw_tor_nukem", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/robomasher/balance/balance_ps_jak_robomasher.balance_ps_jak_robomasher", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/robomasher/balance/invpartset_ps_jak_robomasher.invpartset_ps_jak_robomasher", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/scoville/balance/balance_ps_tor_scoville.balance_ps_tor_scoville", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/scoville/balance/partset_ps_tor_scoville.partset_ps_tor_scoville", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/slowhand/balance/balance_sg_hyp_slowhand.balance_sg_hyp_slowhand", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/slowhand/balance/bpinvpartset_sg_hyp_slowhand.bpinvpartset_sg_hyp_slowhand", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/trash/balance/balance_ar_cov_trash.balance_ar_cov_trash", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/trash/balance/invpartset_ar_cov_trash.invpartset_ar_cov_trash", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/varlope/balance/balance_ar_tor_varlope.balance_ar_tor_varlope", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/dandelion/gear/weapon/_unique/varlope/balance/invpartset_ar_tor_varlope.invpartset_ar_tor_varlope", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/event2/enemies/cartelboss/boss/_design/weapon/balance_cartelboss_weapon.balance_cartelboss_weapon", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/event2/enemies/cyber/punk/techlt/_design/weapon/balance_sg_mal_punkcyber.balance_sg_mal_punkcyber", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/event2/enemies/meat/tink/tenderizerlt/_design/weapon/balance_tenderizer.balance_tenderizer", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/grenademods/fishslap/balance/invbald_gm_fishslap.invbald_gm_fishslap", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/grenademods/fishslap/balance/partset_gm_fishslap.partset_gm_fishslap", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/shield/_unique/firewall/balance/invbald_shield_legendary_firewall.invbald_shield_legendary_firewall", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/shield/_unique/firewall/balance/partset_shield_legendary_firewall.partset_shield_legendary_firewall", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/shield/_unique/meat/balance/invbald_shield_legendary_meat.invbald_shield_legendary_meat", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/shield/_unique/meat/balance/partset_shield_legendary_meat.partset_shield_legendary_meat", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/shield/_unique/wattson/balance/invbald_shield_legendary_wattson.invbald_shield_legendary_wattson", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/shield/_unique/wattson/balance/partset_shield_legendary_wattson.partset_shield_legendary_wattson", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/greasetrap/balance/balance_ps_mal_greasetrap.balance_ps_mal_greasetrap", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/greasetrap/balance/invpartset_ps_mal_greasetrap.invpartset_ps_mal_greasetrap", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/iceburger/balance/balance_sg_hyp_iceburger.balance_sg_hyp_iceburger", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/iceburger/balance/bpinvpartset_sg_hyp_iceburger.bpinvpartset_sg_hyp_iceburger", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/icepick/balance/balance_ps_mal_icepick.balance_ps_mal_icepick", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/icepick/balance/invpartset_ps_mal_icepick.invpartset_ps_mal_icepick", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/needlegun/balance/balance_sm_ted_needlegun.balance_sm_ted_needlegun", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/needlegun/balance/partset_sm_ted_needlegun.partset_sm_ted_needlegun", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/opq/balance/balance_atl_ar_opq.balance_atl_ar_opq", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/opq/balance/partset_atl_ar_opq.partset_atl_ar_opq", name: "BPInvPart_ATL_AR_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/pewpew/balance/balance_ar_cov_pewpew.balance_ar_cov_pewpew", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/pewpew/balance/invpartset_ar_cov_pewpew.invpartset_ar_cov_pewpew", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/pricker/balance/balance_sm_hyp_pricker.balance_sm_hyp_pricker", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/pricker/balance/invpartset_sm_hyp_pricker.invpartset_sm_hyp_pricker", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/yellowcake/balance/balance_hw_cov_etech_yellowcake.balance_hw_cov_etech_yellowcake", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/event2/gear/weapon/_unique/yellowcake/balance/partset_hw_cov_etech_yellowcake.partset_hw_cov_etech_yellowcake", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/eventvday/gear/weapon/_unique/polyaim/balance/balance_sm_mal_polyaim.balance_sm_mal_polyaim", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/eventvday/gear/weapon/_unique/polyaim/balance/invpartset_sm_mal_polyaim.invpartset_sm_mal_polyaim", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/eventvday/gear/weapon/_unique/twitchprime/balance/balance_sg_ted_twitch.balance_sg_ted_twitch", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/patchdlc/eventvday/gear/weapon/_unique/twitchprime/balance/partset_sg_ted_twitch.partset_sg_ted_twitch", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/patchdlc/eventvday/gear/weapon/_unique/weddinginvitation/balance/balance_sr_jak_weddinginvite.balance_sr_jak_weddinginvite", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/eventvday/gear/weapon/_unique/weddinginvitation/balance/partset_sr_jak_weddinginvite.partset_sr_jak_weddinginvite", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/artifacts/_design/_unique/vengeance/balance/invbald_artifact_vengeance.invbald_artifact_vengeance", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/artifacts/_design/_unique/vengeance/balance/partset_artifact_vengeance.partset_artifact_vengeance", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/grenade/coreburst/balance/invbald_gm_coreburst.invbald_gm_coreburst", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/grenade/coreburst/balance/partset_gm_coreburst.partset_gm_coreburst", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/grenade/skagoil/balance/invbald_gm_skagoil.invbald_gm_skagoil", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/grenade/skagoil/balance/partset_gm_skagoil.partset_gm_skagoil", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/antler/balance/balance_sg_mal_etech_antler.balance_sg_mal_etech_antler", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/antler/balance/invpartset_sg_mal_etech_antler.invpartset_sg_mal_etech_antler", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/biobetsy/balance/balance_ar_cov_biobetsy_rad.balance_ar_cov_biobetsy_rad", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/biobetsy/balance/balance_ar_cov_biobetsy_shock.balance_ar_cov_biobetsy_shock", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/biobetsy/balance/invpartset_ar_cov_biobetsy_rad.invpartset_ar_cov_biobetsy_rad", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/biobetsy/balance/invpartset_ar_cov_biobetsy_shock.invpartset_ar_cov_biobetsy_shock", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/brightside/balance/balance_sg_ted_brightside.balance_sg_ted_brightside", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/brightside/balance/partset_sg_ted_brightside.partset_sg_ted_brightside", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/bubbleblaster/balance/balance_ps_mal_bubbleblaster.balance_ps_mal_bubbleblaster", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/bubbleblaster/balance/invpartset_ps_mal_bubbleblaster.invpartset_ps_mal_bubbleblaster", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/containedexplosion/balance/balance_ar_tor_contained.balance_ar_tor_contained", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/containedexplosion/balance/invpartset_ar_tor_contained.invpartset_ar_tor_contained", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/coolbeans/balance/balance_ar_jak_coolbeans.balance_ar_jak_coolbeans", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/coolbeans/balance/invpartset_jak_ar_coolbeans.invpartset_jak_ar_coolbeans", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/copybeast/balance/balance_sm_hyp_copybeast.balance_sm_hyp_copybeast", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/copybeast/balance/invpartset_sm_hyp_copybeast.invpartset_sm_hyp_copybeast", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/dakota/balance/balance_sg_jak_dakota.balance_sg_jak_dakota", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/dakota/balance/partset_sg_jak_dakota.partset_sg_jak_dakota", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/decoupler/balance/balance_ps_mal_decoupler.balance_ps_mal_decoupler", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/decoupler/balance/invpartset_ps_mal_decoupler.invpartset_ps_mal_decoupler", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/dowsingrod/balance/balance_ar_vla_dowsing.balance_ar_vla_dowsing", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/dowsingrod/balance/invpart_vla_ar_dowsing.invpart_vla_ar_dowsing", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/earthbound/balance/balance_sm_ted_earthbound.balance_sm_ted_earthbound", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/earthbound/balance/partset_sm_ted_earthbound.partset_sm_ted_earthbound", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/fakobs/balance/balance_sg_jak_fakobs.balance_sg_jak_fakobs", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/fakobs/balance/partset_sg_jak_fakobs.partset_sg_jak_fakobs", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/flipper/balance/balance_sm_mal_flipper.balance_sm_mal_flipper", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/flipper/balance/invpartset_sm_mal_flipper.invpartset_sm_mal_flipper", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/frequency/balance/balance_sg_mal_frequency.balance_sg_mal_frequency", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/frequency/balance/invpartset_sg_mal_frequency.invpartset_sg_mal_frequency", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/gargoyle/balance/balance_ps_cov_gargoyle.balance_ps_cov_gargoyle", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/gargoyle/balance/partset_ps_cov_gargoyle.partset_ps_cov_gargoyle", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/imaginarynumber/balance/balance_mal_sr_imaginarynumber.balance_mal_sr_imaginarynumber", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/imaginarynumber/balance/partset_mal_sr_imaginarynumber.partset_mal_sr_imaginarynumber", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/lasocannon/balance/balance_ps_vla_lasocannon.balance_ps_vla_lasocannon", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/lasocannon/balance/invpart_vla_ps_lasocannon.invpart_vla_ps_lasocannon", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/mcsmugger/balance/balance_ar_jak_mcsmugger.balance_ar_jak_mcsmugger", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/mcsmugger/balance/invpartset_jak_ar_mcsmugger.invpartset_jak_ar_mcsmugger", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/miscreant/balance/balance_ps_vla_miscreant.balance_ps_vla_miscreant", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/miscreant/balance/invpart_vla_ps_miscreant.invpart_vla_ps_miscreant", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/narp/balance/balance_sr_hyp_narp.balance_sr_hyp_narp", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/narp/balance/partset_sr_hyp_narp.partset_sr_hyp_narp", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/peashooter/balance/balance_ps_jak_peashooter.balance_ps_jak_peashooter", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/peashooter/balance/invpartset_ps_jak_peashooter.invpartset_ps_jak_peashooter", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/plumage/balance/balance_hw_atl_plumage.balance_hw_atl_plumage", name: "BPInvPart_ATL_HW_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/plumage/balance/partset_atl_hw_plumage.partset_atl_hw_plumage", name: "BPInvPart_ATL_HW_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/privateinvestigator/balance/balance_dal_ps_privateinvestigator.balance_dal_ps_privateinvestigator", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/privateinvestigator/balance/partset_dal_ps_privateinvestigator.partset_dal_ps_privateinvestigator", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/quickdraw/balance/balance_ps_jak_quickdraw.balance_ps_jak_quickdraw", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/quickdraw/balance/invpartset_ps_jak_quickdraw.invpartset_ps_jak_quickdraw", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/rose/balance/balance_ps_jak_rose.balance_ps_jak_rose", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/rose/balance/invpartset_ps_jak_rose.invpartset_ps_jak_rose", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/satisfaction/balance/balance_hw_tor_satisfaction.balance_hw_tor_satisfaction", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/satisfaction/balance/partset_hw_tor_satisfaction.partset_hw_tor_satisfaction", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/sheriff/balance/balance_ps_jak_sheriff.balance_ps_jak_sheriff", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/sheriff/balance/invpartset_ps_jak_sheriff.invpartset_ps_jak_sheriff", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/shoveler/balance/balance_sg_torgue_shoveler.balance_sg_torgue_shoveler", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/shoveler/balance/invpartset_sg_torgue_shoveler.invpartset_sg_torgue_shoveler", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/speakeasy/balance/balance_sg_jak_speakeasy.balance_sg_jak_speakeasy", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/speakeasy/balance/partset_sg_jak_speakeasy.partset_sg_jak_speakeasy", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/splinter/balance/balance_sg_jak_splinter.balance_sg_jak_splinter", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/splinter/balance/partset_sg_jak_splinter.partset_sg_jak_splinter", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/stonethrow/balance/balance_ar_jak_stonethrow.balance_ar_jak_stonethrow", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/stonethrow/balance/invpartset_jak_ar_stonethrow.invpartset_jak_ar_stonethrow", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/unkemptharold/balance/balance_ps_tor_unkemptharold.balance_ps_tor_unkemptharold", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/geranium/gear/weapon/_unique/unkemptharold/balance/partset_ps_tor_unkemptharold.partset_ps_tor_unkemptharold", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/artifacts/_design/_unique/lunacy/balance/invbald_artifact_lunacy.invbald_artifact_lunacy", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/artifacts/_design/_unique/lunacy/balance/partset_artifact_lunacy.partset_artifact_lunacy", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/artifacts/_design/_unique/puk/balance/invbald_artifact_puk.invbald_artifact_puk", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/artifacts/_design/_unique/puk/balance/partset_artifact_puk.partset_artifact_puk", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/classmods/_design/bsm/invbald_cm_beastmaster_hib.invbald_cm_beastmaster_hib", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/classmods/_design/gun/invbald_cm_gunner_hib.invbald_cm_gunner_hib", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/classmods/_design/ope/invbald_cm_operative_hib.invbald_cm_operative_hib", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/classmods/_design/srn/invbald_cm_siren_hib.invbald_cm_siren_hib", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/npc_weapons/gaige/balance_ar_vla_gaige_hib.balance_ar_vla_gaige_hib", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/npc_weapons/hammerlock/balance_ar_jak_hammerlock_hib.balance_ar_jak_hammerlock_hib", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/npc_weapons/private_eye/balance_ps_jak_private_eye.balance_ps_jak_private_eye", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/initiative/balance/invbald_shield_initiative.invbald_shield_initiative", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/initiative/balance/partset_shield_initiative.partset_shield_initiative", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/oldgod/balance/invbald_shield_oldgod.invbald_shield_oldgod", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/oldgod/balance/partset_shield_oldgod.partset_shield_oldgod", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/torch/balance/invbald_shield_legendary_torch.invbald_shield_legendary_torch", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/torch/balance/partset_shield_legendary_torch.partset_shield_legendary_torch", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/voidrift/balance/invbald_shield_lgd_voidrift.invbald_shield_lgd_voidrift", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/shields/_unique/voidrift/balance/partset_shield_lgd_voidrift.partset_shield_lgd_voidrift", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/anarchy/balance/balance_sg_ted_anarchy.balance_sg_ted_anarchy", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/anarchy/balance/partset_sg_ted_anarchy.partset_sg_ted_anarchy", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/bitesize/balance/balance_ps_jak_bitesize.balance_ps_jak_bitesize", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/bitesize/balance/invpartset_ps_jak_bitesize.invpartset_ps_jak_bitesize", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/clairvoyance/balance/balance_ar_jak_clairvoyance.balance_ar_jak_clairvoyance", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/clairvoyance/balance/invpartset_jak_ar_clairvoyance.invpartset_jak_ar_clairvoyance", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/cockybastard/balance/balance_sr_jak_cockybastard.balance_sr_jak_cockybastard", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/cockybastard/balance/partset_sr_jak_cockybastard.partset_sr_jak_cockybastard", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/firecracker/balance/balance_sg_hyp_firecracker.balance_sg_hyp_firecracker", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/firecracker/balance/invpartset_sg_hyp_firecracker.invpartset_sg_hyp_firecracker", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/frozendevil/balance/balance_ps_mal_frozendevil.balance_ps_mal_frozendevil", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/frozendevil/balance/invpartset_ps_mal_frozendevil.invpartset_ps_mal_frozendevil", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/homicidal/balance/balance_ar_cov_homicidal.balance_ar_cov_homicidal", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/homicidal/balance/invpartset_ar_cov_homicidal.invpartset_ar_cov_homicidal", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/hydrafrost/balance/balance_ps_cov_hydrafrost.balance_ps_cov_hydrafrost", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/hydrafrost/balance/partset_ps_cov_hydrafrost.partset_ps_cov_hydrafrost", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/insider/balance/balance_sg_mal_etech_insider.balance_sg_mal_etech_insider", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/insider/balance/invpartset_sg_mal_etech_insider.invpartset_sg_mal_etech_insider", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/kaleidoscope/balance/balance_dal_ps_kaleidoscope.balance_dal_ps_kaleidoscope", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/kaleidoscope/balance/partset_dal_ps_kaleidoscope.partset_dal_ps_kaleidoscope", name: "BPInvPart_PS_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/littleyeeti/balance/balance_ps_jak_littleyeeti.balance_ps_jak_littleyeeti", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/littleyeeti/balance/invpartset_ps_jak_littleyeeti.invpartset_ps_jak_littleyeeti", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/lovedrill/balance/balance_ps_jak_lovedrill.balance_ps_jak_lovedrill", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/lovedrill/balance/balance_ps_jak_lovedrill_legendary.balance_ps_jak_lovedrill_legendary", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/lovedrill/balance/invpartset_ps_jak_lovedrill.invpartset_ps_jak_lovedrill", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/lovedrill/balance/invpartset_ps_jak_lovedrill_legendary.invpartset_ps_jak_lovedrill_legendary", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/mutant/balance/balance_ar_jak_mutant.balance_ar_jak_mutant", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/mutant/balance/invpartset_jak_ar_mutant.invpartset_jak_ar_mutant", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/oldridian/balance/balance_sm_hyp_oldridian.balance_sm_hyp_oldridian", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/oldridian/balance/invpartset_sm_hyp_oldridian.invpartset_sm_hyp_oldridian", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/omen/balance/balance_sg_ted_omen.balance_sg_ted_omen", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/omen/balance/partset_sg_ted_omen.partset_sg_ted_omen", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/sacrificallamb/balance/balance_sg_ted_sacrificiallamb.balance_sg_ted_sacrificiallamb", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/sacrificallamb/balance/partset_sg_ted_sacrificiallamb.partset_sg_ted_sacrificiallamb", name: "BPInvPart_SG_TED_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/seventhsense/balance/balance_ps_jak_seventhsense.balance_ps_jak_seventhsense", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/seventhsense/balance/balance_ps_jak_ss_l.balance_ps_jak_ss_l", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/seventhsense/balance/invpartset_ps_jak_seventhsense.invpartset_ps_jak_seventhsense", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/seventhsense/balance/invpartset_ps_jak_ss_l.invpartset_ps_jak_ss_l", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/sfforce/balance/balance_sm_mal_sfforce.balance_sm_mal_sfforce", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/sfforce/balance/invpartset_sm_mal_sfforce.invpartset_sm_mal_sfforce", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/shocker/balance/balance_sg_torgue_etech_shocker.balance_sg_torgue_etech_shocker", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/shocker/balance/invpartset_sg_torgue_etech_shocker.invpartset_sg_torgue_etech_shocker", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/skullmasher/balance/balance_sr_jak_skullmasher.balance_sr_jak_skullmasher", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/skullmasher/balance/partset_sr_jak_skullmasher.partset_sr_jak_skullmasher", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/soulrender/balance/balance_dal_ar_soulrender.balance_dal_ar_soulrender", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/soulrender/balance/invpartset_dal_ar_soulrender.invpartset_dal_ar_soulrender", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/sparkyboom/balance/balance_ar_cov_sparkyboom.balance_ar_cov_sparkyboom", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/sparkyboom/balance/invpartset_ar_cov_sparkyboom.invpartset_ar_cov_sparkyboom", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/thecure/balance/balance_sg_jak_thecure.balance_sg_jak_thecure", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/thecure/balance/partset_sg_jak_thecure.partset_sg_jak_thecure", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/thenothing/balance/balance_sg_mal_thenothing.balance_sg_mal_thenothing", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/thenothing/balance/invpartset_sg_mal_thenothing.invpartset_sg_mal_thenothing", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/theseventhsense/balance/balance_ps_jak_theseventhsense.balance_ps_jak_theseventhsense", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/theseventhsense/balance/balance_ps_jak_theseventhsense_missionweapon.balance_ps_jak_theseventhsense_missionweapon", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/theseventhsense/balance/invpartset_ps_jak_theseventhsense.invpartset_ps_jak_theseventhsense", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/theseventhsense/balance/invpartset_ps_jak_theseventhsense_missionweapon.invpartset_ps_jak_theseventhsense_missionweapon", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/unseenthreat/balance/balance_sr_jak_unseenthreat.balance_sr_jak_unseenthreat", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/hibiscus/gear/weapon/_unique/unseenthreat/balance/partset_sr_jak_unseenthreat.partset_sr_jak_unseenthreat", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/deathrattle/balance/invbald_artifact_deathrattle.invbald_artifact_deathrattle", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/deathrattle/balance/partset_artifact_deathrattle.partset_artifact_deathrattle", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/holygrail/balance/invbald_artifact_holygrail.invbald_artifact_holygrail", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/holygrail/balance/partset_artifact_holygrail.partset_artifact_holygrail", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/mysteriousamulet/balance/invbald_artifact_mysteriousamulet.invbald_artifact_mysteriousamulet", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/mysteriousamulet/balance/partset_artifact_mysteriousamulet.partset_artifact_mysteriousamulet", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/toboggan/balance/invbald_artifact_toboggan.invbald_artifact_toboggan", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/artifacts/_design/_unique/toboggan/balance/partset_artifact_toboggan.partset_artifact_toboggan", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/bsm/l01/invbald_cm_ixora_bsm_l01.invbald_cm_ixora_bsm_l01", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/bsm/partsets/invbald_cm_ixora_bsm_01_common.invbald_cm_ixora_bsm_01_common", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/bsm/partsets/invbald_cm_ixora_bsm_02_uncommon.invbald_cm_ixora_bsm_02_uncommon", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/bsm/partsets/invbald_cm_ixora_bsm_03_rare.invbald_cm_ixora_bsm_03_rare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/bsm/partsets/invbald_cm_ixora_bsm_04_veryrare.invbald_cm_ixora_bsm_04_veryrare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/gun/l01/invbald_cm_ixora_gun_l01.invbald_cm_ixora_gun_l01", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/gun/partsets/invbald_cm_ixora_gun_01_common.invbald_cm_ixora_gun_01_common", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/gun/partsets/invbald_cm_ixora_gun_02_uncommon.invbald_cm_ixora_gun_02_uncommon", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/gun/partsets/invbald_cm_ixora_gun_03_rare.invbald_cm_ixora_gun_03_rare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/gun/partsets/invbald_cm_ixora_gun_04_veryrare.invbald_cm_ixora_gun_04_veryrare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/ope/l01/invbald_cm_ixora_ope_l01.invbald_cm_ixora_ope_l01", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/ope/l02/invbald_cm_ixora_ope_l02.invbald_cm_ixora_ope_l02", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/ope/partsets/invbald_cm_ixora_ope_01_common.invbald_cm_ixora_ope_01_common", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/ope/partsets/invbald_cm_ixora_ope_02_uncommon.invbald_cm_ixora_ope_02_uncommon", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/ope/partsets/invbald_cm_ixora_ope_03_rare.invbald_cm_ixora_ope_03_rare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/ope/partsets/invbald_cm_ixora_ope_04_veryrare.invbald_cm_ixora_ope_04_veryrare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/srn/l01/invbald_cm_ixora_srn_l01.invbald_cm_ixora_srn_l01", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/srn/partsets/invbald_cm_ixora_sir_01_common.invbald_cm_ixora_sir_01_common", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/srn/partsets/invbald_cm_ixora_sir_02_uncommon.invbald_cm_ixora_sir_02_uncommon", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/srn/partsets/invbald_cm_ixora_sir_03_rare.invbald_cm_ixora_sir_03_rare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/classmods/_design/srn/partsets/invbald_cm_ixora_sir_04_veryrare.invbald_cm_ixora_sir_04_veryrare", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/grenademods/hotspring/balance/invbald_gm_hotspring.invbald_gm_hotspring", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/grenademods/hotspring/balance/partset_gm_hotspring.partset_gm_hotspring", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/beskar/balance/invbald_shield_beskar.invbald_shield_beskar", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/beskar/balance/partset_shield_beskar.partset_shield_beskar", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/infernalwish/balance/invbald_shield_infernalwish.invbald_shield_infernalwish", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/infernalwish/balance/partset_shield_infernalwish.partset_shield_infernalwish", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/madcap/balance/invbald_shield_lgd_madcap.invbald_shield_lgd_madcap", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/madcap/balance/partset_shield_lgd_madcap.partset_shield_lgd_madcap", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/ventilator/balance/invbald_shield_ventilator.invbald_shield_ventilator", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/shields/_unique/ventilator/balance/partset_shield_ventilator.partset_shield_ventilator", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/binaryoperator/balance/balance_mal_sr_binaryoperator.balance_mal_sr_binaryoperator", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/binaryoperator/balance/partset_mal_sr_binaryoperator.partset_mal_sr_binaryoperator", name: "BPInvPart_MAL_SR_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/boogeyman/balance/balance_vla_sr_boogeyman.balance_vla_sr_boogeyman", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/boogeyman/balance/partset_vla_sr_boogeyman.partset_vla_sr_boogeyman", name: "BPInvPart_VLA_SR_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/criticalthug/balance/balance_sg_torgue_criticalthug.balance_sg_torgue_criticalthug", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/criticalthug/balance/invpartset_sg_torgue_criticalthug.invpartset_sg_torgue_criticalthug", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/darkarmy/balance/balance_sm_ted_darkarmy.balance_sm_ted_darkarmy", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/darkarmy/balance/partset_sm_ted_darkarmy.partset_sm_ted_darkarmy", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/firefly/balance/balance_ps_vla_firefly.balance_ps_vla_firefly", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/firefly/balance/invpart_vla_ps_firefly.invpart_vla_ps_firefly", name: "BPInvPart_PS_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/hotfootteddy/balance/balance_ar_tor_hotfoot.balance_ar_tor_hotfoot", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/hotfootteddy/balance/invpartset_ar_tor_hotfoot.invpartset_ar_tor_hotfoot", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/iceage/balance/balance_hw_tor_iceage.balance_hw_tor_iceage", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/iceage/balance/partset_hw_tor_iceage.partset_hw_tor_iceage", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/kickcharger/balance/balance_hw_vla_etech_kickcharger.balance_hw_vla_etech_kickcharger", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/kickcharger/balance/partset_hw_vla_etech_kickcharger.partset_hw_vla_etech_kickcharger", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/plasmacoil/balance/balance_sm_mal_plasmacoil.balance_sm_mal_plasmacoil", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/plasmacoil/balance/invpartset_sm_mal_plasmacoil.invpartset_sm_mal_plasmacoil", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/spiritofmaya/balance/balance_ps_atl_spiritofmaya.balance_ps_atl_spiritofmaya", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/spiritofmaya/balance/partset_ps_atl_spiritofmaya.partset_ps_atl_spiritofmaya", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/tizzy/balance/balance_ps_cov_tizzy.balance_ps_cov_tizzy", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/tizzy/balance/partset_ps_cov_tizzy.partset_ps_cov_tizzy", name: "BPInvPart_PS_COV_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/torrent/balance/balance_sm_dal_torrent.balance_sm_dal_torrent", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/torrent/balance/invpartset_sm_dal_torrent.invpartset_sm_dal_torrent", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/trickshot/balance/balance_ps_jak_trickshot.balance_ps_jak_trickshot", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/ixora/gear/weapons/_unique/trickshot/balance/invpartset_ps_jak_trickshot.invpartset_ps_jak_trickshot", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/atlas/balance/invbald_artifact_companyman_atlas.invbald_artifact_companyman_atlas", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/atlas/balance/partset_artifact_companyman_atlas.partset_artifact_companyman_atlas", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/cov/balance/invbald_artifact_companyman_cov.invbald_artifact_companyman_cov", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/cov/balance/partset_artifact_companyman_cov.partset_artifact_companyman_cov", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/dahl/balance/invbald_artifact_companyman_dahl.invbald_artifact_companyman_dahl", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/dahl/balance/partset_artifact_companyman_dahl.partset_artifact_companyman_dahl", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/hyperion/balance/invbald_artifact_companyman_hyperion.invbald_artifact_companyman_hyperion", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/hyperion/balance/partset_artifact_companyman_hyperion.partset_artifact_companyman_hyperion", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/jakobs/balance/invbald_artifact_companyman_jakobs.invbald_artifact_companyman_jakobs", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/jakobs/balance/partset_artifact_companyman_jakobs.partset_artifact_companyman_jakobs", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/maliwan/balance/invbald_artifact_companyman_maliwan.invbald_artifact_companyman_maliwan", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/maliwan/balance/partset_artifact_companyman_maliwan.partset_artifact_companyman_maliwan", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/tediore/balance/invbald_artifact_companyman_tediore.invbald_artifact_companyman_tediore", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/tediore/balance/partset_artifact_companyman_tediore.partset_artifact_companyman_tediore", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/torgue/balance/invbald_artifact_companyman_torgue.invbald_artifact_companyman_torgue", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/torgue/balance/partset_artifact_companyman_torgue.partset_artifact_companyman_torgue", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/vladof/balance/invbald_artifact_companyman_vladof.invbald_artifact_companyman_vladof", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/companyman/vladof/balance/partset_artifact_companyman_vladof.partset_artifact_companyman_vladof", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/mysteriousamulet/balance/invbald_artifact_mysteriousamulet.invbald_artifact_mysteriousamulet", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/artifacts/_unique/mysteriousamulet/balance/partset_artifact_mysteriousamulet.partset_artifact_mysteriousamulet", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/classmods/_design/bsm/l01/invbald_cm_ixora2_bsm_l01.invbald_cm_ixora2_bsm_l01", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/classmods/_design/gun/l01/invbald_cm_ixora2_gun_l01.invbald_cm_ixora2_gun_l01", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/classmods/_design/ope/l01/invbald_cm_ixora2_ope_l01.invbald_cm_ixora2_ope_l01", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/classmods/_design/srn/l01/invbald_cm_ixora2_srn_l01.invbald_cm_ixora2_srn_l01", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/grenademods/_unique/mesmer/balance/invbald_gm_mesmer.invbald_gm_mesmer", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/grenademods/_unique/mesmer/balance/partset_gm_mesmer.partset_gm_mesmer", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/grenademods/_unique/ringer/balance/invbald_gm_ringer.invbald_gm_ringer", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/grenademods/_unique/ringer/balance/partset_gm_ringer.partset_gm_ringer", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/shields/_unique/re-volter/balance/invbald_shield_revolter.invbald_shield_revolter", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/shields/_unique/re-volter/balance/partset_shield_revolter.partset_shield_revolter", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/deatomizer/balance/balance_ps_mal_deatomizer.balance_ps_mal_deatomizer", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/deatomizer/balance/invpartset_ps_mal_deatomizer.invpartset_ps_mal_deatomizer", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/disruptor/balance/balance_sr_jak_disruptor.balance_sr_jak_disruptor", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/disruptor/balance/partset_sr_jak_disruptor.partset_sr_jak_disruptor", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/redeye/balance/balance_hw_vla_redeye.balance_hw_vla_redeye", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/redeye/balance/partset_hw_vla_redeye.partset_hw_vla_redeye", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/replay/balance/balance_ps_atl_replay.balance_ps_atl_replay", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/patchdlc/ixora2/gear/weapons/_unique/replay/balance/partset_ps_atl_replay.partset_ps_atl_replay", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/backburner/balance/balance_hw_vla_etech_backburner.balance_hw_vla_etech_backburner", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/backburner/balance/partset_hw_vla_etech_backburner.partset_hw_vla_etech_backburner", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/dna/balance/balance_sm_mal_dna.balance_sm_mal_dna", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/dna/balance/invpartset_sm_mal_dna.invpartset_sm_mal_dna", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/doubletap/balance/balance_ps_atl_doubletap.balance_ps_atl_doubletap", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/doubletap/balance/partset_ps_atl_doubletap.partset_ps_atl_doubletap", name: "BPInvPart_PS_ATL_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/kaoson/balance/balance_sm_dahl_kaoson.balance_sm_dahl_kaoson", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/kaoson/balance/invpartset_sm_dal_kaoson.invpartset_sm_dal_kaoson", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/monarch/balance/balance_ar_vla_monarch.balance_ar_vla_monarch", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/monarch/balance/invpart_vla_ar_monarch.invpart_vla_ar_monarch", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/plague/balance/balance_hw_tor_plague.balance_hw_tor_plague", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/plague/balance/partset_hw_tor_plague.partset_hw_tor_plague", name: "BPInvPart_HW_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/reflux/balance/balance_sg_hyp_reflux.balance_sg_hyp_reflux", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/reflux/balance/bpinvpartset_sg_hyp_reflux.bpinvpartset_sg_hyp_reflux", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/sandhawk/balance/balance_sr_dal_sandhawk.balance_sr_dal_sandhawk", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/mayhem2/gear/weapon/_shared/_unique/sandhawk/balance/partset_sr_dal_sandhawk.partset_sr_dal_sandhawk", name: "BPInvPart_SR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/badassheavyweapons/cov/balance_hw_cov_ai_useonly_bullet.balance_hw_cov_ai_useonly_bullet", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/badassheavyweapons/vla/balance_hw_vla_ai_useonly_bullet.balance_hw_vla_ai_useonly_bullet", name: "BPInvPart_HW_VLA_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/commanderplanetoid/invbald_artifact_commanderplanetoid.invbald_artifact_commanderplanetoid", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/cosmiccrater/invbald_artifact_cosmiccrater.invbald_artifact_cosmiccrater", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/deathless/invbald_artifact_deathless.invbald_artifact_deathless", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/loadeddice/invbald_artifact_loadeddice.invbald_artifact_loadeddice", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/moxxisendowment/invbald_artifact_moxxisendowment.invbald_artifact_moxxisendowment", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/ottoidol/invbald_artifact_ottoidol.invbald_artifact_ottoidol", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/pulloutmethod/invbald_artifact_pulloutmethod.invbald_artifact_pulloutmethod", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/rocketboots/invbald_artifact_rocketboots.invbald_artifact_rocketboots", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/safegaurd/invbald_artifact_safegaurd.invbald_artifact_safegaurd", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/salvo/invbald_artifact_salvo.invbald_artifact_salvo", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/splattergun/invbald_artifact_splattergun.invbald_artifact_splattergun", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/statictouch/invbald_artifact_statictouch.invbald_artifact_statictouch", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/victoryrush/invbald_artifact_victoryrush.invbald_artifact_victoryrush", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/artifacts/whiteelephant/invbald_artifact_whiteelephant.invbald_artifact_whiteelephant", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_bountyhunter.invbald_classmod_beastmaster_bountyhunter", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_cosmicstalker.invbald_classmod_beastmaster_cosmicstalker", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_de4deye.invbald_classmod_beastmaster_de4deye", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_friendbot.invbald_classmod_beastmaster_friendbot", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_rakkcommander.invbald_classmod_beastmaster_rakkcommander", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/beastmaster/invbald_classmod_beastmaster_redfang.invbald_classmod_beastmaster_redfang", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/gunner/invbald_classmod_gunner_beartrooper.invbald_classmod_gunner_beartrooper", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/gunner/invbald_classmod_gunner_blastmaster.invbald_classmod_gunner_blastmaster", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/gunner/invbald_classmod_gunner_bloodletter.invbald_classmod_gunner_bloodletter", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/gunner/invbald_classmod_gunner_mindsweeper.invbald_classmod_gunner_mindsweeper", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/gunner/invbald_classmod_gunner_rocketeer.invbald_classmod_gunner_rocketeer", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/operative/invbald_classmod_operative_coldwarrior.invbald_classmod_operative_coldwarrior", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/operative/invbald_classmod_operative_executor.invbald_classmod_operative_executor", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/operative/invbald_classmod_operative_firebrand.invbald_classmod_operative_firebrand", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/operative/invbald_classmod_operative_infiltrator.invbald_classmod_operative_infiltrator", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/operative/invbald_classmod_operative_techspert.invbald_classmod_operative_techspert", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/siren/invbald_classmod_siren_breaker.invbald_classmod_siren_breaker", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/siren/invbald_classmod_siren_dragon.invbald_classmod_siren_dragon", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/siren/invbald_classmod_siren_elementalist.invbald_classmod_siren_elementalist", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/siren/invbald_classmod_siren_nimbus.invbald_classmod_siren_nimbus", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/classmods/siren/invbald_classmod_siren_phasezerker.invbald_classmod_siren_phasezerker", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/cm/_d/partsets/_u/bsm/invbald_cm_beastmaster_raid1.invbald_cm_beastmaster_raid1", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/cm/_d/partsets/_u/gun/invbald_cm_gunner_raid1.invbald_cm_gunner_raid1", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/cm/_d/partsets/_u/ope/invbald_cm_operative_raid1.invbald_cm_operative_raid1", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/cm/_d/partsets/_u/srn/invbald_cm_siren_raid1.invbald_cm_siren_raid1", name: "BPInvPart_ClassMod_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/shields/_hybridlegendary/slidekickhybrid/recharger_berner/invbald_shield_lgd_recharger_berner.invbald_shield_lgd_recharger_berner", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/shields/_hybridlegendary/slidekickhybrid/slidekick_frozenheart/balance/invbald_shield_slidekickfrozenheart.invbald_shield_slidekickfrozenheart", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/shields/_hybridlegendary/slidekickhybrid/slidekick_frozenheart/balance/partset_shield_slidekickfrozenheart.partset_shield_slidekickfrozenheart", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/shields/_hybridlegendary/slidekickhybrid/slidekick_recharger/invbald_shield_slidekickrecharger.invbald_shield_slidekickrecharger", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/shields/versionomnom/balance/invbald_shield_legendary_versionomnom.invbald_shield_legendary_versionomnom", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/shields/versionomnom/balance/partset_shield_legendary_versionomnom.partset_shield_legendary_versionomnom", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/fork2/balance/balance_sm_hyp_fork2.balance_sm_hyp_fork2", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/fork2/balance/invpartset_sm_hyp_fork2.invpartset_sm_hyp_fork2", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/handcannon/balance/balance_ps_tor_handcannon.balance_ps_tor_handcannon", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/handcannon/balance/partset_ps_tor_handcannon.partset_ps_tor_handcannon", name: "BPInvPart_PS_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/kybsworth/balance/balance_sm_mal_kybsworth.balance_sm_mal_kybsworth", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/kybsworth/balance/invpartset_sm_mal_kybsworth.invpartset_sm_mal_kybsworth", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/link/balance/balance_sm_mal_link.balance_sm_mal_link", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/link/balance/invpartset_sm_mal_link.invpartset_sm_mal_link", name: "BPInvPart_Maliwan_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/tiggsboom/balance/balance_sg_torgue_tiggsboom.balance_sg_torgue_tiggsboom", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/gear/weapons/tiggsboom/balance/invpartset_sg_torgue_tiggsboom.invpartset_sg_torgue_tiggsboom", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/cradermp5/balance/balance_sm_dahl_cradermp5.balance_sm_dahl_cradermp5", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/cradermp5/balance/invpartset_sm_dal_cradermp5.invpartset_sm_dal_cradermp5", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/deathgrip/balance/balance_sg_mal_deathgrip.balance_sg_mal_deathgrip", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/deathgrip/balance/invpartset_sg_mal_deathgrip.invpartset_sg_mal_deathgrip", name: "BPInvPart_SG_MAL_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/execute/balance/balance_ps_ted_execute.balance_ps_ted_execute", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/execute/balance/invpartset_ps_ted_execute.invpartset_ps_ted_execute", name: "BPInvPart_Tediore_Pistol_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/juju/balance/balance_dal_ar_etech_juju.balance_dal_ar_etech_juju", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/juju/balance/invpartset_dal_ar_etech_juju.invpartset_dal_ar_etech_juju", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/juliet/balance/balance_ar_tor_juliet.balance_ar_tor_juliet", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/juliet/balance/balance_ar_tor_juliet_worlddrop.balance_ar_tor_juliet_worlddrop", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/juliet/balance/invpartset_ar_tor_juliet.invpartset_ar_tor_juliet", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/juliet/balance/invpartset_ar_tor_juliet_worlddrop.invpartset_ar_tor_juliet_worlddrop", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/purplesmg/balance_sm_dahl_lowlvlreturninggift.balance_sm_dahl_lowlvlreturninggift", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/tankman/balance/balance_sr_hyp_tankman.balance_sr_hyp_tankman", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/tankman/balance/partset_sr_hyp_tankman.partset_sr_hyp_tankman", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/zheitseveruption/balance/balance_ar_cov_zheitsev.balance_ar_cov_zheitsev", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/raid1/re-engagement/weapons/zheitseveruption/balance/invpartset_ar_cov_zheitsev.invpartset_ar_cov_zheitsev", name: "BPInvPart_AR_COV_C" },
    GameDataKv { ident: "/game/patchdlc/steam/gear/weapons/steamgun/balance/balance_sm_hyp_shortstick.balance_sm_hyp_shortstick", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/steam/gear/weapons/steamgun/balance/balance_sm_hyp_shortstick_legendary.balance_sm_hyp_shortstick_legendary", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/steam/gear/weapons/steamgun/balance/invpartset_sm_hyp_shortstick.invpartset_sm_hyp_shortstick", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/steam/gear/weapons/steamgun/balance/invpartset_sm_hyp_shortstick_legendary.invpartset_sm_hyp_shortstick_legendary", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/grenademods/lightspeed/balance/invbald_gm_hyp_lightspeed.invbald_gm_hyp_lightspeed", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/grenademods/lightspeed/balance/partset_gm_hyp_lightspeed.partset_gm_hyp_lightspeed", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/shields/aesclepius/balance/invbald_shield_lgd_aesclepius.invbald_shield_lgd_aesclepius", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/shields/aesclepius/balance/partset_shield_lgd_aesclepius.partset_shield_lgd_aesclepius", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/shields/stinger/balance/invbald_shield_lgd_stinger.invbald_shield_lgd_stinger", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/shields/stinger/balance/partset_shield_lgd_stinger.partset_shield_lgd_stinger", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/weapons/globetrotter/balance/balance_hw_cov_globetrotter.balance_hw_cov_globetrotter", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/weapons/globetrotter/balance/partset_hw_cov_globetrotter.partset_hw_cov_globetrotter", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/weapons/smog/balance/balance_sm_hyp_smog.balance_sm_hyp_smog", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/weapons/smog/balance/invpartset_sm_hyp_smog.invpartset_sm_hyp_smog", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/weapons/webslinger/balance/balance_ar_vla_webslinger.balance_ar_vla_webslinger", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/patchdlc/takedown2/gear/weapons/webslinger/balance/invpart_vla_ar_webslinger.invpart_vla_ar_webslinger", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/shields/unique/supersoldier/balance/invbald_shield_supersoldier.invbald_shield_supersoldier", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/shields/unique/supersoldier/balance/invbald_shield_supersoldier_fixedparts.invbald_shield_supersoldier_fixedparts", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/shields/unique/supersoldier/balance/partset_shield_supersoldier.partset_shield_supersoldier", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/shields/unique/supersoldier/balance/partset_shield_supersoldier_fixedparts.partset_shield_supersoldier_fixedparts", name: "BPInvPart_Shield_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/birdofprey/balance/balance_sr_jak_birdofprey.balance_sr_jak_birdofprey", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/birdofprey/balance/balance_sr_jak_birdofprey_fixedparts.balance_sr_jak_birdofprey_fixedparts", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/birdofprey/balance/partset_sr_jak_birdofprey.partset_sr_jak_birdofprey", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/birdofprey/balance/partset_sr_jak_birdofprey_fixedparts.partset_sr_jak_birdofprey_fixedparts", name: "BPInvPart_SR_JAK_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/guardian/balance/balance_sg_hyp_guardian.balance_sg_hyp_guardian", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/guardian/balance/balance_sg_hyp_guardian_fixedparts.balance_sg_hyp_guardian_fixedparts", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/guardian/balance/bpinvpartset_sg_hyp_guardian.bpinvpartset_sg_hyp_guardian", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/guardian/balance/bpinvpartset_sg_hyp_guardian_fixedparts.bpinvpartset_sg_hyp_guardian_fixedparts", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/mechanic/balance/balance_hw_cov_mechanic.balance_hw_cov_mechanic", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/mechanic/balance/balance_hw_cov_mechanic_fixedparts.balance_hw_cov_mechanic_fixedparts", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/mechanic/balance/partset_hw_cov_mechanic.partset_hw_cov_mechanic", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard/gear/weapons/unique/mechanic/balance/partset_hw_cov_mechanic_fixedparts.partset_hw_cov_mechanic_fixedparts", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/artifacts/unique/shlooter/balance/invbald_artifact_shlooter.invbald_artifact_shlooter", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/artifacts/unique/shlooter/balance/invbald_artifact_shlooter_fixedparts.invbald_artifact_shlooter_fixedparts", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/artifacts/unique/shlooter/balance/partset_artifact_shlooter.partset_artifact_shlooter", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/artifacts/unique/shlooter/balance/partset_artifact_shlooter_fixedparts.partset_artifact_shlooter_fixedparts", name: "BPInvPart_Artifact_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/grenademods/unique/pyroburst/balance/invbald_gm_pyroburst.invbald_gm_pyroburst", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/grenademods/unique/pyroburst/balance/invbald_gm_pyroburst_fixedparts.invbald_gm_pyroburst_fixedparts", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/grenademods/unique/pyroburst/balance/partset_gm_pyroburst.partset_gm_pyroburst", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/grenademods/unique/pyroburst/balance/partset_gm_pyroburst_fixedparts.partset_gm_pyroburst_fixedparts", name: "BPInvPart_GrenadeMod_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/weapons/unique/goldrush/balance/balance_sm_hyp_goldrush.balance_sm_hyp_goldrush", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/weapons/unique/goldrush/balance/balance_sm_hyp_goldrush_fixedparts.balance_sm_hyp_goldrush_fixedparts", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/weapons/unique/goldrush/balance/invpartset_sm_hyp_goldrush.invpartset_sm_hyp_goldrush", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/weapons/unique/goldrush/balance/invpartset_sm_hyp_goldrush_fixedparts.invpartset_sm_hyp_goldrush_fixedparts", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/weapons/unique/troubleshooter/balance/balance_sm_hyp_etech_troubleshooter.balance_sm_hyp_etech_troubleshooter", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/weapons/unique/troubleshooter/balance/balance_sm_hyp_etech_troubleshooter_fixedparts.balance_sm_hyp_etech_troubleshooter_fixedparts", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/weapons/unique/troubleshooter/balance/invpartset_sm_hyp_etech_troubleshooter.invpartset_sm_hyp_etech_troubleshooter", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/patchdlc/vaultcard2/gear/weapons/unique/troubleshooter/balance/invpartset_sm_hyp_etech_troubleshooter_fixedparts.invpartset_sm_hyp_etech_troubleshooter_fixedparts", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/playercharacters/beastmaster/_dlc/ixora/pet/loader/_design/weapons/balance_sg_hyp_petloaderweapon.balance_sg_hyp_petloaderweapon", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/playercharacters/beastmaster/_dlc/ixora/pet/loader/_design/weapons/balance_sg_hyp_petloaderweapon_fire.balance_sg_hyp_petloaderweapon_fire", name: "BPInvPart_Hyperion_Shotgun_C" },
    GameDataKv { ident: "/game/playercharacters/beastmaster/_dlc/ixora/pet/loader/_design/weapons/balance_sm_hyp_petloaderweapon.balance_sm_hyp_petloaderweapon", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/game/playercharacters/beastmaster/_dlc/ixora/pet/loader/_design/weapons/balance_sr_hyp_petloaderweapon.balance_sr_hyp_petloaderweapon", name: "BPInvPart_SR_HYP_C" },
    GameDataKv { ident: "/game/playercharacters/beastmaster/pet/monkey/_design/weapons/jabberweaponbase/balance_ps_jak_jabberweaponbase.balance_ps_jak_jabberweaponbase", name: "BPInvPart_Jakobs_Pistol_C" },
    GameDataKv { ident: "/game/playercharacters/beastmaster/pet/monkey/_design/weapons/jabberweaponbeefcake/balance_sg_jak_jabberbeefcake.balance_sg_jak_jabberbeefcake", name: "BPInvPart_SG_JAK_C" },
    GameDataKv { ident: "/game/playercharacters/beastmaster/pet/monkey/_design/weapons/jabberweapongunslinger/balance_sm_dahl_jabberweapongunslinger.balance_sm_dahl_jabberweapongunslinger", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/game/playercharacters/gunner/_dlc/ixora/hardpoints/weapon/balance_ironcub_ar_vla.balance_ironcub_ar_vla", name: "BPInvPart_VLA_AR_C" },
    GameDataKv { ident: "/game/playercharacters/operative/digiclone/_design/weapon/balance_dal_ar_digiclone.balance_dal_ar_digiclone", name: "BPInvPart_AR_DAL_C" },
    GameDataKv { ident: "/game/playercharacters/operative/digiclone/_design/weapon/balance_hyp_sm_digiclone_backup.balance_hyp_sm_digiclone_backup", name: "BPInvPart_SM_Hyperion_C" },
    GameDataKv { ident: "/geranium/enemies/lodgeboss/_design/weapon/balance_sploderboss_weapon.balance_sploderboss_weapon", name: "BPInvPart_AR_TOR_C" },
    GameDataKv { ident: "/hibiscus/enemies/_shared/_design/itempools/partoverride/balance_sm_ted_etech_rare_corr.balance_sm_ted_etech_rare_corr", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/hibiscus/enemies/_shared/_design/itempools/partoverride/balance_sm_ted_etech_rare_shock.balance_sm_ted_etech_rare_shock", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/hibiscus/enemies/_shared/_design/itempools/partoverride/balance_sm_ted_etech_specter.balance_sm_ted_etech_specter", name: "BPInvPart_SM_TED_C" },
    GameDataKv { ident: "/hibiscus/enemies/frostbiters/_unique/_design/character/balance_hw_cov_ai_useonly_hib.balance_hw_cov_ai_useonly_hib", name: "BPInvPart_HW_COV_C" },
    GameDataKv { ident: "/hibiscus/enemies/lunatic/_shared/_design/weapon/parts/balance_sg_torgue_etech_lunactic_lob.balance_sg_torgue_etech_lunactic_lob", name: "BPInvPart_SG_Torgue_C" },
    GameDataKv { ident: "/hibiscus/enemies/vincent/_design/balance/weapon/balance_ar_vincent.balance_ar_vincent", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/hibiscus/enemies/vincent/_design/balance/weapon/invpartset_ar_vincent.invpartset_ar_vincent", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/hibiscus/enemies/vincent/_design/balance/weapon/part_ar_jak_barrel_vincent.part_ar_jak_barrel_vincent", name: "BPInvPart_JAK_AR_C" },
    GameDataKv { ident: "/hibiscus/enemies/wolf/alpha/_design/itempools/weapondef/balance_ps_mal_ai_wolfalpha.balance_ps_mal_ai_wolfalpha", name: "BPInvPart_PS_MAL_C" },
    GameDataKv { ident: "/hibiscus/enemies/zealot/ghost/_design/inventory/balance_hib_sm_dal_etech_invisiblezealots.balance_hib_sm_dal_etech_invisiblezealots", name: "BPInvPart_Dahl_SMG_C" },
    GameDataKv { ident: "/hibiscus/enemies/zealot/pilfer/_design/weapon/balance_sr_mal_etech_pilfer.balance_sr_mal_etech_pilfer", name: "BPInvPart_MAL_SR_C" },
];

pub const VEHICLE_CHASSIS_OUTRUNNER: [&str; 4] = [
    "/Game/Vehicles/Outrunner/Design/WT_Outrunner_BuggyWheels.WT_Outrunner_BuggyWheels",
    "/Game/Vehicles/Outrunner/Design/WT_Outrunner_HoverWheels.WT_Outrunner_HoverWheels",
    "/Game/Vehicles/Outrunner/Design/WT_Outrunner_TwitchyWheels.WT_Outrunner_TwitchyWheels",
    "/Game/Vehicles/Outrunner/Design/WT_Outrunner_ZipWheels.WT_Outrunner_ZipWheels",
];

pub const VEHICLE_CHASSIS_TECHNICAL: [&str; 4] = [
    "/Game/Vehicles/Technical/Design/WT_Technical_AllTerrainWheels.WT_Technical_AllTerrainWheels",
    "/Game/Vehicles/Technical/Design/WT_Technical_BarbedWheels.WT_Technical_BarbedWheels",
    "/Game/Vehicles/Technical/Design/WT_Technical_HoverWheels.WT_Technical_HoverWheels",
    "/Game/Vehicles/Technical/Design/WT_Technical_MonsterWheels.WT_Technical_MonsterWheels",
];

pub const VEHICLE_CHASSIS_CYCLONE: [&str; 4] = [
    "/Game/Vehicles/Revolver/Design/WT_Revolver_DualWheel.WT_Revolver_DualWheel",
    "/Game/Vehicles/Revolver/Design/WT_Revolver_HoverWheel.WT_Revolver_HoverWheel",
    "/Game/Vehicles/Revolver/Design/WT_Revolver_MonoWheel.WT_Revolver_MonoWheel",
    "/Game/Vehicles/Revolver/Design/WT_Revolver_WIdeWheel.WT_Revolver_WIdeWheel",
];

pub const VEHICLE_CHASSIS_JETBEAST: [&str; 4] = [
    "/Geranium/Vehicles/Horse/Design/WT_Horse_Base.WT_Horse_Base",
    "/Geranium/Vehicles/Horse/Design/WT_Horse_Biobeast.WT_Horse_Biobeast",
    "/Geranium/Vehicles/Horse/Design/WT_Horse_Predator.WT_Horse_Predator",
    "/Geranium/Vehicles/Horse/Design/WT_Horse_Tyrant.WT_Horse_Tyrant",
];

pub const VEHICLE_PARTS_OUTRUNNER: [&str; 12] = [
    "/Game/Vehicles/Outrunner/Design/Parts/Armor/VehiclePart_Outrunner_Armor_BasicArmor.VehiclePart_Outrunner_Armor_BasicArmor",
    "/Game/Vehicles/Outrunner/Design/Parts/Armor/VehiclePart_Outrunner_Armor_HeavyArmor.VehiclePart_Outrunner_Armor_HeavyArmor",
    "/Game/Vehicles/Outrunner/Design/Parts/CoreMod/BlazeBooster/VehiclePart_CoreMod_BlazeBooster.VehiclePart_CoreMod_BlazeBooster",
    "/Game/Vehicles/Outrunner/Design/Parts/CoreMod/BoostCanisters/VehiclePart_CoreMod_BoostCanisters.VehiclePart_CoreMod_BoostCanisters",
    "/Game/Vehicles/Outrunner/Design/Parts/CoreMod/EnergyCells/VehiclePart_CoreMod_EnergyCells.VehiclePart_CoreMod_EnergyCells",
    "/Game/Vehicles/Outrunner/Design/Parts/CoreMod/RazerWings/VehiclePart_CoreMod_RazerWings.VehiclePart_CoreMod_RazerWings",
    "/Game/Vehicles/VehicleWeapons/DriverWeapons/Type_FlameThrower/FlameThrower/VehiclePart_WeaponDriver_FlameThrower_Native.VehiclePart_WeaponDriver_FlameThrower_Native",
    "/Game/Vehicles/VehicleWeapons/DriverWeapons/Type_FlameThrower/TeslaCoil/VehiclePart_WeaponDriver_TeslaCoil_Native.VehiclePart_WeaponDriver_TeslaCoil_Native",
    "/Game/Vehicles/VehicleWeapons/DriverWeapons/Type_MachineGun/OutrunnerMachineGun/VehiclePart_WeaponDriver_OutrunnerMachineGun_Native.VehiclePart_WeaponDriver_OutrunnerMachineGun_Native",
    "/Game/Vehicles/VehicleWeapons/GunnerWeapons/Type_MissileLauncher/HeavyMissile/VehiclePart_Weapon_HeavyMissile_Native.VehiclePart_Weapon_HeavyMissile_Native",
    "/Game/Vehicles/VehicleWeapons/GunnerWeapons/Type_MissileLauncher/ShotgunMissile/VehiclePart_Weapon_ShotgunMissile_Native.VehiclePart_Weapon_ShotgunMissile_Native",
    "/Game/Vehicles/VehicleWeapons/GunnerWeapons/Type_MissileLauncher/SwarmerMissile/VehiclePart_Weapon_SwarmerMissile_Native.VehiclePart_Weapon_SwarmerMissile_Native",
];

pub const VEHICLE_PARTS_TECHNICAL: [&str; 12] = [
    "/Game/Vehicles/Technical/Design/Parts/Accessory/FlatBed/VehiclePart_CoreMod_Flatbed.VehiclePart_CoreMod_Flatbed",
    "/Game/Vehicles/Technical/Design/Parts/Accessory/FuelBarrels/VehiclePart_CoreMod_FuelBarrels.VehiclePart_CoreMod_FuelBarrels",
    "/Game/Vehicles/Technical/Design/Parts/Accessory/JetBooster/VehiclePart_CoreMod_JetBooster.VehiclePart_CoreMod_JetBooster",
    "/Game/Vehicles/Technical/Design/Parts/Accessory/ToxicBooster/VehiclePart_CoreMod_ToxicBooster.VehiclePart_CoreMod_ToxicBooster",
    "/Game/Vehicles/Technical/Design/Parts/Armor/VehiclePart_Techincal_Armor_BasicArmor.VehiclePart_Techincal_Armor_BasicArmor",
    "/Game/Vehicles/Technical/Design/Parts/Armor/VehiclePart_Technical_Armor_HeavyArmor.VehiclePart_Technical_Armor_HeavyArmor",
    "/Game/Vehicles/Technical/Design/Parts/Armor/VehiclePart_Technical_Armor_MeatGrinder.VehiclePart_Technical_Armor_MeatGrinder",
    "/Game/Vehicles/VehicleWeapons/DriverWeapons/Type_MachineGun/FlakCannon/VehiclePart_WeaponDriver_FlakCannon_Native.VehiclePart_WeaponDriver_FlakCannon_Native",
    "/Game/Vehicles/VehicleWeapons/DriverWeapons/Type_MachineGun/MachineGun/VehiclePart_WeaponDriver_MachineGun_Native.VehiclePart_WeaponDriver_MachineGun_Native",
    "/Game/Vehicles/VehicleWeapons/GunnerWeapons/Type_Catapult/BarrelLauncher/VehiclePart_Weapon_BarrelLauncher_Native.VehiclePart_Weapon_BarrelLauncher_Native",
    "/Game/Vehicles/VehicleWeapons/GunnerWeapons/Type_Catapult/PropelledBombsLauncher/VehiclePart_Weapon_PropelledBombsLauncher_Native.VehiclePart_Weapon_PropelledBombsLauncher_Native",
    "/Game/Vehicles/VehicleWeapons/GunnerWeapons/Type_Catapult/StickyBombLauncher/VehiclePart_Weapon_StickyBombs_Native.VehiclePart_Weapon_StickyBombs_Native",
];

pub const VEHICLE_PARTS_CYCLONE: [&str; 9] = [
    "/Game/Vehicles/Revolver/Design/Parts/Armor/VehiclePart_Revolver_Armor_BasicArmor.VehiclePart_Revolver_Armor_BasicArmor",
    "/Game/Vehicles/Revolver/Design/Parts/Armor/VehiclePart_Revolver_Armor_HeavyArmor.VehiclePart_Revolver_Armor_HeavyArmor",
    "/Game/Vehicles/Revolver/Design/Parts/CoreMod/CryoBooster/VehiclePart_CryoBooster.VehiclePart_CryoBooster",
    "/Game/Vehicles/Revolver/Design/Parts/CoreMod/DigiThruster/VehiclePart_DigiThruster.VehiclePart_DigiThruster",
    "/Game/Vehicles/Revolver/Design/Parts/CoreMod/Firestarter/VehiclePart_FireStarter.VehiclePart_FireStarter",
    "/Game/Vehicles/Revolver/Design/Parts/CoreMod/HeavyBooster/VehiclePart_HeavyBooster.VehiclePart_HeavyBooster",
    "/Game/Vehicles/VehicleWeapons/DriverWeapons/Type_MechanicalLauncher/BlazeRodLancer/VehiclePart_WeaponDriver_BlazeRodLauncher_Native.VehiclePart_WeaponDriver_BlazeRodLauncher_Native",
    "/Game/Vehicles/VehicleWeapons/DriverWeapons/Type_MechanicalLauncher/RevolverMachineGun/VehiclePart_WeaponDriver_RevolverMachineGun_Native.VehiclePart_WeaponDriver_RevolverMachineGun_Native",
    "/Game/Vehicles/VehicleWeapons/DriverWeapons/Type_MechanicalLauncher/SawBladeLancer/VehiclePart_WeaponDriver_SawBladeLauncher_Native.VehiclePart_WeaponDriver_SawBladeLauncher_Native",
];

pub const VEHICLE_PARTS_JETBEAST: [&str; 7] = [
    "/Geranium/Vehicles/Horse/Design/Parts/CoreMod/SingleEngine/VehiclePart_SingleBooster_Horse.VehiclePart_SingleBooster_Horse",
    "/Geranium/Vehicles/Horse/Design/Parts/CoreMod/TwinEngine/VehiclePart_TwinEngine_Horse.VehiclePart_TwinEngine_Horse",
    "/Geranium/Vehicles/Horse/Design/Parts/Armor/VehiclePart_Horse_Armor_SoftSaddleBags.VehiclePart_Horse_Armor_SoftSaddleBags",
    "/Geranium/Vehicles/Horse/Design/Parts/Armor/VehiclePart_Horse_Armor_HardSaddleBags.VehiclePart_Horse_Armor_HardSaddleBags",
    "/Geranium/Vehicles/VehicleWeapons/Type_Cannon/VehiclePart_WeaponDriver_Horse_Cannon.VehiclePart_WeaponDriver_Horse_Cannon",
    "/Geranium/Vehicles/VehicleWeapons/Type_DualMachineGun/VehiclePart_WeaponDriver_Horse_DualMachineGun.VehiclePart_WeaponDriver_Horse_DualMachineGun",
    "/Geranium/Vehicles/VehicleWeapons/Type_Mortar/VehiclePart_Weapon_Horse_Mortar.VehiclePart_Weapon_Horse_Mortar",
];

pub const VEHICLE_SKINS_OUTRUNNER: [&str; 34] = [
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Atlas.VehiclePart_Mat_VehiclePart_Outrunner_Atlas",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Batmobile.VehiclePart_Mat_VehiclePart_Outrunner_Batmobile",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_COV.VehiclePart_Mat_VehiclePart_Outrunner_COV",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Dahl.VehiclePart_Mat_VehiclePart_Outrunner_Dahl",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Default.VehiclePart_Mat_VehiclePart_Outrunner_Default",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Ellie1.VehiclePart_Mat_VehiclePart_Outrunner_Ellie1",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_FF.VehiclePart_Mat_VehiclePart_Outrunner_FF",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Fire.VehiclePart_Mat_VehiclePart_Outrunner_Fire",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Forest.VehiclePart_Mat_VehiclePart_Outrunner_Forest",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_GBX.VehiclePart_Mat_VehiclePart_Outrunner_GBX",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Gold.VehiclePart_Mat_VehiclePart_Outrunner_Gold",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Grog.VehiclePart_Mat_VehiclePart_Outrunner_Grog",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Gulf.VehiclePart_Mat_VehiclePart_Outrunner_Gulf",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Herbie.VehiclePart_Mat_VehiclePart_Outrunner_Herbie",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Hexagon.VehiclePart_Mat_VehiclePart_Outrunner_Hexagon",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Houndstooth.VehiclePart_Mat_VehiclePart_Outrunner_Houndstooth",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_HubbaBubba.VehiclePart_Mat_VehiclePart_Outrunner_HubbaBubba",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Hyp.VehiclePart_Mat_VehiclePart_Outrunner_Hyp",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Hyp2.VehiclePart_Mat_VehiclePart_Outrunner_Hyp2",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Infection.VehiclePart_Mat_VehiclePart_Outrunner_Infection",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Jakobs.VehiclePart_Mat_VehiclePart_Outrunner_Jakobs",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Maliwan.VehiclePart_Mat_VehiclePart_Outrunner_Maliwan",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Maya.VehiclePart_Mat_VehiclePart_Outrunner_Maya",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Pirate.VehiclePart_Mat_VehiclePart_Outrunner_Pirate",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Prisa.VehiclePart_Mat_VehiclePart_Outrunner_Prisa",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_RedMachine.VehiclePart_Mat_VehiclePart_Outrunner_RedMachine",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_SDCC.VehiclePart_Mat_VehiclePart_Outrunner_SDCC",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Stealth.VehiclePart_Mat_VehiclePart_Outrunner_Stealth",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Torgue.VehiclePart_Mat_VehiclePart_Outrunner_Torgue",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Tri.VehiclePart_Mat_VehiclePart_Outrunner_Tri",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Vladof.VehiclePart_Mat_VehiclePart_Outrunner_Vladof",
    "/Game/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Wrap.VehiclePart_Mat_VehiclePart_Outrunner_Wrap",
    "/Game/PatchDLC/Hibiscus/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Fish.VehiclePart_Mat_VehiclePart_Outrunner_Fish",
    "/Game/PatchDLC/Hibiscus/Vehicles/Outrunner/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Outrunner_Tentacle.VehiclePart_Mat_VehiclePart_Outrunner_Tentacle",
];

pub const VEHICLE_SKINS_TECHNICAL: [&str; 33] = [
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Atlas.VehiclePart_Mat_VehiclePart_Technical_Atlas",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Bling.VehiclePart_Mat_VehiclePart_Technical_Bling",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_BlueAngel.VehiclePart_Mat_VehiclePart_Technical_BlueAngel",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Bubblegum.VehiclePart_Mat_VehiclePart_Technical_Bubblegum",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Camo.VehiclePart_Mat_VehiclePart_Technical_Camo",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Checker.VehiclePart_Mat_VehiclePart_Technical_Checker",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Cov.VehiclePart_Mat_VehiclePart_Technical_Cov",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Dahl.VehiclePart_Mat_VehiclePart_Technical_Dahl",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Default.VehiclePart_Mat_VehiclePart_Technical_Default",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Dino.VehiclePart_Mat_VehiclePart_Technical_Dino",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_E3.VehiclePart_Mat_VehiclePart_Technical_E3",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Ellie1.VehiclePart_Mat_VehiclePart_Technical_Ellie1",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Festi.VehiclePart_Mat_VehiclePart_Technical_Festi",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Forest.VehiclePart_Mat_VehiclePart_Technical_Forest",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_GBX.VehiclePart_Mat_VehiclePart_Technical_GBX",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_GoldenTicket.VehiclePart_Mat_VehiclePart_Technical_GoldenTicket",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_HYP.VehiclePart_Mat_VehiclePart_Technical_HYP",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Halftone.VehiclePart_Mat_VehiclePart_Technical_Halftone",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_JAK.VehiclePart_Mat_VehiclePart_Technical_JAK",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_MAL.VehiclePart_Mat_VehiclePart_Technical_MAL",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Maya.VehiclePart_Mat_VehiclePart_Technical_Maya",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Plaid.VehiclePart_Mat_VehiclePart_Technical_Plaid",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Roadkill.VehiclePart_Mat_VehiclePart_Technical_Roadkill",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Sand.VehiclePart_Mat_VehiclePart_Technical_Sand",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Skag.VehiclePart_Mat_VehiclePart_Technical_Skag",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Stealth.VehiclePart_Mat_VehiclePart_Technical_Stealth",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Thunderbird.VehiclePart_Mat_VehiclePart_Technical_Thunderbird",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Torgue.VehiclePart_Mat_VehiclePart_Technical_Torgue",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Vaughn.VehiclePart_Mat_VehiclePart_Technical_Vaughn",
    "/Game/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Vladof.VehiclePart_Mat_VehiclePart_Technical_Vladof",
    "/Game/PatchDLC/Hibiscus/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Tentacle.VehiclePart_Mat_VehiclePart_Technical_Tentacle",
    "/Game/PatchDLC/Hibiscus/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Fish.VehiclePart_Mat_VehiclePart_Technical_Fish",
    "/Game/PatchDLC/Hibiscus/Vehicles/Technical/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Technical_Frost.VehiclePart_Mat_VehiclePart_Technical_Frost",
];

pub const VEHICLE_SKINS_CYCLONE: [&str; 26] = [
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Atlas.VehiclePart_Mat_VehiclePart_Revolver_Atlas",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_COV.VehiclePart_Mat_VehiclePart_Revolver_COV",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Chopper.VehiclePart_Mat_VehiclePart_Revolver_Chopper",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Chups.VehiclePart_Mat_VehiclePart_Revolver_Chups",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Dahl.VehiclePart_Mat_VehiclePart_Revolver_Dahl",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Dark.VehiclePart_Mat_VehiclePart_Revolver_Dark",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Default.VehiclePart_Mat_VehiclePart_Revolver_Default",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Ellie1.VehiclePart_Mat_VehiclePart_Revolver_Ellie1",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Forest.VehiclePart_Mat_VehiclePart_Revolver_Forest",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_GBX.VehiclePart_Mat_VehiclePart_Revolver_GBX",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_GC.VehiclePart_Mat_VehiclePart_Revolver_GC",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_HubbaBubba.VehiclePart_Mat_VehiclePart_Revolver_HubbaBubba",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Hyp.VehiclePart_Mat_VehiclePart_Revolver_Hyp",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Hyp2.VehiclePart_Mat_VehiclePart_Revolver_Hyp2",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Jakobs.VehiclePart_Mat_VehiclePart_Revolver_Jakobs",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_LifeSaver.VehiclePart_Mat_VehiclePart_Revolver_LifeSaver",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Maliwan.VehiclePart_Mat_VehiclePart_Revolver_Maliwan",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Mask.VehiclePart_Mat_VehiclePart_Revolver_Mask",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Maya.VehiclePart_Mat_VehiclePart_Revolver_Maya",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Ninja.VehiclePart_Mat_VehiclePart_Revolver_Ninja",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Pepto.VehiclePart_Mat_VehiclePart_Revolver_Pepto",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Police.VehiclePart_Mat_VehiclePart_Revolver_Police",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Stealth.VehiclePart_Mat_VehiclePart_Revolver_Stealth",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Torgue.VehiclePart_Mat_VehiclePart_Revolver_Torgue",
    "/Game/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Vladof.VehiclePart_Mat_VehiclePart_Revolver_Vladof",
    "/Game/PatchDLC/Hibiscus/Vehicles/Revolver/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Revolver_Fish.VehiclePart_Mat_VehiclePart_Revolver_Fish",
];

pub const VEHICLE_SKINS_JETBEAST: [&str; 6] = [
    "/Geranium/Vehicles/Horse/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Horse_Default.VehiclePart_Mat_VehiclePart_Horse_Default",
    "/Geranium/Vehicles/Horse/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Horse_Skin1.VehiclePart_Mat_VehiclePart_Horse_Skin1",
    "/Geranium/Vehicles/Horse/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Horse_Skin2.VehiclePart_Mat_VehiclePart_Horse_Skin2",
    "/Geranium/Vehicles/Horse/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Horse_Skin3.VehiclePart_Mat_VehiclePart_Horse_Skin3",
    "/Geranium/Vehicles/Horse/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Horse_Skin4.VehiclePart_Mat_VehiclePart_Horse_Skin4",
    "/Geranium/Vehicles/Horse/Design/Parts/Materials/VehiclePart_Mat_VehiclePart_Horse_Skin5.VehiclePart_Mat_VehiclePart_Horse_Skin5",
];

pub trait GameDataExt {
    fn get_value_by_key(&self, key: &str) -> Result<&str>;
}

#[derive(Clone, Copy, Debug, Default, Eq)]
pub struct GameDataKv {
    pub ident: &'static str,
    pub name: &'static str,
}

impl std::fmt::Display for GameDataKv {
    fn fmt(&self, f: &mut Formatter<'_>) -> std::fmt::Result {
        write!(f, "{}", self.name)
    }
}

impl std::cmp::Ord for GameDataKv {
    fn cmp(&self, other: &Self) -> std::cmp::Ordering {
        self.name.cmp(other.name)
    }
}

impl std::cmp::PartialOrd for GameDataKv {
    fn partial_cmp(&self, other: &Self) -> Option<std::cmp::Ordering> {
        Some(self.cmp(other))
    }
}

impl std::cmp::PartialEq for GameDataKv {
    fn eq(&self, other: &Self) -> bool {
        self.ident == other.ident
    }
}
